#ifndef __TAKEOVER_LIB_H__
#define __TAKEOVER_LIB_H__

#include <asm/arch/sys_flash_layout.h>

#if defined(CONFIG_SYS_RTK_EMMC_FLASH)
 #define CONFIG_TAKEOVER_START		SYS_PARAM_TAKEOVER_START
 #define CONFIG_TAKEOVER_SIZE		SYS_PARAM_TAKEOVER_SIZE
#else
 #define CONFIG_TAKEOVER_START      0x0
 #define CONFIG_TAKEOVER_SIZE		0x0
#endif


int takeover_Get_FACSize(void);
int takeover_dump_info(void);
int takeover_reset(void);
int takeover_delete(char *path);
int takeover_read_by_index(int index, char *buffer, int *length, char *name);
int takeover_read(char *path, char**buffer, int *length);
int takeover_read_link_dest_path(char *ln_path, char *ln_dest_path);
int takeover_write(char *path, char *buffer, int length);
int takeover_save(void);
int takeover_init(void);

#endif /* __TAKEOVER_LIB_H__ */

