#include <qc_verify_common.h>
#include <hdmi_merlin2/hdmi_qc.h>
#include <hdmi_merlin2/hdmiInternal.h>


#if 0
bool drvif_CBUS_RX_APHY_initial(void);
bool drvif_CBUS_RX_DPHY_initial(void);
bool drvif_CBUS_RX_MAC_initial(void);
bool drvif_switch_to_eCBUS(void);


int Send_count_of_REQ;							//  Count of eMSC REQ
int Send_RX_UNLOAD_ACK = 0;					// RX_UNLOAD_ACK of eMSC Block Transaction Standard Transport Header, Real_Number =  Set_Number
int Send_LENGTH_REMAINING = 0;					// LENGTH_REMAINING of eMSC Block Transaction Standard Transport Header, Real_Number =  Set_Number
int Send_Block_data_array[256] = {};					// BURST_ID Data Array

int Recv_RX_UNLOAD_ACK = 0;
int Recv_LENGTH_REMAINING = 0;

int PEER_BLK_RX_BUFFER_AVAIL = 256;
int PEER_BLK_RX_BUFFER_done = 0;
int PEER_BLK_RX_BUFFER_SIZE = 256;

int Send_heat_beat_ms = 0;

int Block_Transaction_ok = 0;
int Block_Transaction_timeout = 1;
int Block_Transaction_peer_out_of_space = 2;


UINT8 hdmi_Cbus_RX_edid[256] =
{
	//monitor table
	0x00,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x4a,0x8b,0x3b,0x2a,0x01,0x01,0x01,0x01,
	0x0d,0x16,0x01,0x03,0x80,0x3c,0x22,0x78,0x2a,0x2c,0xc5,0xa5,0x55,0x54,0xa1,0x27,
	0x0c,0x50,0x54,0xad,0xcf,0x00,0xd1,0xc0,0x81,0x80,0x81,0xc0,0x95,0x00,0xb3,0x00,
	0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x1d,0x00,0x72,0x51,0xd0,0x1e,0x20,0x6e,0x28,
	0x55,0x00,0x40,0x84,0x63,0x00,0x00,0x1e,0x66,0x21,0x50,0xb0,0x51,0x00,0x1b,0x30,
	0x40,0x70,0x36,0x00,0x56,0x50,0x21,0x00,0x00,0x1e,0x00,0x00,0x00,0xfc,0x00,0x56,
	0x53,0x32,0x37,0x30,0x42,0x47,0x54,0x57,0x50,0x0a,0x20,0x20,0x00,0x00,0x00,0xfd,
	0x00,0x38,0x4b,0x1e,0x53,0x11,0x00,0x0a,0x20,0x20,0x20,0x20,0x20,0x20,0x01,0xe7,
	0x02,0x03,0x22,0xf1,0x4f,0xa2,0x14,0x10,0x1f,0x04,0x13,0x03,0x12,0x02,0x11,0x01,
	0x06,0x07,0x15,0x16,0x23,0x09,0x07,0x01,0x83,0x01,0x00,0x00,0x65,0x03,0x0c,0x00,
	0x20,0x00,0x8c,0x0a,0xd0,0x8a,0x20,0xe0,0x2d,0x10,0x10,0x3e,0x96,0x00,0x56,0x50,
	0x21,0x00,0x00,0x18,0x01,0x1d,0x00,0x72,0x51,0xd0,0x1e,0x20,0x6e,0x28,0x55,0x00,
	0x56,0x50,0x21,0x00,0x00,0x1e,0x8c,0x0a,0xd0,0x8a,0x20,0xe0,0x2d,0x10,0x10,0x3e,
	0x96,0x00,0x56,0x50,0x21,0x00,0x00,0x18,0x8c,0x0a,0xd0,0x90,0x20,0x40,0x31,0x20,
	0x0c,0x40,0x55,0x00,0x56,0x50,0x21,0x00,0x00,0x18,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x2a,
};
#endif



int QC_Verifier_CBUS_RX(void)
{
#if 0
	int timeout_cnt;
	rtd_maskl(0xb8000104,0xFFFFBBFF,0x00004400);	// CBUS Reset Release
	rtd_maskl(0xb8000114,0xFFFFBBFF,0x00004400);	// CBUS Clock Enable
	rtd_maskl(0xb8060034,0xFFFFFFEF,0x00000010);	// CBUS Reset Release standny
	rtd_maskl(0xb8060044,0xFFFFFFEF,0x00000010);	// CBUS Reset Enable standny

	if (!drvif_CBUS_RX_APHY_initial()) {return FAILED;}
	if (!drvif_CBUS_RX_DPHY_initial()) {return FAILED;}
	if (!drvif_CBUS_RX_MAC_initial()) {return FAILED;}
	if (!drvif_switch_to_eCBUS()) {return FAILED;}

	timer_7_reset();
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_rstn_mask,0);														// DPHY Reset
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_rstn_mask,ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_rstn_mask);	// DPHY Reset Release

	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_pwup_mask,0);																// MAC Power Disable
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_reset_mask,ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_reset_mask);					// MAC Reset
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_pwup_mask,ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_pwup_mask);					// MAC Power Enable
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_ecbus_reset_mask,0);																// MAC Reset Release

	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type(0));				// BTX = S0
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CALIB_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_CALIB_CTRL_tx_calib_en_mask,0);												// DPHY TX edge Auto-K Disable
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_pos_manual_mask,ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_pos_manual_mask);	// DPHY RX edge Manual Mode

	printf("Finding RX Edge Position...");
	int rx_edge[3] = {0,0,0};
	int edge_error = 0x20;
	int i;
	timeout_cnt = 0;
	while (timeout_cnt <= 1000)
	{
		for (i = 0; i < 3; i++)
		{
			rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_position_m_5_0_mask,ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_position_m_5_0(0x10));	// RX edge initial position set 0x10
			rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_calib_en_mask,0);																			// Auto find RX Edge Disable
			rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_calib_en_mask,ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_calib_en_mask);					// Auto find RX Edge Enable
			udelay(5);
			timeout_cnt = timeout_cnt + 5;
			rx_edge[i] = rtd_inl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_RESULT_reg) & ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_RESULT_edge_calib_position_5_0_mask;	// find RX Edge
			edge_error = rtd_inl(ECBUS_RX_DPHY_ECBUS_DPHY_FLAG_reg) & ECBUS_RX_DPHY_ECBUS_DPHY_FLAG_edge_error_mask;								// find RX Edge error
			if (edge_error == ECBUS_RX_DPHY_ECBUS_DPHY_FLAG_edge_error_mask)
			{
				i = 0;
				break;
			}
		}
		if ((i != 0) && (rx_edge[0] == rx_edge[1]) && (rx_edge[1] == rx_edge[2]) && (rx_edge[0] != 0))
		{
			break;
		}
	}

	if (timeout_cnt > 1000)
	{
		printf("\nTimeout for DPHY Find RX Edge : > 5ms\n");
		return FAILED;
	}

	printf("OK!\n");
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_position_m_5_0_mask,ECBUS_RX_DPHY_ECBUS_DPHY_EDGE_CTRL_edge_position_m_5_0(((rx_edge[1] - 3 + 40) % 40)));
#if 1 // for merlin settings
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_tx_phase_ini_5_0_mask,ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_tx_phase_ini_5_0(35));
	mdelay(5);
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type(3));	// BTX = S1
	mdelay(9);
	printf("Sink begins to send back COMMA1\n");
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type(1));	// BTX = COMMA1

	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_comma2_det_en_mask,0);												// COMMA2 detect disable
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_DET_reg,~(ECBUS_RX_ECBUS_STARTUP_DET_comma2_loss_irq_mask | ECBUS_RX_ECBUS_STARTUP_DET_comma2_rcv_irq_mask),(ECBUS_RX_ECBUS_STARTUP_DET_comma2_loss_irq_mask | ECBUS_RX_ECBUS_STARTUP_DET_comma2_rcv_irq_mask));	// Clear COMMA2 Detect/Loss Flag
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_comma2_loss_thd_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_get_comma2_loss_thd(0));	// COMMA2 Debounce Loss = 1
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_comma2_det_en_mask,ECBUS_RX_ECBUS_STARTUP_CTRL_comma2_det_en_mask);				// COMMA2 detect Enable


#else // for mag2 settings
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_tx_phase_ini_5_0_mask,ECBUS_RX_DPHY_ECBUS_DPHY_TX_PHASE_CONFIG_2_get_tx_phase_ini_5_0((14 + 3 + 40) % 40));

	printf("DPHY RX Edge has Found (from Source send stable clock) : %dms\n",rtd_inl(TC7CVR)/27000);
	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CONFIG_reg,~ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type_mask,ECBUS_RX_ECBUS_STARTUP_CONFIG_bwd_type(1));	// BTX = COMMA1

	rtd_maskl(ECBUS_RX_ECBUS_STARTUP_CTRL_reg,~ECBUS_RX_ECBUS_STARTUP_CTRL_comma2_det_en_mask,1);	// COMMA2 Detect Enable
#endif

	mdelay(150);

	int comma2_rcv = ECBUS_RX_ECBUS_STARTUP_DET_get_comma2_rcv_irq(rtd_inl(ECBUS_RX_ECBUS_STARTUP_DET_reg));
	int comma2_loss = ECBUS_RX_ECBUS_STARTUP_DET_get_comma2_loss_irq(rtd_inl(ECBUS_RX_ECBUS_STARTUP_DET_reg));

	printf("\n\n\nrtd_inl(ECBUS_RX_ECBUS_STARTUP_DET_reg) = 0x%X\n",rtd_inl(ECBUS_RX_ECBUS_STARTUP_DET_reg));
	printf("comma2_rcv = %d\n",comma2_rcv);
	printf("comma2_loss = %d\n\n\n\n",comma2_loss);

	if (comma2_rcv)
	{
		printf("COMMA2 Detected...");
		if (comma2_loss)
		{
			printf("but Loss Happen!!!\n\n\n");
			return FAILED;
		} else
		{
			printf("OK!!!\n\n\n");
			return SUCCESS;
		}
	} else
	{
		printf("Fail to detected COMMA2!!!\n\n\n");
		return FAILED;
	}

#endif

	unsigned char nport = 0;
	unsigned int b = 0;

	HdmiTable_Init();

	newbase_hdmi_init();
	lib_hdmi_control_pull_up_1k(0);
	newbase_hdmi_init_source(nport);

	if (DEFAULT_CBUS_EN^((rtd_inl(DEBUG_REG_ADDR)&DEBUG_31_BYPASS_CBUS)>>31)) {
		QC_CBUS(nport);
		MHL_CheckPPMode();
	} else {
		if (DEFAULT_PP_MODE^((rtd_inl(DEBUG_REG_ADDR)&DEBUG_30_FORCE_MHL_PP)>>30)) {
			MHL_setPPMode(1);
		} else {
			MHL_setPPMode(0);
		}
	}

	newbase_hdmi_set_is_mhl(nport, 1);
	newbase_hdmi_set_is_mhl_ppmode(nport, MHL_IsPPMode());

#if MHL3_ENABLE
	mhl3_check_link_rate();
	printk("[HDMI] MHL3 link mode=%d\n", mhl3_get_link_rate());
#endif
	mhl_clk_switch(nport, 1);

	MHLSwitch(nport, 1);

	b = qc_mhl_detect_clock(nport);
	printk("[HDMI] TMDS CLOCK=%d\n", (b*27+128)>>8);

#if MHL3_ENABLE
	if (mhl3_get_state() > MHL3_STARTUP && mhl3_get_state() != MHL3_RE_DISCOVERY && mhl3_get_state() != MHL3_SKIP) {
		return SUCCESS;
	} else {
		return FAILED;
	}
#else
	if (b > 100) {
		return SUCCESS;
	} else {
		return FAILED;
	}
#endif
/*
	drvif_CBUS_RX_APHY_initial();
	drvif_CBUS_RX_DPHY_initial();
	drvif_CBUS_RX_MAC_initial();
	if (drvif_switch_to_eCBUS()) {
		printf("CCCCBUS OKKKKK!!!\n\n\n");
		return SUCCESS;
	} else {
		printf("CCCCBUS NGGGGG!!!\n\n\n");
		return FAILED;
	}
*/

}



#if 0
bool drvif_CBUS_RX_APHY_initial(void)
{
	rtd_outl(0xb8062B30,0x00080B03);		// R50(-) = 0x8 (for echo-cancelling input), Enable CBUS RX/TX BAIS & LDO
	rtd_outl(0xb8062B34,0x00000000);
	rtd_outl(0xb8062B38,0x030A3608);
	rtd_outl(0xb8062B3C,0x00000400);
	rtd_outl(0xb8062B40,0x0307108E);		// R100K Auto-K Enable
	rtd_outl(0xb8062B44,0x1D084643);		// R50(+) = 0x8, R50 Auto-K disable
	rtd_outl(0xb8062B48,0x84042E44);		// eCBUS PLL output = 27MHz*48/6 = 600MHz
	return TRUE;
}

bool drvif_CBUS_RX_DPHY_initial(void)
{
	rtd_outl(0xb8062F00,0x00000010);		// DPHY disable and reset, use 1 stage bub_remove
	rtd_outl(0xb8062F04,0x00000080);		// RX edge position manual mode Enable
	rtd_outl(0xb8062F0C,0x00000090);		// stat detection circuit enable and auto mode
	rtd_outl(0xb8062F10,0x0000000A);		// define timeout threshold value for state detection (COMMA2)
	rtd_outl(0xb8062F14,0x00000004);		// stat_diff_th
	rtd_outl(0xb8062F24,0x00000090);		// ini_bound_en, tx edge auto-k disable
	rtd_outl(0xb8062F28,0x00000002);		// ini_timeout
	rtd_outl(0xb8062F2C,0x00000004);		// ini_wait_cnt
	rtd_outl(0xb8062F30,0x00000014);		// nth_ini
	rtd_outl(0xb8062F34,0x00000006);		// ini_cnt, ini_eq_th[8]
	rtd_outl(0xb8062F38,0x00000032);		// ini_eq_th[7:0], ini_eq_th = 0x32
	rtd_outl(0xb8062F4C,0x00000008);		// DPHY PTG Disable, txdata_delay = 8
	rtd_outl(0xb8062F50,0x0000000B);		// tx_phase_ini
	rtd_outl(0xb8062F54,0x00000000);		// tx_phase_max
	rtd_outl(0xb8062F58,0x00000000);		// tx_phase_min
	rtd_outl(0xb8062F60,0x00000001);		// adapt_mode => 1(min) & 0(max)
	rtd_outl(0xb8062F64,0x00000000);		// adapter_timer = 0
	rtd_outl(0xb8062F68,0x00000014);		// nth_one_m = 20
	rtd_outl(0xb8062F6C,0x00000014);		// nth_zero_m = 20
	rtd_outl(0xb8062F80,0x00000080);		// rx_timeout = 128
	rtd_outl(0xb8062F84,0x00000002);		// comma2_pattern[9:8]
	rtd_outl(0xb8062F88,0x0000007C);		// comma2_pattern[7:0], comma2_pattern = 0x27C
	rtd_outl(0xb8062F90,0x00000000);
	rtd_outl(0xb8062F94,0x00000000);
	rtd_outl(0xb8062F98,0x00000000);
	rtd_outl(0xb8062F9C,0x00000001);		// DPHY Debug Pin enable
	rtd_outl(0xb8062FA0,0x00000000);
	return TRUE;
}

bool drvif_CBUS_RX_MAC_initial(void)
{
	rtd_outl(0xb800A500,0x000000C2);		// MAC Power Disable, LSB First
	rtd_outl(0xb800A504,0x0000004C);		// COMMA2 Debounce Detect = 8, Loss = 1, COMMA1/2 LSB First
	rtd_outl(0xb800A508,0x00000010);		// Check COMMA2 with Disparity
	rtd_outl(0xb800A514,0x000000FF);		// COM1/COM2/Loss/Err Debounce
	rtd_outl(0xb800A520,0x00000010);		// Check COM1 Loss
	rtd_outl(0xb800A524,0x00000085);		// Set Sink TX Slot0
	rtd_outl(0xb800A528,0x000000A0);		// Check Source RX Slot0
	rtd_outl(0xb800A530,0x00000012);		// eMSC Reset
	rtd_outl(0xb800A538,0x00000003);		// eMSC TX Sync threshold
	rtd_outl(0xb800A5F8,0x00000000);		// CBUS1 CRC Swap
	return TRUE;
}

bool drvif_switch_to_eCBUS(void)
{
#if 0
	rtd_maskl(CBUS_PMM_CBUS_PHY_4_reg,~CBUS_PMM_CBUS_PHY_4_en_cbus_rx_mask,0);				// Disable CBUS_RX
	rtd_maskl(CBUS_PMM_CBUS_PHY_4_reg,~CBUS_PMM_CBUS_PHY_4_sel_cbusb_gpio_rx_mask,0);		// Pinshare to CBUS
	rtd_maskl(CBUS_PMM_CBUS_PHY_4_reg,~CBUS_PMM_CBUS_PHY_4_mhl_bmos_en_rx_mask,0);		// Disable CBUS_RX BMOS
	rtd_maskl(CBUS_PMM_CBUS_PHY_5_reg,~CBUS_PMM_CBUS_PHY_5_en_buf_ecbusrx_mask,CBUS_PMM_CBUS_PHY_5_en_buf_ecbusrx_mask);			//Enable eCBUS Driver & echo-cancelling circuit
	rtd_maskl(CBUS_PMM_CBUS_PHY_6_reg,~CBUS_PMM_CBUS_PHY_6_pll_pow_ecbusrx_mask,CBUS_PMM_CBUS_PHY_6_pll_pow_ecbusrx_mask);			// Enable eCBUS PLL
	rtd_maskl(CBUS_PMM_CBUS_PHY_6_reg,~CBUS_PMM_CBUS_PHY_6_pll_ldo_pow_ecbusrx_mask,CBUS_PMM_CBUS_PHY_6_pll_ldo_pow_ecbusrx_mask);	// Enable eCBUS LDO
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_en_mask,ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_en_mask);		// eCBUS DPHY Enable
	rtd_maskl(ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_reg,~ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_rstn_mask,ECBUS_RX_DPHY_ECBUS_DPHY_CTRL_ecbus_dphy_rstn_mask);	// eCBUS DPHY Reset Release
	rtd_maskl(CBUS_oCBUS_CTRL_00_reg,~CBUS_oCBUS_CTRL_00_cbus1_en_mask,CBUS_oCBUS_CTRL_00_cbus1_en_mask);							// CBUS1 Enable
#endif
	return TRUE;

}
#endif

