/*----------------------------------------------------------------------------
*
*The confidential and proprietary information contained in this file may
*only be used by a person authorised under and to the extent permitted
*by a subsisting licensing agreement from ARM Limited.
*
*        (C) COPYRIGHT 2008-2009,2011,2013 ARM Limited.
*             ALL RIGHTS RESERVED
*             
*This entire notice must be reproduced on all copies of this file
*and copies of this file may only be made by a person if such person is
*permitted to do so under the terms of a subsisting license agreement
*from ARM Limited.
*
*     SVN Information
*
*     Checked In          : $Date$
*
*     Revision            : $Revision$
*
*     Release Information : r0p0-00rel0
*
*-----------------------------------------------------------------------------
* 
*-----------------------------------------------------------------------------
* Abstract :Interrupt Handelling Routines
*-----------------------------------------------------------------------------
* Overview
*----------
* Initialise the GICs
*
* For A9    tested with external and internal gic
* For A1176 tested with external gic
**************************************************************/
/* Type definition of the interrupt handler */
typedef void (tHandler)(int, int);

void init_and_install_gic(void);
void interrupt_handler_set(int interrupt, tHandler handler);
