/**
* @file rbusPpOverlayReg.h
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2016/6/14
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_PPOVERLAY_REG_H_
#define _RBUS_PPOVERLAY_REG_H_

#include "rbusTypes.h"



//  PPOVERLAY Register Address



#define  PPOVERLAY_DOUBLE_BUFFER_CTRL_VADDR                 	(0xb8028028)
#define  PPOVERLAY_DOUBLE_BUFFER_CTRL2_VADDR                	(0xb802847c)
#define  PPOVERLAY_HIGHLIGHT_WINDOW_DB_CTRL_VADDR           	(0xb8028154)
#define  PPOVERLAY_IV2DV_DOUBLE_BUFFER_CTRL_VADDR           	(0xb8025c70)
#define  PPOVERLAY_DISPD_STAGE1_SM_CTRL_VADDR               	(0xb8028114)
#define  PPOVERLAY_DISPD_STAGE2_SM_CTRL_VADDR               	(0xb8028118)
#define  PPOVERLAY_DISPD_SMOOTH_TOGGLE1_VADDR               	(0xb802811c)
#define  PPOVERLAY_DISPD_SMOOTH_TOGGLE2_VADDR               	(0xb8028120)
#define  PPOVERLAY_DISPD2OSD_SM_CTRL_VADDR                  	(0xb8028124)
#define  PPOVERLAY_DISPLAY_TIMING_CTRL1_VADDR               	(0xb8028000)
#define  PPOVERLAY_DISPLAY_TIMING_CTRL2_VADDR               	(0xb8028004)
#define  PPOVERLAY_DH_WIDTH_VADDR                           	(0xb8028008)
#define  PPOVERLAY_DH_TOTAL_LAST_LINE_LENGTH_VADDR          	(0xb802800c)
#define  PPOVERLAY_DV_LENGTH_VADDR                          	(0xb8028010)
#define  PPOVERLAY_DV_TOTAL_VADDR                           	(0xb8028014)
#define  PPOVERLAY_DISPLAY_BACKGROUND_COLOR_VADDR           	(0xb8028020)
#define  PPOVERLAY_DISPLAY_BACKGROUND_COLOR_2_VADDR         	(0xb8028024)
#define  PPOVERLAY_DVS_PHASE_ERROR_SET_VADDR                	(0xb802802c)
#define  PPOVERLAY_MEASURE_TWO_DVS_PHASE_ERROR_RESULT_VADDR 	(0xb8028030)
#define  PPOVERLAY_MEASURE_TOTAL_PIXELS_RESULT1_VADDR       	(0xb8028034)
#define  PPOVERLAY_MEASURE_TOTAL_PIXELS_RESULT2_VADDR       	(0xb8028038)
#define  PPOVERLAY_MEASURE_DVTOTAL_LAST_LINE_PIXELS_RESULT1_VADDR 	(0xb802803c)
#define  PPOVERLAY_MEASURE_DVTOTAL_LAST_LINE_PIXELS_RESULT2_VADDR 	(0xb8028040)
#define  PPOVERLAY_FRC_TO_FRAME_SYNC_DEN_END_CTRL_VADDR     	(0xb8028044)
#define  PPOVERLAY_DVS_ABNORMAL_CONTROL_VADDR               	(0xb8028054)
#define  PPOVERLAY_NEW_FIX_LAST_LINE_MODE_CONTROL_VADDR     	(0xb8028060)
#define  PPOVERLAY_FS_FLL_MODE_CONTROL_VADDR                	(0xb8028064)
#define  PPOVERLAY_DTG_DCLK_DETECT_VADDR                    	(0xb80280e0)
#define  PPOVERLAY_DTG_DCLK_DETECT_MAX_MIN_VADDR            	(0xb80280e4)
#define  PPOVERLAY_DTG_IE_VADDR                             	(0xb80280f0)
#define  PPOVERLAY_DTG_PENDING_STATUS_VADDR                 	(0xb80280f4)
#define  PPOVERLAY_DTG_NO_IE_PENDING_STATUS_VADDR           	(0xb80280f8)
#define  PPOVERLAY_MEMC_MUX_CTRL_VADDR                      	(0xb8028100)
#define  PPOVERLAY_MEMC_MUX_IN_COLOR_VALUE_GB_VADDR         	(0xb8028104)
#define  PPOVERLAY_MEMC_MUX_IN_COLOR_VALUE_R_VADDR          	(0xb8028108)
#define  PPOVERLAY_MEMC_MUX_OUT1_COLOR_VALUE_GB_VADDR       	(0xb802810c)
#define  PPOVERLAY_MEMC_MUX_OUT1_COLOR_VALUE_R_VADDR        	(0xb8028110)
#define  PPOVERLAY_FIX_LAST_LINE_SYSTHESISN_RATIO_VADDR     	(0xb8028140)
#define  PPOVERLAY_FIX_LAST_LINE_MODE_LOCK_STATUS_VADDR     	(0xb8028144)
#define  PPOVERLAY_FIX_LAST_LINE_MODE_CONTER0_VADDR         	(0xb8028148)
#define  PPOVERLAY_FIX_LAST_LINE_MODE_COUNTER1_VADDR        	(0xb802814c)
#define  PPOVERLAY_FIX_LAST_LINE_MODE_LOCK_WDE_VADDR        	(0xb8028150)
#define  PPOVERLAY_DTG_LC_VADDR                             	(0xb8028228)
#define  PPOVERLAY_SRAM_OK_MAIN_SET_VADDR                   	(0xb802822c)
#define  PPOVERLAY_SRAM_OK_MAIN_RESULT_ODD_VADDR            	(0xb8028230)
#define  PPOVERLAY_SRAM_OK_MAIN_RESULT_EVEN_VADDR           	(0xb8028234)
#define  PPOVERLAY_SRAM_OK_SUB_SET_VADDR                    	(0xb8028238)
#define  PPOVERLAY_SRAM_OK_SUB_RESULT_ODD_VADDR             	(0xb802823c)
#define  PPOVERLAY_SRAM_OK_SUB_RESULT_EVEN_VADDR            	(0xb8028240)
#define  PPOVERLAY_RBUS_CONTROL_VADDR                       	(0xb8028244)
#define  PPOVERLAY_NEW_MEAS0_LINECNT_REAL_VADDR             	(0xb8028248)
#define  PPOVERLAY_NEW_MEAS1_LINECNT_REAL_VADDR             	(0xb8028258)
#define  PPOVERLAY_NEW_MEAS2_LINECNT_REAL_VADDR             	(0xb802825c)
#define  PPOVERLAY_MEASURE_NOT_FRAME_SYNC_LINE_PIXELS_MAIN_PATH_VADDR 	(0xb802824c)
#define  PPOVERLAY_MEASURE_NOT_FRAME_SYNC_LINE_PIXELS_SUB_PATH_VADDR 	(0xb8028250)
#define  PPOVERLAY_D_DOMAIN_COUNTER_DVS_CTRL_VADDR          	(0xb8028254)
#define  PPOVERLAY_FIX_LAST_LINE_EXIT_CTRL_VADDR            	(0xb8028280)
#define  PPOVERLAY_FIX_LAST_LINE_EXIT_STATUS1_VADDR         	(0xb8028284)
#define  PPOVERLAY_FIX_LAST_LINE_EXIT_STATUS2_VADDR         	(0xb8028288)
#define  PPOVERLAY_SRAM_OK_MAIN_RESULT_LEFT_VADDR           	(0xb80282c4)
#define  PPOVERLAY_SRAM_OK_MAIN_RESULT_RIGHT_VADDR          	(0xb80282c8)
#define  PPOVERLAY_DEN_H_EXTEND_VADDR                       	(0xb80282d0)
#define  PPOVERLAY_DVS_CNT_VADDR                            	(0xb80282dc)
#define  PPOVERLAY_DVS_SSCG_CNT_VADDR                       	(0xb80282e0)
#define  PPOVERLAY_UZUDTG_DVS_CNT_VADDR                     	(0xb80282e4)
#define  PPOVERLAY_OSDDTG_DVS_CNT_VADDR                     	(0xb80282e8)
#define  PPOVERLAY_MEMCDTG_DVS_CNT_VADDR                    	(0xb80282ec)
#define  PPOVERLAY_DISPD_IRQ_RECORD_VADDR                   	(0xb80282f0)
#define  PPOVERLAY_DISPD_TEST_PIN_VADDR                     	(0xb80282f4)
#define  PPOVERLAY_D_CLK_PORCH_GATED_VADDR                  	(0xb80282f8)
#define  PPOVERLAY_D_CLK_PORCH_GATED_DEBUG_VADDR            	(0xb80282fc)
#define  PPOVERLAY_FS_IV_DV_FINE_TUNING3_VADDR              	(0xb8025c44)
#define  PPOVERLAY_FS_IV_DV_FINE_TUNING4_VADDR              	(0xb8025c48)
#define  PPOVERLAY_FS_IV_DV_FINE_TUNING1_VADDR              	(0xb8025c4c)
#define  PPOVERLAY_FS_IV_DV_FINE_TUNING2_VADDR              	(0xb8025c50)
#define  PPOVERLAY_FS_IV_DV_FINE_TUNING5_VADDR              	(0xb8025c58)
#define  PPOVERLAY_NEW_FIX_LAST_LINE_IV2DV_VADDR            	(0xb8025c60)
#define  PPOVERLAY_DCTL_IV2DV_HDMITXVS_MUX_VADDR            	(0xb8025c74)
#define  PPOVERLAY_XTAL_COUNT_ICLK_CTRL_VADDR               	(0xb8025c90)
#define  PPOVERLAY_MAIN_DISPLAY_CONTROL_RSV_VADDR           	(0xb8028300)
#define  PPOVERLAY_MAIN_BORDER_HIGHLIGHT_BORDER_COLOR1_VADDR 	(0xb8028304)
#define  PPOVERLAY_MAIN_BORDER_HIGHLIGHT_BORDER_COLOR2_VADDR 	(0xb8028308)
#define  PPOVERLAY_MAIN_BORDER_HIGHLIGHT_BORDER_COLOR3_VADDR 	(0xb802830c)
#define  PPOVERLAY_MAIN_BACKGROUND_COLOR1_VADDR             	(0xb8028310)
#define  PPOVERLAY_MAIN_BACKGROUND_COLOR2_VADDR             	(0xb8028314)
#define  PPOVERLAY_HIGHLIGHT_WINDOW_CONTROL_VADDR           	(0xb8028328)
#define  PPOVERLAY_HIGHLIGHT_WINDOW_H_INITIAL_START_WIDTH_VADDR 	(0xb802832c)
#define  PPOVERLAY_HIGHLIGHT_WINDOW_V_INITIAL_START_HEIGHT_VADDR 	(0xb8028330)
#define  PPOVERLAY_HIGHLIGHT_WINDOW_UPDATE_STEP_VADDR       	(0xb8028334)
#define  PPOVERLAY_HIGHLIGHT_WINDOW_H_BOUNDARY_VADDR        	(0xb8028338)
#define  PPOVERLAY_HIGHLIGHT_WINDOW_V_BOUNDARY_VADDR        	(0xb802833c)
#define  PPOVERLAY_HIGHLIGHT_WINDOW_H_STATUS_VADDR          	(0xb8028340)
#define  PPOVERLAY_HIGHLIGHT_WINDOW_V_STATUS_VADDR          	(0xb8028344)
#define  PPOVERLAY_HIGHLIGHT_WINDOW_BOUNDARY_CONDITION_VADDR 	(0xb8028348)
#define  PPOVERLAY_HIGHLIGHT_WINDOW_BORDER_WIDTH_VADDR      	(0xb802834c)
#define  PPOVERLAY_HIGHLIGHT_WINDOW_MIN_STATUS_VADDR        	(0xb8028350)
#define  PPOVERLAY_MP_DISP_ENABLE_VADDR                     	(0xb8028380)
#define  PPOVERLAY_MP_LAYOUT_FORCE_TO_BACKGROUND_VADDR      	(0xb8028384)
#define  PPOVERLAY_SUB_BORDER_HIGHLIGHT_BORDER_COLOR1_VADDR 	(0xb8028388)
#define  PPOVERLAY_SUB_BORDER_HIGHLIGHT_BORDER_COLOR2_VADDR 	(0xb802838c)
#define  PPOVERLAY_SUB_BORDER_HIGHLIGHT_BORDER_COLOR3_VADDR 	(0xb8028390)
#define  PPOVERLAY_SUB_BACKGROUND_COLOR1_VADDR              	(0xb8028394)
#define  PPOVERLAY_SUB_BACKGROUND_COLOR2_VADDR              	(0xb8028398)
#define  PPOVERLAY_OSD1_3D_OFFSET_VADDR                     	(0xb8028400)
#define  PPOVERLAY_OSD2_3D_OFFSET_VADDR                     	(0xb8028404)
#define  PPOVERLAY_OSD3_3D_OFFSET_VADDR                     	(0xb8028408)
#define  PPOVERLAY_OSD4_3D_OFFSET_VADDR                     	(0xb802840c)
#define  PPOVERLAY_OSD5_3D_OFFSET_VADDR                     	(0xb8028410)
#define  PPOVERLAY_OSD6_3D_OFFSET_VADDR                     	(0xb8028414)
#define  PPOVERLAY_SUBT_3D_OFFSET_VADDR                     	(0xb8028418)
#define  PPOVERLAY_LFLAG_GEN_VADDR                          	(0xb80284cc)
#define  PPOVERLAY_LFLAG_GEN_OSD_VADDR                      	(0xb80284d0)
#define  PPOVERLAY_DTG_M_REMOVE_INPUT_VSYNC_VADDR           	(0xb8025cd0)
#define  PPOVERLAY_IVS_CNT_1_VADDR                          	(0xb8025cd4)
#define  PPOVERLAY_IVS_CNT_2_VADDR                          	(0xb8025cd8)
#define  PPOVERLAY_IVS_CNT_3_VADDR                          	(0xb8025cdc)
#define  PPOVERLAY_DTG_M_MULTIPLE_VSYNC_VADDR               	(0xb8028480)
#define  PPOVERLAY_UZUDTG_FRACTIONAL_FSYNC_VADDR            	(0xb8028484)
#define  PPOVERLAY_MEMCDTG_FRACTIONAL_FSYNC_VADDR           	(0xb8028488)
#define  PPOVERLAY_OSDDTG_FRACTIONAL_FSYNC_VADDR            	(0xb802848c)
#define  PPOVERLAY_DTG_FRAME_CNT1_VADDR                     	(0xb80284a0)
#define  PPOVERLAY_DTG_FRAME_CNT2_VADDR                     	(0xb80284a4)
#define  PPOVERLAY_OSD_DTG_HEADER_CTRL1_VADDR               	(0xb80284a8)
#define  PPOVERLAY_OSD_DTG_HEADER_CTRL2_VADDR               	(0xb80284ac)
#define  PPOVERLAY_OSD_DTG_DH_WIDTH_VADDR                   	(0xb80284b0)
#define  PPOVERLAY_OSD_DTG_DV_LENGTH_VADDR                  	(0xb80284b4)
#define  PPOVERLAY_DTG_FRAME_CNT3_VADDR                     	(0xb8025ce0)
#define  PPOVERLAY_UZUDTG_COUNTROL_VADDR                    	(0xb8028500)
#define  PPOVERLAY_UZUDTG_DV_TOTAL_VADDR                    	(0xb8028504)
#define  PPOVERLAY_UZUDTG_DH_TOTAL_VADDR                    	(0xb8028508)
#define  PPOVERLAY_UZUDTG_CONTROL1_VADDR                    	(0xb802850c)
#define  PPOVERLAY_UZUDTG_CONTROL2_VADDR                    	(0xb8028510)
#define  PPOVERLAY_DH_DEN_START_END_VADDR                   	(0xb8028518)
#define  PPOVERLAY_DV_DEN_START_END_VADDR                   	(0xb802851c)
#define  PPOVERLAY_MAIN_DEN_H_START_END_VADDR               	(0xb8028540)
#define  PPOVERLAY_MAIN_DEN_V_START_END_VADDR               	(0xb8028544)
#define  PPOVERLAY_MAIN_BACKGROUND_H_START_END_VADDR        	(0xb8028548)
#define  PPOVERLAY_MAIN_BACKGROUND_V_START_END_VADDR        	(0xb802854c)
#define  PPOVERLAY_MAIN_ACTIVE_H_START_END_VADDR            	(0xb8028550)
#define  PPOVERLAY_MAIN_ACTIVE_V_START_END_VADDR            	(0xb8028554)
#define  PPOVERLAY_SUB_DEN_H_START_WIDTH_VADDR              	(0xb8028580)
#define  PPOVERLAY_SUB_DEN_V_START_LENGTH_VADDR             	(0xb8028584)
#define  PPOVERLAY_SUB_BACKGROUND_H_START_END_VADDR         	(0xb8028588)
#define  PPOVERLAY_SUB_BACKGROUND_V_START_END_VADDR         	(0xb802858c)
#define  PPOVERLAY_SUB_ACTIVE_H_START_END_VADDR             	(0xb8028590)
#define  PPOVERLAY_SUB_ACTIVE_V_START_END_VADDR             	(0xb8028594)
#define  PPOVERLAY_SUB_ACTIVE_RAD_A_VADDR                   	(0xb8028598)
#define  PPOVERLAY_SUB_ACTIVE_RAD_B_VADDR                   	(0xb802859c)
#define  PPOVERLAY_SUB_BACKGROUND_RAD_A_VADDR               	(0xb80285a0)
#define  PPOVERLAY_SUB_BACKGROUND_RAD_B_VADDR               	(0xb80285a4)
#define  PPOVERLAY_SUB_DEN_RAD_A_VADDR                      	(0xb80285a8)
#define  PPOVERLAY_SUB_DEN_RAD_B_VADDR                      	(0xb80285ac)
#define  PPOVERLAY_SUB_CIRCLE_CENTER_VADDR                  	(0xb80285b0)
#define  PPOVERLAY_SUB_ARROW_CTRL0_VADDR                    	(0xb80285b4)
#define  PPOVERLAY_SUB_ARROW_CTRL1_VADDR                    	(0xb80285b8)
#define  PPOVERLAY_SUB_ARROW_CTRL2_VADDR                    	(0xb80285bc)
#define  PPOVERLAY_MEMCDTG_CONTROL_VADDR                    	(0xb8028600)
#define  PPOVERLAY_MEMCDTG_DV_TOTAL_VADDR                   	(0xb8028604)
#define  PPOVERLAY_MEMCDTG_DH_TOTAL_VADDR                   	(0xb8028608)
#define  PPOVERLAY_MEMCDTG_DV_DEN_START_END_VADDR           	(0xb8028618)
#define  PPOVERLAY_MEMCDTG_DH_DEN_START_END_VADDR           	(0xb802861c)
#define  PPOVERLAY_MEMCDTG_DV_VIDEO_BLENDING_REGION_VADDR   	(0xb8028620)
#define  PPOVERLAY_MEMCDTG_DH_VIDEO_BLENDING_REGION_VADDR   	(0xb8028624)
#define  PPOVERLAY_MEMCDTG_CONTROL2_VADDR                   	(0xb8028640)
#define  PPOVERLAY_MEMCDTG_CONTROL3_VADDR                   	(0xb8028644)
#define  PPOVERLAY_MEASURE_KIWI_DVS_PHASE_ERROR_RESULT_VADDR 	(0xb8028648)
#define  PPOVERLAY_MEASURE_KIWI_DEN_PHASE_ERROR_RESULT_VADDR 	(0xb802864c)
#define  PPOVERLAY_MEASURE_MEMCMUX_RW_DEN_PHASE_ERROR_RESULT_VADDR 	(0xb8028654)
#define  PPOVERLAY_OSDDTG_CONTROL_VADDR                     	(0xb8028700)
#define  PPOVERLAY_OSDDTG_DV_TOTAL_VADDR                    	(0xb8028704)
#define  PPOVERLAY_OSDDTG_DH_TOTAL_VADDR                    	(0xb8028708)
#define  PPOVERLAY_OSDDTG_DV_DEN_START_END_VADDR            	(0xb8028718)
#define  PPOVERLAY_OSDDTG_DH_DEN_START_END_VADDR            	(0xb802871c)
#define  PPOVERLAY_OSDDTG_CONTROL2_VADDR                    	(0xb8028720)
#define  PPOVERLAY_OSD_SPLIT_SMOOTH_TOGGLE_VADDR            	(0xb8028724)
#define  PPOVERLAY_OSD_SPLIT_SMOOTH_TOGGLE_DEBUG_VADDR      	(0xb8028728)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======PPOVERLAY register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  drm_multireg_dbuf_vsync_sel:2;
        RBus_UInt32  res1:15;
        RBus_UInt32  drm_multireg_dbuf_en:1;
        RBus_UInt32  drm_multireg_dbuf_read_sel:1;
        RBus_UInt32  drm_multireg_dbuf_set:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  dreg_dbuf_en:1;
        RBus_UInt32  dreg_dbuf_read_sel:1;
        RBus_UInt32  dreg_dbuf_set:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  dsubreg_dbuf_en:1;
        RBus_UInt32  dsubreg_dbuf_read_sel:1;
        RBus_UInt32  dsubreg_dbuf_set:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  dmainreg_dbuf_en:1;
        RBus_UInt32  dmainreg_dbuf_read_sel:1;
        RBus_UInt32  dmainreg_dbuf_set:1;
    };
}ppoverlay_double_buffer_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  osddtgreg_dbuf_en:1;
        RBus_UInt32  osddtgreg_dbuf_read_sel:1;
        RBus_UInt32  osddtgreg_dbuf_set:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  uzudtgreg_dbuf_en:1;
        RBus_UInt32  uzudtgreg_dbuf_read_sel:1;
        RBus_UInt32  uzudtgreg_dbuf_set:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  memcdtgreg_dbuf_en:1;
        RBus_UInt32  memcdtgreg_dbuf_read_sel:1;
        RBus_UInt32  memc_dtgreg_dbuf_set:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  osddtg_dbuf_vsync_sel:2;
        RBus_UInt32  uzudtg_dbuf_vsync_sel:2;
        RBus_UInt32  memcdtg_dbuf_vsync_sel:2;
    };
}ppoverlay_double_buffer_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  hlw_db_en:1;
        RBus_UInt32  hlw_db_read_sel:1;
        RBus_UInt32  hlw_db_apply:1;
    };
}ppoverlay_highlight_window_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  iv2dv_db_en:1;
        RBus_UInt32  iv2dv_db_read_sel:1;
        RBus_UInt32  iv2dv_db_apply:1;
    };
}ppoverlay_iv2dv_double_buffer_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  dispd_stage1_smooth_toggle_protect:1;
    };
}ppoverlay_dispd_stage1_sm_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  dispd_stage2_smooth_toggle_protect:1;
    };
}ppoverlay_dispd_stage2_sm_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  dispd_stage1_smooth_toggle_src_sel:1;
        RBus_UInt32  dispd_stage1_smooth_toggle_apply:1;
    };
}ppoverlay_dispd_smooth_toggle1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  dispd_stage2_smooth_toggle_apply:1;
    };
}ppoverlay_dispd_smooth_toggle2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  dispd2osd_sm_frame_delay_en:1;
        RBus_UInt32  dispd2osd_sm_frame_delay_num:4;
    };
}ppoverlay_dispd2osd_sm_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  disp_frc_fsync:1;
        RBus_UInt32  disp_frc_on_fsync:1;
        RBus_UInt32  disp_line_4x:1;
        RBus_UInt32  disp_fix_last_line:2;
        RBus_UInt32  disp_fsync_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  disp_en:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  main_imd_sm_to_gdma:1;
        RBus_UInt32  sub_imd_sm_to_gdma:1;
        RBus_UInt32  wde_to_free_run:1;
        RBus_UInt32  hdmi_12bit_bypass:1;
        RBus_UInt32  dout_force_bg:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  dhs_first_mask:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  fsync_fll_mode:1;
        RBus_UInt32  res5:4;
        RBus_UInt32  auto_switch_fll_to_fs:1;
        RBus_UInt32  res6:3;
    };
}ppoverlay_display_timing_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pcid2_en:1;
        RBus_UInt32  hcic_enable:1;
        RBus_UInt32  dout_pixel_mode:1;
        RBus_UInt32  pip_swap_en:1;
        RBus_UInt32  pcid_en:1;
        RBus_UInt32  shpnr_line_mode:3;
        RBus_UInt32  repeat_flag_mode:2;
        RBus_UInt32  mplus_rgbw_en:3;
        RBus_UInt32  d2i3ddma_src_sel:3;
        RBus_UInt32  res1:12;
        RBus_UInt32  frc2fsync_protection:1;
        RBus_UInt32  frc2fsync_speedup_period:1;
        RBus_UInt32  frc2fsync_speedup_en:1;
        RBus_UInt32  frc2fsync_en:1;
    };
}ppoverlay_display_timing_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  dh_width:8;
    };
}ppoverlay_dh_width_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  dh_total:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  dh_total_last_line:13;
    };
}ppoverlay_dh_total_last_line_length_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  dv_length:8;
    };
}ppoverlay_dv_length_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  dv_total:13;
    };
}ppoverlay_dv_total_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  d_bg_g:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  d_bg_b:14;
    };
}ppoverlay_display_background_color_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  d_bg_r:14;
    };
}ppoverlay_display_background_color_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  old_fll_unlocked_th:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  w_value_th:13;
    };
}ppoverlay_dvs_phase_error_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  two_dvs_phase_error_cntr:1;
        RBus_UInt32  two_dvs_phase_error_flag:1;
        RBus_UInt32  two_dvs_phase_error_po:1;
        RBus_UInt32  two_dvs_phase_error:22;
    };
}ppoverlay_measure_two_dvs_phase_error_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  measure_topixels_ctr:1;
        RBus_UInt32  measure_topixels_mode:1;
        RBus_UInt32  measure_topixels_2f:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  total_pixels_first_cnt:28;
    };
}ppoverlay_measure_total_pixels_result1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  total_pixels_second_cnt:28;
    };
}ppoverlay_measure_total_pixels_result2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  measure_dvllpixels_ctr:1;
        RBus_UInt32  measure_dvllpixels_mode:1;
        RBus_UInt32  measure_dvllpixels_2f:1;
        RBus_UInt32  dv_total_value_first:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  last_line_value_first:13;
    };
}ppoverlay_measure_dvtotal_last_line_pixels_result1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  dv_total_value_second:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  last_line_value_second:13;
    };
}ppoverlay_measure_dvtotal_last_line_pixels_result2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_split_dv_den_cnt_target:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  dv_den_cnt_target:13;
    };
}ppoverlay_frc_to_frame_sync_den_end_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dvs_abnormal_en:1;
        RBus_UInt32  dvs_abnormal_measure_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  dvs_long_line_th:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  dvs_short_line_th:13;
    };
}ppoverlay_dvs_abnormal_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  new_fll_mode:1;
        RBus_UInt32  res1:31;
    };
}ppoverlay_new_fix_last_line_mode_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fs_fll_range_mode:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  win_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  win_end:13;
    };
}ppoverlay_fs_fll_mode_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dclk_det_en:1;
        RBus_UInt32  dclk_cnt_max_min_reset:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  dclk_n_cnt:16;
    };
}ppoverlay_dtg_dclk_detect_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  max_dclk_n_cnt:16;
        RBus_UInt32  min_dclk_n_cnt:16;
    };
}ppoverlay_dtg_dclk_detect_max_min_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dtg_ie:1;
        RBus_UInt32  ie_fll_track_unlock:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  osddtgv_den_sta_event_ie:1;
        RBus_UInt32  osddtgv_den_end_event_ie:1;
        RBus_UInt32  kiwi_den_phase_error_ie:1;
        RBus_UInt32  kiwi_dvs_phase_error_ie:1;
        RBus_UInt32  memcdtgv_den_sta_event_ie:1;
        RBus_UInt32  memcdtgv_den_end_event_ie:1;
        RBus_UInt32  d_counter_dvs_ie:1;
        RBus_UInt32  db_vs_irq_en:1;
        RBus_UInt32  dvs_long_event:1;
        RBus_UInt32  dvs_short_event:1;
        RBus_UInt32  fll_exit_irq_en:1;
        RBus_UInt32  fix_last_line_ivs_too_close_event_ie:1;
        RBus_UInt32  fix_last_line_no_ivs_event_ie:1;
        RBus_UInt32  fix_last_line_less_than_th_event_ie:1;
        RBus_UInt32  fix_last_line_more_than_th_event_ie:1;
        RBus_UInt32  fix_last_line_less_event_ie:1;
        RBus_UInt32  fix_last_line_more_event_ie:1;
        RBus_UInt32  auto_switch_x_event_ie:1;
        RBus_UInt32  dtg_vlc_ie:1;
        RBus_UInt32  sv_den_sta_event_ie:1;
        RBus_UInt32  sv_den_end_event_ie:1;
        RBus_UInt32  mv_den_sta_event_ie:1;
        RBus_UInt32  mv_den_end_event_ie:1;
    };
}ppoverlay_dtg_ie_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  iv2dv_reg_is_db:1;
        RBus_UInt32  dtg_reg_is_db:1;
        RBus_UInt32  dtg_sub_reg_is_db:1;
        RBus_UInt32  dtg_main_reg_is_db:1;
        RBus_UInt32  res1:5;
        RBus_UInt32  osddtgv_den_sta_event:1;
        RBus_UInt32  osddtgv_den_end_event:1;
        RBus_UInt32  kiwi_den_phase_error_irq:1;
        RBus_UInt32  kiwi_dvs_phase_error_irq:1;
        RBus_UInt32  memcdtgv_den_sta_event:1;
        RBus_UInt32  memcdtgv_den_end_event:1;
        RBus_UInt32  d_counter_dvs_irq:1;
        RBus_UInt32  double_vs_error_flag:1;
        RBus_UInt32  dvs_long:1;
        RBus_UInt32  dvs_short:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  fix_last_line_ivs_too_close_event:1;
        RBus_UInt32  fix_last_line_no_ivs_event:1;
        RBus_UInt32  fix_last_line_less_than_th_event:1;
        RBus_UInt32  fix_last_line_more_than_th_event:1;
        RBus_UInt32  fix_last_line_less_event:1;
        RBus_UInt32  fix_last_line_more_event:1;
        RBus_UInt32  auto_switch_x_event:1;
        RBus_UInt32  dtg_vlc_status:1;
        RBus_UInt32  sv_den_sta_event:1;
        RBus_UInt32  sv_den_end_event:1;
        RBus_UInt32  mv_den_sta_event:1;
        RBus_UInt32  mv_den_end_event:1;
    };
}ppoverlay_dtg_pending_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  osddtg_fsync_err:1;
        RBus_UInt32  uzudtg_fsync_err:1;
        RBus_UInt32  memcdtg_fsync_err:1;
        RBus_UInt32  hlw_error_flag:1;
        RBus_UInt32  hlw_bc1_flag:1;
        RBus_UInt32  hlw_bc2_flag:1;
        RBus_UInt32  hlw_bc3_flag:1;
        RBus_UInt32  hlw_bc4_flag:1;
        RBus_UInt32  hlw_bc5_flag:1;
        RBus_UInt32  old_fll_unlocked_event:1;
    };
}ppoverlay_dtg_no_ie_pending_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  rtk_bypass_vs_delay:4;
        RBus_UInt32  channel_copy_option:1;
        RBus_UInt32  memcdtg_golden_vs:1;
        RBus_UInt32  memc_outmux_sel:1;
        RBus_UInt32  memc_out_bg_en:1;
        RBus_UInt32  res2:11;
        RBus_UInt32  memc_in_bg_en:1;
    };
}ppoverlay_memc_mux_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  in_y_g_value:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  in_cb_b_value:12;
    };
}ppoverlay_memc_mux_in_color_value_gb_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  in_cr_r_value:12;
    };
}ppoverlay_memc_mux_in_color_value_r_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  out_y_g_value:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  out_cb_b_value:12;
    };
}ppoverlay_memc_mux_out1_color_value_gb_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  out_cr_r_value:12;
    };
}ppoverlay_memc_mux_out1_color_value_r_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dtg_clk_update_offset_revise:1;
        RBus_UInt32  fll_update_delay:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  max_multiple_synthesisn:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  synthesisn:3;
        RBus_UInt32  res3:5;
        RBus_UInt32  synthesisn_ratio:11;
    };
}ppoverlay_fix_last_line_systhesisn_ratio_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  t_s:1;
        RBus_UInt32  res2:4;
        RBus_UInt32  lock_th:12;
    };
}ppoverlay_fix_last_line_mode_lock_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  offset_ft:13;
    };
}ppoverlay_fix_last_line_mode_conter0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  phase_error_ft:24;
    };
}ppoverlay_fix_last_line_mode_counter1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  wde_fll_track_unlock:1;
        RBus_UInt32  res2:1;
    };
}ppoverlay_fix_last_line_mode_lock_wde_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dtg_vlcen:1;
        RBus_UInt32  dtg_vlc_mode:1;
        RBus_UInt32  res1:12;
        RBus_UInt32  dtg_vlc_src_sel:2;
        RBus_UInt32  debug_mux:3;
        RBus_UInt32  dtg_vln:13;
    };
}ppoverlay_dtg_lc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  sram_ok_main_meas_en:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  sram_ok_main_line_th:2;
        RBus_UInt32  res3:3;
        RBus_UInt32  sram_ok_main_16pix_th:9;
    };
}ppoverlay_sram_ok_main_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy18028230_31_29:3;
        RBus_UInt32  line_cnt_sram_ok_main_odd:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  pix_cnt_sram_ok_main_odd:13;
    };
}ppoverlay_sram_ok_main_result_odd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy18028234_31_29:3;
        RBus_UInt32  line_cnt_sram_ok_main_even:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  pix_cnt_sram_ok_main_even:13;
    };
}ppoverlay_sram_ok_main_result_even_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  sram_ok_sub_meas_en:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  sram_ok_sub_line_th:2;
        RBus_UInt32  res3:3;
        RBus_UInt32  sram_ok_sub_16pix_th:9;
    };
}ppoverlay_sram_ok_sub_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802823c_31_29:3;
        RBus_UInt32  line_cnt_sram_ok_sub_odd:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  pix_cnt_sram_ok_sub_odd:13;
    };
}ppoverlay_sram_ok_sub_result_odd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy18028240_31_29:3;
        RBus_UInt32  line_cnt_sram_ok_sub_even:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  pix_cnt_sram_ok_sub_even:13;
    };
}ppoverlay_sram_ok_sub_result_even_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  rbus_reset:1;
    };
}ppoverlay_rbus_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  line_cnt_rt:13;
    };
}ppoverlay_new_meas0_linecnt_real_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  uzudtg_line_cnt_rt:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  memcdtg_line_cnt_rt:13;
    };
}ppoverlay_new_meas1_linecnt_real_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  osddtg_line_cnt_rt:13;
    };
}ppoverlay_new_meas2_linecnt_real_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m_not_fs_line_pixel_en:1;
        RBus_UInt32  m_field_flag:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  m_not_fs_line_value:13;
        RBus_UInt32  m_underflow_flag:1;
        RBus_UInt32  m_overflow_flag:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  m_not_fs_pixel_value:13;
    };
}ppoverlay_measure_not_frame_sync_line_pixels_main_path_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s_not_fs_line_pixel_en:1;
        RBus_UInt32  s_field_flag:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  s_not_fs_line_value:13;
        RBus_UInt32  s_underflow_flag:1;
        RBus_UInt32  s_overflow_flag:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  s_not_fs_pixel_value:13;
    };
}ppoverlay_measure_not_frame_sync_line_pixels_sub_path_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d_counter_dvs_en:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  d_counter_dvs_mask:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  d_counter_dvs_set:13;
    };
}ppoverlay_d_domain_counter_dvs_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fix_last_line_exit_en:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  more_line_th:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  less_line_th:13;
    };
}ppoverlay_fix_last_line_exit_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  fll_status_counter:13;
    };
}ppoverlay_fix_last_line_exit_status1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  wd_fix_last_more_en:1;
        RBus_UInt32  wd_fix_last_less_en:1;
        RBus_UInt32  wd_fix_last_more_than_th_en:1;
        RBus_UInt32  wd_fix_last_less_than_th_en:1;
        RBus_UInt32  wd_fix_last_no_ivs_en:1;
        RBus_UInt32  wd_fix_last_line_ivs_too_close_en:1;
    };
}ppoverlay_fix_last_line_exit_status2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy180282c4_31_29:3;
        RBus_UInt32  line_cnt_sram_ok_main_left:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  pix_cnt_sram_ok_main_left:13;
    };
}ppoverlay_sram_ok_main_result_left_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy180282c8_31_29:3;
        RBus_UInt32  line_cnt_sram_ok_main_right:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  pix_cnt_sram_ok_main_right:13;
    };
}ppoverlay_sram_ok_main_result_right_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  den_h_extend_en:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  den_h_left_ext:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  den_h_right_ext:13;
    };
}ppoverlay_den_h_extend_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  dvs_cnt:25;
    };
}ppoverlay_dvs_cnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  dvs_sscg_cnt:25;
    };
}ppoverlay_dvs_sscg_cnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  uzudtg_dvs_cnt:25;
    };
}ppoverlay_uzudtg_dvs_cnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  osddtg_dvs_cnt:25;
    };
}ppoverlay_osddtg_dvs_cnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  memcdtg_dvs_cnt:25;
    };
}ppoverlay_memcdtg_dvs_cnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  boe_rgbw_irq_record:1;
        RBus_UInt32  d_hist_main_irq_record:1;
        RBus_UInt32  d_hist_sub_irq_record:1;
        RBus_UInt32  m_plus_irq_record:1;
        RBus_UInt32  vi_irq_record:1;
        RBus_UInt32  su_main_irq_record:1;
        RBus_UInt32  su_sub_irq_record:1;
        RBus_UInt32  osd_irq_record:1;
        RBus_UInt32  subt_irq_record:1;
        RBus_UInt32  dctl_irq_record:1;
        RBus_UInt32  od_irq_record:1;
        RBus_UInt32  ld_spi_irq_record:1;
    };
}ppoverlay_dispd_irq_record_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  dispd_testpin_sel:6;
    };
}ppoverlay_dispd_test_pin_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  porch_gated_en:1;
    };
}ppoverlay_d_clk_porch_gated_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  dispd_stage2_clk_back_porch_gated_en:1;
        RBus_UInt32  dispd_stage2_clk_front_porch_gated_en:1;
        RBus_UInt32  dispd_stage1_clk_back_porch_gated_en:1;
        RBus_UInt32  dispd_stage1_clk_front_porch_gated_en:1;
    };
}ppoverlay_d_clk_porch_gated_debug_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy18025c44_31_29:3;
        RBus_UInt32  iv2dv_3d_line_l:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  iv2dv_3d_line_r:13;
    };
}ppoverlay_fs_iv_dv_fine_tuning3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  iv2dv_3d_pixel_r:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  iv2dv_3d_pixel2_l:13;
    };
}ppoverlay_fs_iv_dv_fine_tuning4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy18025c4c_31_30:2;
        RBus_UInt32  iv2dv_3d_flag_en:1;
        RBus_UInt32  iv2dv_3d_flag_inv:1;
        RBus_UInt32  dummy18025c4c_27_26:2;
        RBus_UInt32  res1:22;
        RBus_UInt32  iv2dv_toggle_en:1;
        RBus_UInt32  iv2dv_toggle_inv:1;
        RBus_UInt32  dummy18025c4c_1_0:2;
    };
}ppoverlay_fs_iv_dv_fine_tuning1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  iv2dv_pixel:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  iv2dv_pixel2:13;
    };
}ppoverlay_fs_iv_dv_fine_tuning2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy18025c58_31_29:3;
        RBus_UInt32  iv2dv_line:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  iv2dv_line_2:13;
    };
}ppoverlay_fs_iv_dv_fine_tuning5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  iv2dv_line_new_fll:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  iv2dv_pixel_new_fll:13;
    };
}ppoverlay_new_fix_last_line_iv2dv_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy18025c74_31_1:31;
        RBus_UInt32  hdmitxvs_iv2dv_done_mux:1;
    };
}ppoverlay_dctl_iv2dv_hdmitxvs_mux_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  xclk_max:8;
        RBus_UInt32  xclk_min:8;
        RBus_UInt32  iclk_num:8;
        RBus_UInt32  res1:7;
        RBus_UInt32  auto_switch_x_en:1;
    };
}ppoverlay_xtal_count_iclk_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  main_wd_to_background:1;
        RBus_UInt32  main_wd_to_free_run:1;
        RBus_UInt32  dummy18028300_13_4:10;
        RBus_UInt32  m_hbd_en:1;
        RBus_UInt32  m_bd_trans:1;
        RBus_UInt32  m_force_bg:1;
        RBus_UInt32  m_disp_en:1;
    };
}ppoverlay_main_display_control_rsv_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  m_hbd_g:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  m_hbd_b:14;
    };
}ppoverlay_main_border_highlight_border_color1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  m_bd_b:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  m_hbd_r:14;
    };
}ppoverlay_main_border_highlight_border_color2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  m_bd_r:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  m_bd_g:14;
    };
}ppoverlay_main_border_highlight_border_color3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  m_bg_g:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  m_bg_b:14;
    };
}ppoverlay_main_background_color1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  m_bg_r:14;
    };
}ppoverlay_main_background_color2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  hlw_update_rate:8;
        RBus_UInt32  res2:5;
        RBus_UInt32  hlw_mode:2;
        RBus_UInt32  hlw_en:1;
    };
}ppoverlay_highlight_window_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  hlw_h_ini_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  hlw_ini_width:13;
    };
}ppoverlay_highlight_window_h_initial_start_width_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  hlw_v_ini_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  hlw_ini_height:13;
    };
}ppoverlay_highlight_window_v_initial_start_height_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hlw_h_sta_step:8;
        RBus_UInt32  hlw_width_step:8;
        RBus_UInt32  hlw_v_sta_step:8;
        RBus_UInt32  hlw_height_step:8;
    };
}ppoverlay_highlight_window_update_step_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  hlw_h_bd_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  hlw_h_bd_end:13;
    };
}ppoverlay_highlight_window_h_boundary_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  hlw_v_bd_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  hlw_v_bd_end:13;
    };
}ppoverlay_highlight_window_v_boundary_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  hlw_h_cur_sta_pos:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  hlw_cur_width:13;
    };
}ppoverlay_highlight_window_h_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  hlw_v_cur_sta_pos:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  hlw_cur_height:13;
    };
}ppoverlay_highlight_window_v_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  hlw_v_sta_dir_inv_bc1_en:1;
        RBus_UInt32  hlw_v_sta_dir_inv_bc2_en:1;
        RBus_UInt32  hlw_h_sta_dir_inv_bc3_en:1;
        RBus_UInt32  hlw_h_sta_dir_inv_bc4_en:1;
    };
}ppoverlay_highlight_window_boundary_condition_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  hlw_up_bd_w:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  hlw_down_bd_w:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  hlw_left_bd_w:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  hlw_right_bd_w:6;
    };
}ppoverlay_highlight_window_border_width_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  hlw_min_width:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  hlw_min_height:13;
    };
}ppoverlay_highlight_window_min_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  mp_hbd_en:1;
    };
}ppoverlay_mp_disp_enable_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  sub_wd_to_background:1;
        RBus_UInt32  sub_wd_to_free_run:1;
        RBus_UInt32  dummy18028384_13_3:11;
        RBus_UInt32  s_bd_trans:1;
        RBus_UInt32  s_force_bg:1;
        RBus_UInt32  s_disp_en:1;
    };
}ppoverlay_mp_layout_force_to_background_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  s_hbd_g:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  s_hbd_b:14;
    };
}ppoverlay_sub_border_highlight_border_color1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  s_bd_b:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  s_hbd_r:14;
    };
}ppoverlay_sub_border_highlight_border_color2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  s_bd_r:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  s_bd_g:14;
    };
}ppoverlay_sub_border_highlight_border_color3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  s_bg_g:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  s_bg_b:14;
    };
}ppoverlay_sub_background_color1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  s_bg_r:14;
    };
}ppoverlay_sub_background_color2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  right_osd1_dir:1;
        RBus_UInt32  right_osd1_offset:11;
        RBus_UInt32  left_osd1_dir:1;
        RBus_UInt32  left_osd1_offset:11;
    };
}ppoverlay_osd1_3d_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  right_osd2_dir:1;
        RBus_UInt32  right_osd2_offset:11;
        RBus_UInt32  left_osd2_dir:1;
        RBus_UInt32  left_osd2_offset:11;
    };
}ppoverlay_osd2_3d_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  right_osd3_dir:1;
        RBus_UInt32  right_osd3_offset:11;
        RBus_UInt32  left_osd3_dir:1;
        RBus_UInt32  left_osd3_offset:11;
    };
}ppoverlay_osd3_3d_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  right_osd4_dir:1;
        RBus_UInt32  right_osd4_offset:11;
        RBus_UInt32  left_osd4_dir:1;
        RBus_UInt32  left_osd4_offset:11;
    };
}ppoverlay_osd4_3d_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  right_osd5_dir:1;
        RBus_UInt32  right_osd5_offset:11;
        RBus_UInt32  left_osd5_dir:1;
        RBus_UInt32  left_osd5_offset:11;
    };
}ppoverlay_osd5_3d_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  right_osd6_dir:1;
        RBus_UInt32  right_osd6_offset:11;
        RBus_UInt32  left_osd6_dir:1;
        RBus_UInt32  left_osd6_offset:11;
    };
}ppoverlay_osd6_3d_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  right_subt_dir:1;
        RBus_UInt32  right_subt_offset:11;
        RBus_UInt32  left_subt_dir:1;
        RBus_UInt32  left_subt_offset:11;
    };
}ppoverlay_subt_3d_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  gibi_blackflag_mode:1;
        RBus_UInt32  gibi_blackflag_en:1;
        RBus_UInt32  gibi_blackflag:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  gdma_osd_line_alt:1;
        RBus_UInt32  gdma_osd_lflag_inv:1;
        RBus_UInt32  gdma_subt_line_alt:1;
        RBus_UInt32  gdma_subt_lflag_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  memcdtg_lflag_cnt_reset:1;
        RBus_UInt32  memcdtg_lflag_mode:1;
        RBus_UInt32  memcdtg_lflag_free_run:2;
        RBus_UInt32  memcdtg_lflag_mode_3d:1;
        RBus_UInt32  memcdtg_lflag_inv:1;
        RBus_UInt32  memcdtg_lflag:1;
        RBus_UInt32  res3:10;
        RBus_UInt32  lflag_cnt_reset:1;
        RBus_UInt32  lflag_mode:1;
        RBus_UInt32  lflag_free_run:1;
        RBus_UInt32  lflag_mode_3d:1;
        RBus_UInt32  lflag_inv:1;
        RBus_UInt32  lflag:1;
    };
}ppoverlay_lflag_gen_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  osddtg_lflag_cnt_reset:1;
        RBus_UInt32  osddtg_lflag_mode:1;
        RBus_UInt32  osddtg_lflag_free_run:2;
        RBus_UInt32  osddtg_lflag_mode_3d:1;
        RBus_UInt32  osddtg_lflag_inv:1;
        RBus_UInt32  osddtg_lflag:1;
    };
}ppoverlay_lflag_gen_osd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  remove_half_ivs:1;
        RBus_UInt32  remove_half_ivs_mode:3;
        RBus_UInt32  res1:6;
        RBus_UInt32  remove_half_ivs_cnt_reset:1;
        RBus_UInt32  remove_half_ivs_mode2:5;
        RBus_UInt32  res2:16;
    };
}ppoverlay_dtg_m_remove_input_vsync_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  measure_ivs_cnt_src_sel:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  ivs_cnt_even:25;
    };
}ppoverlay_ivs_cnt_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  ivs_cnt_odd:25;
    };
}ppoverlay_ivs_cnt_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  ivs_cnt_ori:25;
    };
}ppoverlay_ivs_cnt_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  dtg_m_multiple_vsync:6;
    };
}ppoverlay_dtg_m_multiple_vsync_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  uzudtg_remove_half_ivs:1;
        RBus_UInt32  uzudtg_remove_half_ivs_mode:6;
        RBus_UInt32  uzudtg_remove_half_ivs_cnt_reset:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  uzudtg_remove_half_ivs_alignmode:1;
        RBus_UInt32  res3:14;
        RBus_UInt32  uzudtg_multiple_vsync:6;
    };
}ppoverlay_uzudtg_fractional_fsync_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  memcdtg_remove_half_ivs:1;
        RBus_UInt32  memcdtg_remove_half_ivs_mode:6;
        RBus_UInt32  memcdtg_remove_half_ivs_cnt_reset:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  memcdtg_remove_half_ivs_alignmode:1;
        RBus_UInt32  res3:14;
        RBus_UInt32  memcdtg_multiple_vsync:6;
    };
}ppoverlay_memcdtg_fractional_fsync_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  osddtg_remove_half_ivs:1;
        RBus_UInt32  osddtg_remove_half_ivs_mode:6;
        RBus_UInt32  osddtg_remove_half_ivs_cnt_reset:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  osddtg_remove_half_ivs_alignmode:1;
        RBus_UInt32  res3:14;
        RBus_UInt32  osddtg_multiple_vsync:6;
    };
}ppoverlay_osddtg_fractional_fsync_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  uzudtg_input_frame_cnt:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  uzudtg_output_frame_cnt:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  memcdtg_input_frame_cnt:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  memcdtg_output_frame_cnt:6;
    };
}ppoverlay_dtg_frame_cnt1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  osddtg_input_frame_cnt:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  osddtg_output_frame_cnt:6;
        RBus_UInt32  res3:10;
        RBus_UInt32  dtg_output_frame_cnt:6;
    };
}ppoverlay_dtg_frame_cnt2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  osd_dtg_header_en:1;
    };
}ppoverlay_osd_dtg_header_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  osd_dtg_dv_den_header:13;
    };
}ppoverlay_osd_dtg_header_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  pif_osd_dh_width:8;
    };
}ppoverlay_osd_dtg_dh_width_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  pif_osd_dv_length:8;
    };
}ppoverlay_osd_dtg_dv_length_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  dtg_input_frame_cnt:5;
    };
}ppoverlay_dtg_frame_cnt3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  uzudtg_mode_revised:1;
        RBus_UInt32  res1:24;
        RBus_UInt32  uzudtg_frc_fsync_status:1;
        RBus_UInt32  uzudtg_frc2fsync_by_hw:1;
        RBus_UInt32  uzudtg_fsync_en:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  uzudtg_en:1;
    };
}ppoverlay_uzudtg_countrol_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  uzudtg_dv_total:13;
    };
}ppoverlay_uzudtg_dv_total_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  uzudtg_dh_total_last_line:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  uzudtg_dh_total:13;
    };
}ppoverlay_uzudtg_dh_total_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  two_step_uzu_en:1;
        RBus_UInt32  two_step_uzu_mode:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  dtgm2uzuvs_line:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  dtgm2uzuvs_pixel:13;
    };
}ppoverlay_uzudtg_control1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  dtgm2uzu2vs_line:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  dtgm2uzu2vs_pixel:13;
    };
}ppoverlay_uzudtg_control2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  dh_den_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  dh_den_end:13;
    };
}ppoverlay_dh_den_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  dv_den_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  dv_den_end:13;
    };
}ppoverlay_dv_den_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  mh_den_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  mh_den_end:13;
    };
}ppoverlay_main_den_h_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  mv_den_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  mv_den_end:13;
    };
}ppoverlay_main_den_v_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  mh_bg_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  mh_bg_end:13;
    };
}ppoverlay_main_background_h_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  mv_bg_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  mv_bg_end:13;
    };
}ppoverlay_main_background_v_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  mh_act_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  mh_act_end:13;
    };
}ppoverlay_main_active_h_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  mv_act_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  mv_act_end:13;
    };
}ppoverlay_main_active_v_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  sh_den_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  sh_den_width:13;
    };
}ppoverlay_sub_den_h_start_width_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  sv_den_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  sv_den_length:13;
    };
}ppoverlay_sub_den_v_start_length_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  sh_bg_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  sh_bg_end:13;
    };
}ppoverlay_sub_background_h_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  sv_bg_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  sv_bg_end:13;
    };
}ppoverlay_sub_background_v_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  sh_act_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  sh_act_end:13;
    };
}ppoverlay_sub_active_h_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  sv_act_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  sv_act_end:13;
    };
}ppoverlay_sub_active_v_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  sub_act_rad_a:22;
    };
}ppoverlay_sub_active_rad_a_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  sub_act_rad_b:22;
    };
}ppoverlay_sub_active_rad_b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  sub_bg_rad_a:22;
    };
}ppoverlay_sub_background_rad_a_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  sub_bg_rad_b:22;
    };
}ppoverlay_sub_background_rad_b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  sub_den_rad_a:22;
    };
}ppoverlay_sub_den_rad_a_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  sub_den_rad_b:22;
    };
}ppoverlay_sub_den_rad_b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_window_form_sel:2;
        RBus_UInt32  sub_circle_center_v:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  sub_circle_center_h:14;
    };
}ppoverlay_sub_circle_center_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_arrow_side:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  sub_arrow_reverse:13;
        RBus_UInt32  res2:1;
        RBus_UInt32  sub_arrow_slope:15;
    };
}ppoverlay_sub_arrow_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  sub_arrow_h_den_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  sub_arrow_h_bg_sta:13;
    };
}ppoverlay_sub_arrow_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  sub_arrow_h_act_sta:13;
    };
}ppoverlay_sub_arrow_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  memcdtg_mode_revised:1;
        RBus_UInt32  res1:24;
        RBus_UInt32  memcdtg_frc_fsync_status:1;
        RBus_UInt32  memcdtg_frc2fsync_by_hw:1;
        RBus_UInt32  memcdtg_fsync_en:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  memcdtg_en:1;
    };
}ppoverlay_memcdtg_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  memcdtg_dv_total:13;
    };
}ppoverlay_memcdtg_dv_total_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  memcdtg_dh_total_last_line:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  memcdtg_dh_total:13;
    };
}ppoverlay_memcdtg_dh_total_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  memcdtg_dv_den_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  memcdtg_dv_den_end:13;
    };
}ppoverlay_memcdtg_dv_den_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  memcdtg_dh_den_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  memcdtg_dh_den_end:13;
    };
}ppoverlay_memcdtg_dh_den_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  memcdtg_dv_video_blend_region_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  memcdtg_dv_video_blend_region_end:13;
    };
}ppoverlay_memcdtg_dv_video_blending_region_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  memcdtg_dh_video_blend_region_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  memcdtg_dh_video_blend_region_end:13;
    };
}ppoverlay_memcdtg_dh_video_blending_region_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  dtgm2kiwiprevs_line:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  dtgm2kiwiprevs_pixel:13;
    };
}ppoverlay_memcdtg_control2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  dtgm2goldenpostvs_line:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  dtgm2goldenpostvs_pixel:13;
    };
}ppoverlay_memcdtg_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  kiwi_dvs_phase_error_cntr:1;
        RBus_UInt32  kiwi_dvs_phase_error_flag:1;
        RBus_UInt32  kiwi_dvs_phase_error_po:1;
        RBus_UInt32  kiwi_dvs_phase_error:22;
    };
}ppoverlay_measure_kiwi_dvs_phase_error_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  kiwi_den_phase_error_cntr:1;
        RBus_UInt32  kiwi_den_phase_error_flag:1;
        RBus_UInt32  kiwi_den_phase_error_po:1;
        RBus_UInt32  kiwi_den_phase_error:22;
    };
}ppoverlay_measure_kiwi_den_phase_error_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  memcmux_rw_den_phase_error_cntr:1;
        RBus_UInt32  memcmux_rw_den_phase_error_flag:1;
        RBus_UInt32  memcmux_rw_den_phase_error_po:1;
        RBus_UInt32  memcmux_rw_den_phase_error:22;
    };
}ppoverlay_measure_memcmux_rw_den_phase_error_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osddtg_mode_revised:1;
        RBus_UInt32  res1:22;
        RBus_UInt32  dtg_force_bypass_osd_blend:1;
        RBus_UInt32  osd_split:1;
        RBus_UInt32  osddtg_frc_fsync_status:1;
        RBus_UInt32  osddtg_frc2fsync_by_hw:1;
        RBus_UInt32  osddtg_fsync_en:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  osddtg_en:1;
    };
}ppoverlay_osddtg_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  osddtg_dv_total:13;
    };
}ppoverlay_osddtg_dv_total_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  osddtg_dh_total_last_line:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  osddtg_dh_total:13;
    };
}ppoverlay_osddtg_dh_total_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  osddtg_dv_den_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  osddtg_dv_den_end:13;
    };
}ppoverlay_osddtg_dv_den_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  osddtg_dh_den_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  osddtg_dh_den_end:13;
    };
}ppoverlay_osddtg_dh_den_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  dtgm2osdvs_line:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  dtgm2osdvs_pixel:13;
    };
}ppoverlay_osddtg_control2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  osd_split_smooth_toggle_apply:1;
    };
}ppoverlay_osd_split_smooth_toggle_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_split_smooth_toggle_debug:32;
    };
}ppoverlay_osd_split_smooth_toggle_debug_RBUS;

#else //apply LITTLE_ENDIAN

//======PPOVERLAY register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dmainreg_dbuf_set:1;
        RBus_UInt32  dmainreg_dbuf_read_sel:1;
        RBus_UInt32  dmainreg_dbuf_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  dsubreg_dbuf_set:1;
        RBus_UInt32  dsubreg_dbuf_read_sel:1;
        RBus_UInt32  dsubreg_dbuf_en:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  dreg_dbuf_set:1;
        RBus_UInt32  dreg_dbuf_read_sel:1;
        RBus_UInt32  dreg_dbuf_en:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  drm_multireg_dbuf_set:1;
        RBus_UInt32  drm_multireg_dbuf_read_sel:1;
        RBus_UInt32  drm_multireg_dbuf_en:1;
        RBus_UInt32  res4:15;
        RBus_UInt32  drm_multireg_dbuf_vsync_sel:2;
    };
}ppoverlay_double_buffer_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  memcdtg_dbuf_vsync_sel:2;
        RBus_UInt32  uzudtg_dbuf_vsync_sel:2;
        RBus_UInt32  osddtg_dbuf_vsync_sel:2;
        RBus_UInt32  res1:6;
        RBus_UInt32  memc_dtgreg_dbuf_set:1;
        RBus_UInt32  memcdtgreg_dbuf_read_sel:1;
        RBus_UInt32  memcdtgreg_dbuf_en:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  uzudtgreg_dbuf_set:1;
        RBus_UInt32  uzudtgreg_dbuf_read_sel:1;
        RBus_UInt32  uzudtgreg_dbuf_en:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  osddtgreg_dbuf_set:1;
        RBus_UInt32  osddtgreg_dbuf_read_sel:1;
        RBus_UInt32  osddtgreg_dbuf_en:1;
        RBus_UInt32  res4:9;
    };
}ppoverlay_double_buffer_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hlw_db_apply:1;
        RBus_UInt32  hlw_db_read_sel:1;
        RBus_UInt32  hlw_db_en:1;
        RBus_UInt32  res1:29;
    };
}ppoverlay_highlight_window_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  iv2dv_db_apply:1;
        RBus_UInt32  iv2dv_db_read_sel:1;
        RBus_UInt32  iv2dv_db_en:1;
        RBus_UInt32  res1:29;
    };
}ppoverlay_iv2dv_double_buffer_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dispd_stage1_smooth_toggle_protect:1;
        RBus_UInt32  res1:31;
    };
}ppoverlay_dispd_stage1_sm_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dispd_stage2_smooth_toggle_protect:1;
        RBus_UInt32  res1:31;
    };
}ppoverlay_dispd_stage2_sm_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dispd_stage1_smooth_toggle_apply:1;
        RBus_UInt32  dispd_stage1_smooth_toggle_src_sel:1;
        RBus_UInt32  res1:30;
    };
}ppoverlay_dispd_smooth_toggle1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dispd_stage2_smooth_toggle_apply:1;
        RBus_UInt32  res1:31;
    };
}ppoverlay_dispd_smooth_toggle2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dispd2osd_sm_frame_delay_num:4;
        RBus_UInt32  dispd2osd_sm_frame_delay_en:1;
        RBus_UInt32  res1:27;
    };
}ppoverlay_dispd2osd_sm_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  auto_switch_fll_to_fs:1;
        RBus_UInt32  res2:4;
        RBus_UInt32  fsync_fll_mode:1;
        RBus_UInt32  res3:6;
        RBus_UInt32  dhs_first_mask:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  dout_force_bg:1;
        RBus_UInt32  hdmi_12bit_bypass:1;
        RBus_UInt32  wde_to_free_run:1;
        RBus_UInt32  sub_imd_sm_to_gdma:1;
        RBus_UInt32  main_imd_sm_to_gdma:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  disp_en:1;
        RBus_UInt32  res6:1;
        RBus_UInt32  disp_fsync_en:1;
        RBus_UInt32  disp_fix_last_line:2;
        RBus_UInt32  disp_line_4x:1;
        RBus_UInt32  disp_frc_on_fsync:1;
        RBus_UInt32  disp_frc_fsync:1;
    };
}ppoverlay_display_timing_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  frc2fsync_en:1;
        RBus_UInt32  frc2fsync_speedup_en:1;
        RBus_UInt32  frc2fsync_speedup_period:1;
        RBus_UInt32  frc2fsync_protection:1;
        RBus_UInt32  res1:12;
        RBus_UInt32  d2i3ddma_src_sel:3;
        RBus_UInt32  mplus_rgbw_en:3;
        RBus_UInt32  repeat_flag_mode:2;
        RBus_UInt32  shpnr_line_mode:3;
        RBus_UInt32  pcid_en:1;
        RBus_UInt32  pip_swap_en:1;
        RBus_UInt32  dout_pixel_mode:1;
        RBus_UInt32  hcic_enable:1;
        RBus_UInt32  pcid2_en:1;
    };
}ppoverlay_display_timing_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dh_width:8;
        RBus_UInt32  res1:24;
    };
}ppoverlay_dh_width_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dh_total_last_line:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  dh_total:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_dh_total_last_line_length_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dv_length:8;
        RBus_UInt32  res1:24;
    };
}ppoverlay_dv_length_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dv_total:13;
        RBus_UInt32  res1:19;
    };
}ppoverlay_dv_total_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d_bg_b:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  d_bg_g:14;
        RBus_UInt32  res2:2;
    };
}ppoverlay_display_background_color_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d_bg_r:14;
        RBus_UInt32  res1:18;
    };
}ppoverlay_display_background_color_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  w_value_th:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  old_fll_unlocked_th:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_dvs_phase_error_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  two_dvs_phase_error:22;
        RBus_UInt32  two_dvs_phase_error_po:1;
        RBus_UInt32  two_dvs_phase_error_flag:1;
        RBus_UInt32  two_dvs_phase_error_cntr:1;
        RBus_UInt32  res1:7;
    };
}ppoverlay_measure_two_dvs_phase_error_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  total_pixels_first_cnt:28;
        RBus_UInt32  res1:1;
        RBus_UInt32  measure_topixels_2f:1;
        RBus_UInt32  measure_topixels_mode:1;
        RBus_UInt32  measure_topixels_ctr:1;
    };
}ppoverlay_measure_total_pixels_result1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  total_pixels_second_cnt:28;
        RBus_UInt32  res1:4;
    };
}ppoverlay_measure_total_pixels_result2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  last_line_value_first:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  dv_total_value_first:13;
        RBus_UInt32  measure_dvllpixels_2f:1;
        RBus_UInt32  measure_dvllpixels_mode:1;
        RBus_UInt32  measure_dvllpixels_ctr:1;
    };
}ppoverlay_measure_dvtotal_last_line_pixels_result1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  last_line_value_second:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  dv_total_value_second:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_measure_dvtotal_last_line_pixels_result2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dv_den_cnt_target:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_split_dv_den_cnt_target:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_frc_to_frame_sync_den_end_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dvs_short_line_th:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  dvs_long_line_th:13;
        RBus_UInt32  res2:1;
        RBus_UInt32  dvs_abnormal_measure_en:1;
        RBus_UInt32  dvs_abnormal_en:1;
    };
}ppoverlay_dvs_abnormal_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  new_fll_mode:1;
    };
}ppoverlay_new_fix_last_line_mode_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  win_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  win_sta:13;
        RBus_UInt32  res2:2;
        RBus_UInt32  fs_fll_range_mode:1;
    };
}ppoverlay_fs_fll_mode_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dclk_n_cnt:16;
        RBus_UInt32  res1:14;
        RBus_UInt32  dclk_cnt_max_min_reset:1;
        RBus_UInt32  dclk_det_en:1;
    };
}ppoverlay_dtg_dclk_detect_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  min_dclk_n_cnt:16;
        RBus_UInt32  max_dclk_n_cnt:16;
    };
}ppoverlay_dtg_dclk_detect_max_min_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv_den_end_event_ie:1;
        RBus_UInt32  mv_den_sta_event_ie:1;
        RBus_UInt32  sv_den_end_event_ie:1;
        RBus_UInt32  sv_den_sta_event_ie:1;
        RBus_UInt32  dtg_vlc_ie:1;
        RBus_UInt32  auto_switch_x_event_ie:1;
        RBus_UInt32  fix_last_line_more_event_ie:1;
        RBus_UInt32  fix_last_line_less_event_ie:1;
        RBus_UInt32  fix_last_line_more_than_th_event_ie:1;
        RBus_UInt32  fix_last_line_less_than_th_event_ie:1;
        RBus_UInt32  fix_last_line_no_ivs_event_ie:1;
        RBus_UInt32  fix_last_line_ivs_too_close_event_ie:1;
        RBus_UInt32  fll_exit_irq_en:1;
        RBus_UInt32  dvs_short_event:1;
        RBus_UInt32  dvs_long_event:1;
        RBus_UInt32  db_vs_irq_en:1;
        RBus_UInt32  d_counter_dvs_ie:1;
        RBus_UInt32  memcdtgv_den_end_event_ie:1;
        RBus_UInt32  memcdtgv_den_sta_event_ie:1;
        RBus_UInt32  kiwi_dvs_phase_error_ie:1;
        RBus_UInt32  kiwi_den_phase_error_ie:1;
        RBus_UInt32  osddtgv_den_end_event_ie:1;
        RBus_UInt32  osddtgv_den_sta_event_ie:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  ie_fll_track_unlock:1;
        RBus_UInt32  dtg_ie:1;
    };
}ppoverlay_dtg_ie_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv_den_end_event:1;
        RBus_UInt32  mv_den_sta_event:1;
        RBus_UInt32  sv_den_end_event:1;
        RBus_UInt32  sv_den_sta_event:1;
        RBus_UInt32  dtg_vlc_status:1;
        RBus_UInt32  auto_switch_x_event:1;
        RBus_UInt32  fix_last_line_more_event:1;
        RBus_UInt32  fix_last_line_less_event:1;
        RBus_UInt32  fix_last_line_more_than_th_event:1;
        RBus_UInt32  fix_last_line_less_than_th_event:1;
        RBus_UInt32  fix_last_line_no_ivs_event:1;
        RBus_UInt32  fix_last_line_ivs_too_close_event:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  dvs_short:1;
        RBus_UInt32  dvs_long:1;
        RBus_UInt32  double_vs_error_flag:1;
        RBus_UInt32  d_counter_dvs_irq:1;
        RBus_UInt32  memcdtgv_den_end_event:1;
        RBus_UInt32  memcdtgv_den_sta_event:1;
        RBus_UInt32  kiwi_dvs_phase_error_irq:1;
        RBus_UInt32  kiwi_den_phase_error_irq:1;
        RBus_UInt32  osddtgv_den_end_event:1;
        RBus_UInt32  osddtgv_den_sta_event:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  dtg_main_reg_is_db:1;
        RBus_UInt32  dtg_sub_reg_is_db:1;
        RBus_UInt32  dtg_reg_is_db:1;
        RBus_UInt32  iv2dv_reg_is_db:1;
    };
}ppoverlay_dtg_pending_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  old_fll_unlocked_event:1;
        RBus_UInt32  hlw_bc5_flag:1;
        RBus_UInt32  hlw_bc4_flag:1;
        RBus_UInt32  hlw_bc3_flag:1;
        RBus_UInt32  hlw_bc2_flag:1;
        RBus_UInt32  hlw_bc1_flag:1;
        RBus_UInt32  hlw_error_flag:1;
        RBus_UInt32  memcdtg_fsync_err:1;
        RBus_UInt32  uzudtg_fsync_err:1;
        RBus_UInt32  osddtg_fsync_err:1;
        RBus_UInt32  res1:22;
    };
}ppoverlay_dtg_no_ie_pending_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  memc_in_bg_en:1;
        RBus_UInt32  res1:11;
        RBus_UInt32  memc_out_bg_en:1;
        RBus_UInt32  memc_outmux_sel:1;
        RBus_UInt32  memcdtg_golden_vs:1;
        RBus_UInt32  channel_copy_option:1;
        RBus_UInt32  rtk_bypass_vs_delay:4;
        RBus_UInt32  res2:12;
    };
}ppoverlay_memc_mux_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  in_cb_b_value:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  in_y_g_value:12;
        RBus_UInt32  res2:4;
    };
}ppoverlay_memc_mux_in_color_value_gb_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  in_cr_r_value:12;
        RBus_UInt32  res1:20;
    };
}ppoverlay_memc_mux_in_color_value_r_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  out_cb_b_value:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  out_y_g_value:12;
        RBus_UInt32  res2:4;
    };
}ppoverlay_memc_mux_out1_color_value_gb_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  out_cr_r_value:12;
        RBus_UInt32  res1:20;
    };
}ppoverlay_memc_mux_out1_color_value_r_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  synthesisn_ratio:11;
        RBus_UInt32  res1:5;
        RBus_UInt32  synthesisn:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  max_multiple_synthesisn:4;
        RBus_UInt32  res3:6;
        RBus_UInt32  fll_update_delay:1;
        RBus_UInt32  dtg_clk_update_offset_revise:1;
    };
}ppoverlay_fix_last_line_systhesisn_ratio_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lock_th:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  t_s:1;
        RBus_UInt32  res2:15;
    };
}ppoverlay_fix_last_line_mode_lock_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  offset_ft:13;
        RBus_UInt32  res1:19;
    };
}ppoverlay_fix_last_line_mode_conter0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase_error_ft:24;
        RBus_UInt32  res1:8;
    };
}ppoverlay_fix_last_line_mode_counter1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  wde_fll_track_unlock:1;
        RBus_UInt32  res2:30;
    };
}ppoverlay_fix_last_line_mode_lock_wde_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dtg_vln:13;
        RBus_UInt32  debug_mux:3;
        RBus_UInt32  dtg_vlc_src_sel:2;
        RBus_UInt32  res1:12;
        RBus_UInt32  dtg_vlc_mode:1;
        RBus_UInt32  dtg_vlcen:1;
    };
}ppoverlay_dtg_lc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sram_ok_main_16pix_th:9;
        RBus_UInt32  res1:3;
        RBus_UInt32  sram_ok_main_line_th:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  sram_ok_main_meas_en:1;
        RBus_UInt32  res3:15;
    };
}ppoverlay_sram_ok_main_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pix_cnt_sram_ok_main_odd:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  line_cnt_sram_ok_main_odd:13;
        RBus_UInt32  dummy18028230_31_29:3;
    };
}ppoverlay_sram_ok_main_result_odd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pix_cnt_sram_ok_main_even:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  line_cnt_sram_ok_main_even:13;
        RBus_UInt32  dummy18028234_31_29:3;
    };
}ppoverlay_sram_ok_main_result_even_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sram_ok_sub_16pix_th:9;
        RBus_UInt32  res1:3;
        RBus_UInt32  sram_ok_sub_line_th:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  sram_ok_sub_meas_en:1;
        RBus_UInt32  res3:15;
    };
}ppoverlay_sram_ok_sub_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pix_cnt_sram_ok_sub_odd:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  line_cnt_sram_ok_sub_odd:13;
        RBus_UInt32  dummy1802823c_31_29:3;
    };
}ppoverlay_sram_ok_sub_result_odd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pix_cnt_sram_ok_sub_even:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  line_cnt_sram_ok_sub_even:13;
        RBus_UInt32  dummy18028240_31_29:3;
    };
}ppoverlay_sram_ok_sub_result_even_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rbus_reset:1;
        RBus_UInt32  res1:31;
    };
}ppoverlay_rbus_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  line_cnt_rt:13;
        RBus_UInt32  res1:19;
    };
}ppoverlay_new_meas0_linecnt_real_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  memcdtg_line_cnt_rt:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  uzudtg_line_cnt_rt:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_new_meas1_linecnt_real_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osddtg_line_cnt_rt:13;
        RBus_UInt32  res1:19;
    };
}ppoverlay_new_meas2_linecnt_real_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m_not_fs_pixel_value:13;
        RBus_UInt32  res1:1;
        RBus_UInt32  m_overflow_flag:1;
        RBus_UInt32  m_underflow_flag:1;
        RBus_UInt32  m_not_fs_line_value:13;
        RBus_UInt32  res2:1;
        RBus_UInt32  m_field_flag:1;
        RBus_UInt32  m_not_fs_line_pixel_en:1;
    };
}ppoverlay_measure_not_frame_sync_line_pixels_main_path_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s_not_fs_pixel_value:13;
        RBus_UInt32  res1:1;
        RBus_UInt32  s_overflow_flag:1;
        RBus_UInt32  s_underflow_flag:1;
        RBus_UInt32  s_not_fs_line_value:13;
        RBus_UInt32  res2:1;
        RBus_UInt32  s_field_flag:1;
        RBus_UInt32  s_not_fs_line_pixel_en:1;
    };
}ppoverlay_measure_not_frame_sync_line_pixels_sub_path_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d_counter_dvs_set:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  d_counter_dvs_mask:1;
        RBus_UInt32  res2:14;
        RBus_UInt32  d_counter_dvs_en:1;
    };
}ppoverlay_d_domain_counter_dvs_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  less_line_th:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  more_line_th:13;
        RBus_UInt32  res2:2;
        RBus_UInt32  fix_last_line_exit_en:1;
    };
}ppoverlay_fix_last_line_exit_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fll_status_counter:13;
        RBus_UInt32  res1:19;
    };
}ppoverlay_fix_last_line_exit_status1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wd_fix_last_line_ivs_too_close_en:1;
        RBus_UInt32  wd_fix_last_no_ivs_en:1;
        RBus_UInt32  wd_fix_last_less_than_th_en:1;
        RBus_UInt32  wd_fix_last_more_than_th_en:1;
        RBus_UInt32  wd_fix_last_less_en:1;
        RBus_UInt32  wd_fix_last_more_en:1;
        RBus_UInt32  res1:26;
    };
}ppoverlay_fix_last_line_exit_status2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pix_cnt_sram_ok_main_left:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  line_cnt_sram_ok_main_left:13;
        RBus_UInt32  dummy180282c4_31_29:3;
    };
}ppoverlay_sram_ok_main_result_left_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pix_cnt_sram_ok_main_right:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  line_cnt_sram_ok_main_right:13;
        RBus_UInt32  dummy180282c8_31_29:3;
    };
}ppoverlay_sram_ok_main_result_right_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  den_h_right_ext:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  den_h_left_ext:13;
        RBus_UInt32  res2:2;
        RBus_UInt32  den_h_extend_en:1;
    };
}ppoverlay_den_h_extend_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dvs_cnt:25;
        RBus_UInt32  res1:7;
    };
}ppoverlay_dvs_cnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dvs_sscg_cnt:25;
        RBus_UInt32  res1:7;
    };
}ppoverlay_dvs_sscg_cnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  uzudtg_dvs_cnt:25;
        RBus_UInt32  res1:7;
    };
}ppoverlay_uzudtg_dvs_cnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osddtg_dvs_cnt:25;
        RBus_UInt32  res1:7;
    };
}ppoverlay_osddtg_dvs_cnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  memcdtg_dvs_cnt:25;
        RBus_UInt32  res1:7;
    };
}ppoverlay_memcdtg_dvs_cnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ld_spi_irq_record:1;
        RBus_UInt32  od_irq_record:1;
        RBus_UInt32  dctl_irq_record:1;
        RBus_UInt32  subt_irq_record:1;
        RBus_UInt32  osd_irq_record:1;
        RBus_UInt32  su_sub_irq_record:1;
        RBus_UInt32  su_main_irq_record:1;
        RBus_UInt32  vi_irq_record:1;
        RBus_UInt32  m_plus_irq_record:1;
        RBus_UInt32  d_hist_sub_irq_record:1;
        RBus_UInt32  d_hist_main_irq_record:1;
        RBus_UInt32  boe_rgbw_irq_record:1;
        RBus_UInt32  res1:20;
    };
}ppoverlay_dispd_irq_record_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dispd_testpin_sel:6;
        RBus_UInt32  res1:26;
    };
}ppoverlay_dispd_test_pin_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  porch_gated_en:1;
        RBus_UInt32  res1:31;
    };
}ppoverlay_d_clk_porch_gated_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dispd_stage1_clk_front_porch_gated_en:1;
        RBus_UInt32  dispd_stage1_clk_back_porch_gated_en:1;
        RBus_UInt32  dispd_stage2_clk_front_porch_gated_en:1;
        RBus_UInt32  dispd_stage2_clk_back_porch_gated_en:1;
        RBus_UInt32  res1:28;
    };
}ppoverlay_d_clk_porch_gated_debug_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  iv2dv_3d_line_r:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  iv2dv_3d_line_l:13;
        RBus_UInt32  dummy18025c44_31_29:3;
    };
}ppoverlay_fs_iv_dv_fine_tuning3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  iv2dv_3d_pixel2_l:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  iv2dv_3d_pixel_r:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_fs_iv_dv_fine_tuning4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy18025c4c_1_0:2;
        RBus_UInt32  iv2dv_toggle_inv:1;
        RBus_UInt32  iv2dv_toggle_en:1;
        RBus_UInt32  res1:22;
        RBus_UInt32  dummy18025c4c_27_26:2;
        RBus_UInt32  iv2dv_3d_flag_inv:1;
        RBus_UInt32  iv2dv_3d_flag_en:1;
        RBus_UInt32  dummy18025c4c_31_30:2;
    };
}ppoverlay_fs_iv_dv_fine_tuning1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  iv2dv_pixel2:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  iv2dv_pixel:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_fs_iv_dv_fine_tuning2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  iv2dv_line_2:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  iv2dv_line:13;
        RBus_UInt32  dummy18025c58_31_29:3;
    };
}ppoverlay_fs_iv_dv_fine_tuning5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  iv2dv_pixel_new_fll:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  iv2dv_line_new_fll:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_new_fix_last_line_iv2dv_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hdmitxvs_iv2dv_done_mux:1;
        RBus_UInt32  dummy18025c74_31:31;
    };
}ppoverlay_dctl_iv2dv_hdmitxvs_mux_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  auto_switch_x_en:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  iclk_num:8;
        RBus_UInt32  xclk_min:8;
        RBus_UInt32  xclk_max:8;
    };
}ppoverlay_xtal_count_iclk_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m_disp_en:1;
        RBus_UInt32  m_force_bg:1;
        RBus_UInt32  m_bd_trans:1;
        RBus_UInt32  m_hbd_en:1;
        RBus_UInt32  dummy18028300_13:10;
        RBus_UInt32  main_wd_to_free_run:1;
        RBus_UInt32  main_wd_to_background:1;
        RBus_UInt32  res1:16;
    };
}ppoverlay_main_display_control_rsv_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m_hbd_b:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  m_hbd_g:14;
        RBus_UInt32  res2:2;
    };
}ppoverlay_main_border_highlight_border_color1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m_hbd_r:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  m_bd_b:14;
        RBus_UInt32  res2:2;
    };
}ppoverlay_main_border_highlight_border_color2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m_bd_g:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  m_bd_r:14;
        RBus_UInt32  res2:2;
    };
}ppoverlay_main_border_highlight_border_color3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m_bg_b:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  m_bg_g:14;
        RBus_UInt32  res2:2;
    };
}ppoverlay_main_background_color1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m_bg_r:14;
        RBus_UInt32  res1:18;
    };
}ppoverlay_main_background_color2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hlw_en:1;
        RBus_UInt32  hlw_mode:2;
        RBus_UInt32  res1:5;
        RBus_UInt32  hlw_update_rate:8;
        RBus_UInt32  res2:16;
    };
}ppoverlay_highlight_window_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hlw_ini_width:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  hlw_h_ini_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_highlight_window_h_initial_start_width_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hlw_ini_height:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  hlw_v_ini_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_highlight_window_v_initial_start_height_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hlw_height_step:8;
        RBus_UInt32  hlw_v_sta_step:8;
        RBus_UInt32  hlw_width_step:8;
        RBus_UInt32  hlw_h_sta_step:8;
    };
}ppoverlay_highlight_window_update_step_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hlw_h_bd_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  hlw_h_bd_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_highlight_window_h_boundary_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hlw_v_bd_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  hlw_v_bd_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_highlight_window_v_boundary_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hlw_cur_width:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  hlw_h_cur_sta_pos:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_highlight_window_h_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hlw_cur_height:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  hlw_v_cur_sta_pos:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_highlight_window_v_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hlw_h_sta_dir_inv_bc4_en:1;
        RBus_UInt32  hlw_h_sta_dir_inv_bc3_en:1;
        RBus_UInt32  hlw_v_sta_dir_inv_bc2_en:1;
        RBus_UInt32  hlw_v_sta_dir_inv_bc1_en:1;
        RBus_UInt32  res1:28;
    };
}ppoverlay_highlight_window_boundary_condition_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hlw_right_bd_w:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  hlw_left_bd_w:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  hlw_down_bd_w:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  hlw_up_bd_w:6;
        RBus_UInt32  res4:2;
    };
}ppoverlay_highlight_window_border_width_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hlw_min_height:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  hlw_min_width:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_highlight_window_min_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mp_hbd_en:1;
        RBus_UInt32  res1:31;
    };
}ppoverlay_mp_disp_enable_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s_disp_en:1;
        RBus_UInt32  s_force_bg:1;
        RBus_UInt32  s_bd_trans:1;
        RBus_UInt32  dummy18028384_13:11;
        RBus_UInt32  sub_wd_to_free_run:1;
        RBus_UInt32  sub_wd_to_background:1;
        RBus_UInt32  res1:16;
    };
}ppoverlay_mp_layout_force_to_background_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s_hbd_b:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  s_hbd_g:14;
        RBus_UInt32  res2:2;
    };
}ppoverlay_sub_border_highlight_border_color1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s_hbd_r:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  s_bd_b:14;
        RBus_UInt32  res2:2;
    };
}ppoverlay_sub_border_highlight_border_color2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s_bd_g:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  s_bd_r:14;
        RBus_UInt32  res2:2;
    };
}ppoverlay_sub_border_highlight_border_color3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s_bg_b:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  s_bg_g:14;
        RBus_UInt32  res2:2;
    };
}ppoverlay_sub_background_color1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s_bg_r:14;
        RBus_UInt32  res1:18;
    };
}ppoverlay_sub_background_color2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  left_osd1_offset:11;
        RBus_UInt32  left_osd1_dir:1;
        RBus_UInt32  right_osd1_offset:11;
        RBus_UInt32  right_osd1_dir:1;
        RBus_UInt32  res1:8;
    };
}ppoverlay_osd1_3d_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  left_osd2_offset:11;
        RBus_UInt32  left_osd2_dir:1;
        RBus_UInt32  right_osd2_offset:11;
        RBus_UInt32  right_osd2_dir:1;
        RBus_UInt32  res1:8;
    };
}ppoverlay_osd2_3d_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  left_osd3_offset:11;
        RBus_UInt32  left_osd3_dir:1;
        RBus_UInt32  right_osd3_offset:11;
        RBus_UInt32  right_osd3_dir:1;
        RBus_UInt32  res1:8;
    };
}ppoverlay_osd3_3d_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  left_osd4_offset:11;
        RBus_UInt32  left_osd4_dir:1;
        RBus_UInt32  right_osd4_offset:11;
        RBus_UInt32  right_osd4_dir:1;
        RBus_UInt32  res1:8;
    };
}ppoverlay_osd4_3d_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  left_osd5_offset:11;
        RBus_UInt32  left_osd5_dir:1;
        RBus_UInt32  right_osd5_offset:11;
        RBus_UInt32  right_osd5_dir:1;
        RBus_UInt32  res1:8;
    };
}ppoverlay_osd5_3d_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  left_osd6_offset:11;
        RBus_UInt32  left_osd6_dir:1;
        RBus_UInt32  right_osd6_offset:11;
        RBus_UInt32  right_osd6_dir:1;
        RBus_UInt32  res1:8;
    };
}ppoverlay_osd6_3d_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  left_subt_offset:11;
        RBus_UInt32  left_subt_dir:1;
        RBus_UInt32  right_subt_offset:11;
        RBus_UInt32  right_subt_dir:1;
        RBus_UInt32  res1:8;
    };
}ppoverlay_subt_3d_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lflag:1;
        RBus_UInt32  lflag_inv:1;
        RBus_UInt32  lflag_mode_3d:1;
        RBus_UInt32  lflag_free_run:1;
        RBus_UInt32  lflag_mode:1;
        RBus_UInt32  lflag_cnt_reset:1;
        RBus_UInt32  res1:10;
        RBus_UInt32  memcdtg_lflag:1;
        RBus_UInt32  memcdtg_lflag_inv:1;
        RBus_UInt32  memcdtg_lflag_mode_3d:1;
        RBus_UInt32  memcdtg_lflag_free_run:2;
        RBus_UInt32  memcdtg_lflag_mode:1;
        RBus_UInt32  memcdtg_lflag_cnt_reset:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  gdma_subt_lflag_inv:1;
        RBus_UInt32  gdma_subt_line_alt:1;
        RBus_UInt32  gdma_osd_lflag_inv:1;
        RBus_UInt32  gdma_osd_line_alt:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  gibi_blackflag:1;
        RBus_UInt32  gibi_blackflag_en:1;
        RBus_UInt32  gibi_blackflag_mode:1;
    };
}ppoverlay_lflag_gen_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osddtg_lflag:1;
        RBus_UInt32  osddtg_lflag_inv:1;
        RBus_UInt32  osddtg_lflag_mode_3d:1;
        RBus_UInt32  osddtg_lflag_free_run:2;
        RBus_UInt32  osddtg_lflag_mode:1;
        RBus_UInt32  osddtg_lflag_cnt_reset:1;
        RBus_UInt32  res1:25;
    };
}ppoverlay_lflag_gen_osd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  remove_half_ivs_mode2:5;
        RBus_UInt32  remove_half_ivs_cnt_reset:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  remove_half_ivs_mode:3;
        RBus_UInt32  remove_half_ivs:1;
    };
}ppoverlay_dtg_m_remove_input_vsync_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ivs_cnt_even:25;
        RBus_UInt32  res1:2;
        RBus_UInt32  measure_ivs_cnt_src_sel:1;
        RBus_UInt32  res2:4;
    };
}ppoverlay_ivs_cnt_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ivs_cnt_odd:25;
        RBus_UInt32  res1:7;
    };
}ppoverlay_ivs_cnt_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ivs_cnt_ori:25;
        RBus_UInt32  res1:7;
    };
}ppoverlay_ivs_cnt_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dtg_m_multiple_vsync:6;
        RBus_UInt32  res1:26;
    };
}ppoverlay_dtg_m_multiple_vsync_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  uzudtg_multiple_vsync:6;
        RBus_UInt32  res1:14;
        RBus_UInt32  uzudtg_remove_half_ivs_alignmode:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  uzudtg_remove_half_ivs_cnt_reset:1;
        RBus_UInt32  uzudtg_remove_half_ivs_mode:6;
        RBus_UInt32  uzudtg_remove_half_ivs:1;
        RBus_UInt32  res3:1;
    };
}ppoverlay_uzudtg_fractional_fsync_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  memcdtg_multiple_vsync:6;
        RBus_UInt32  res1:14;
        RBus_UInt32  memcdtg_remove_half_ivs_alignmode:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  memcdtg_remove_half_ivs_cnt_reset:1;
        RBus_UInt32  memcdtg_remove_half_ivs_mode:6;
        RBus_UInt32  memcdtg_remove_half_ivs:1;
        RBus_UInt32  res3:1;
    };
}ppoverlay_memcdtg_fractional_fsync_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osddtg_multiple_vsync:6;
        RBus_UInt32  res1:14;
        RBus_UInt32  osddtg_remove_half_ivs_alignmode:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  osddtg_remove_half_ivs_cnt_reset:1;
        RBus_UInt32  osddtg_remove_half_ivs_mode:6;
        RBus_UInt32  osddtg_remove_half_ivs:1;
        RBus_UInt32  res3:1;
    };
}ppoverlay_osddtg_fractional_fsync_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  memcdtg_output_frame_cnt:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  memcdtg_input_frame_cnt:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  uzudtg_output_frame_cnt:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  uzudtg_input_frame_cnt:6;
        RBus_UInt32  res4:2;
    };
}ppoverlay_dtg_frame_cnt1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dtg_output_frame_cnt:6;
        RBus_UInt32  res1:10;
        RBus_UInt32  osddtg_output_frame_cnt:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  osddtg_input_frame_cnt:6;
        RBus_UInt32  res3:2;
    };
}ppoverlay_dtg_frame_cnt2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_dtg_header_en:1;
        RBus_UInt32  res1:31;
    };
}ppoverlay_osd_dtg_header_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_dtg_dv_den_header:13;
        RBus_UInt32  res1:19;
    };
}ppoverlay_osd_dtg_header_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_osd_dh_width:8;
        RBus_UInt32  res1:24;
    };
}ppoverlay_osd_dtg_dh_width_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_osd_dv_length:8;
        RBus_UInt32  res1:24;
    };
}ppoverlay_osd_dtg_dv_length_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dtg_input_frame_cnt:5;
        RBus_UInt32  res1:27;
    };
}ppoverlay_dtg_frame_cnt3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  uzudtg_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  uzudtg_fsync_en:1;
        RBus_UInt32  uzudtg_frc2fsync_by_hw:1;
        RBus_UInt32  uzudtg_frc_fsync_status:1;
        RBus_UInt32  res2:24;
        RBus_UInt32  uzudtg_mode_revised:1;
    };
}ppoverlay_uzudtg_countrol_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  uzudtg_dv_total:13;
        RBus_UInt32  res1:19;
    };
}ppoverlay_uzudtg_dv_total_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  uzudtg_dh_total:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  uzudtg_dh_total_last_line:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_uzudtg_dh_total_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dtgm2uzuvs_pixel:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  dtgm2uzuvs_line:13;
        RBus_UInt32  res2:1;
        RBus_UInt32  two_step_uzu_mode:1;
        RBus_UInt32  two_step_uzu_en:1;
    };
}ppoverlay_uzudtg_control1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dtgm2uzu2vs_pixel:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  dtgm2uzu2vs_line:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_uzudtg_control2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dh_den_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  dh_den_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_dh_den_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dv_den_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  dv_den_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_dv_den_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mh_den_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  mh_den_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_main_den_h_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv_den_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  mv_den_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_main_den_v_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mh_bg_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  mh_bg_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_main_background_h_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv_bg_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  mv_bg_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_main_background_v_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mh_act_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  mh_act_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_main_active_h_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mv_act_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  mv_act_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_main_active_v_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sh_den_width:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  sh_den_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_sub_den_h_start_width_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sv_den_length:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  sv_den_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_sub_den_v_start_length_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sh_bg_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  sh_bg_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_sub_background_h_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sv_bg_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  sv_bg_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_sub_background_v_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sh_act_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  sh_act_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_sub_active_h_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sv_act_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  sv_act_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_sub_active_v_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_act_rad_a:22;
        RBus_UInt32  res1:10;
    };
}ppoverlay_sub_active_rad_a_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_act_rad_b:22;
        RBus_UInt32  res1:10;
    };
}ppoverlay_sub_active_rad_b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_bg_rad_a:22;
        RBus_UInt32  res1:10;
    };
}ppoverlay_sub_background_rad_a_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_bg_rad_b:22;
        RBus_UInt32  res1:10;
    };
}ppoverlay_sub_background_rad_b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_den_rad_a:22;
        RBus_UInt32  res1:10;
    };
}ppoverlay_sub_den_rad_a_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_den_rad_b:22;
        RBus_UInt32  res1:10;
    };
}ppoverlay_sub_den_rad_b_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_circle_center_h:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  sub_circle_center_v:14;
        RBus_UInt32  sub_window_form_sel:2;
    };
}ppoverlay_sub_circle_center_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_arrow_slope:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  sub_arrow_reverse:13;
        RBus_UInt32  res2:2;
        RBus_UInt32  sub_arrow_side:1;
    };
}ppoverlay_sub_arrow_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_arrow_h_bg_sta:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  sub_arrow_h_den_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_sub_arrow_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sub_arrow_h_act_sta:13;
        RBus_UInt32  res1:19;
    };
}ppoverlay_sub_arrow_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  memcdtg_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  memcdtg_fsync_en:1;
        RBus_UInt32  memcdtg_frc2fsync_by_hw:1;
        RBus_UInt32  memcdtg_frc_fsync_status:1;
        RBus_UInt32  res2:24;
        RBus_UInt32  memcdtg_mode_revised:1;
    };
}ppoverlay_memcdtg_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  memcdtg_dv_total:13;
        RBus_UInt32  res1:19;
    };
}ppoverlay_memcdtg_dv_total_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  memcdtg_dh_total:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  memcdtg_dh_total_last_line:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_memcdtg_dh_total_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  memcdtg_dv_den_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  memcdtg_dv_den_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_memcdtg_dv_den_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  memcdtg_dh_den_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  memcdtg_dh_den_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_memcdtg_dh_den_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  memcdtg_dv_video_blend_region_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  memcdtg_dv_video_blend_region_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_memcdtg_dv_video_blending_region_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  memcdtg_dh_video_blend_region_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  memcdtg_dh_video_blend_region_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_memcdtg_dh_video_blending_region_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dtgm2kiwiprevs_pixel:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  dtgm2kiwiprevs_line:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_memcdtg_control2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dtgm2goldenpostvs_pixel:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  dtgm2goldenpostvs_line:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_memcdtg_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  kiwi_dvs_phase_error:22;
        RBus_UInt32  kiwi_dvs_phase_error_po:1;
        RBus_UInt32  kiwi_dvs_phase_error_flag:1;
        RBus_UInt32  kiwi_dvs_phase_error_cntr:1;
        RBus_UInt32  res1:7;
    };
}ppoverlay_measure_kiwi_dvs_phase_error_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  kiwi_den_phase_error:22;
        RBus_UInt32  kiwi_den_phase_error_po:1;
        RBus_UInt32  kiwi_den_phase_error_flag:1;
        RBus_UInt32  kiwi_den_phase_error_cntr:1;
        RBus_UInt32  res1:7;
    };
}ppoverlay_measure_kiwi_den_phase_error_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  memcmux_rw_den_phase_error:22;
        RBus_UInt32  memcmux_rw_den_phase_error_po:1;
        RBus_UInt32  memcmux_rw_den_phase_error_flag:1;
        RBus_UInt32  memcmux_rw_den_phase_error_cntr:1;
        RBus_UInt32  res1:7;
    };
}ppoverlay_measure_memcmux_rw_den_phase_error_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osddtg_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  osddtg_fsync_en:1;
        RBus_UInt32  osddtg_frc2fsync_by_hw:1;
        RBus_UInt32  osddtg_frc_fsync_status:1;
        RBus_UInt32  osd_split:1;
        RBus_UInt32  dtg_force_bypass_osd_blend:1;
        RBus_UInt32  res2:22;
        RBus_UInt32  osddtg_mode_revised:1;
    };
}ppoverlay_osddtg_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osddtg_dv_total:13;
        RBus_UInt32  res1:19;
    };
}ppoverlay_osddtg_dv_total_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osddtg_dh_total:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  osddtg_dh_total_last_line:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_osddtg_dh_total_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osddtg_dv_den_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  osddtg_dv_den_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_osddtg_dv_den_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osddtg_dh_den_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  osddtg_dh_den_sta:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_osddtg_dh_den_start_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dtgm2osdvs_pixel:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  dtgm2osdvs_line:13;
        RBus_UInt32  res2:3;
    };
}ppoverlay_osddtg_control2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_split_smooth_toggle_apply:1;
        RBus_UInt32  res1:31;
    };
}ppoverlay_osd_split_smooth_toggle_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_split_smooth_toggle_debug:32;
    };
}ppoverlay_osd_split_smooth_toggle_debug_RBUS;




#endif 


#endif 
