#ifndef __ALC1312_H__
#define __ALC1312_H__

//Register
#define  ALC_1312_MX0000_CLOCK0             {0x00,0x00}
#define  ALC_1312_MX0002_CLOCK1             {0x00,0x02}
#define  ALC_1312_MX0004_CLOCK2             {0x00,0x04}
#define  ALC_1312_MX0006_CLOCK3             {0x00,0x06}
#define  ALC_1312_MX0008_CLOCK4             {0x00,0x08}
#define  ALC_1312_MX000A_PLL1               {0x00,0x0A}
#define  ALC_1312_MX000C_PLL2               {0x00,0x0C}
#define  ALC_1312_MX0020_CLOCKDETECT        {0x00,0x20}
#define  ALC_1312_MX0022_SILENCE_DETECT     {0x00,0x22}

#define  ALC_1312_MX006A_PRIVATE_REG_INDEX  {0x00,0x6A}
#define  ALC_1312_MX006C_PRIVATE_REG_DATA   {0x00,0x6C}

#define  ALC_1312_MX0103_MASTER_VOLUME_L    {0x01,0x03}
#define  ALC_1312_MX0104_MASTER_VOLUME_R    {0x01,0x04}

#define  ALC_1312_MX0300_CLASS_D            {0x03,0x00}
#define  ALC_1312_MX0322_POWER1             {0x03,0x22}
#define  ALC_1312_MX0324_POWER2             {0x03,0x24}
#define  ALC_1312_MX0326_POWER3             {0x03,0x26}
#define  ALC_1312_MX0350_POWER_STATUS       {0x03,0x50}

//#define ALC_1310_MX13_VOLUME_MUTE        0xC0

void alc1312_func(int bus_id, unsigned short addr);

#define END_FLAG       (0xFF)
#define ALC1312_DEBUG  (0)

#define ALC1312_SUPPORT_BOOT_MUSIC  (0)


typedef struct
{
    unsigned char bAddr[2];
    unsigned char bArray[2];
    int delayTime;
}ALC1312_REG;


#endif

