/*
 * USB HOST EHCI Controller
 */
#include <common.h>
#include <malloc.h>
#include <usb.h>
#include <watchdog.h>
#include <asm-generic/errno.h>
#include <linux/compat.h>

extern int rtk_usb2_hw_iniitalize(void);
extern int rtk_usb2_hw_disable(void);

int usb_cpu_init(void)
{
    rtk_usb2_hw_iniitalize();
    return 0;
}

int usb_cpu_init_fail(void)
{
    rtk_usb2_hw_disable();
    return 0;
}

int usb_cpu_stop(void){
    rtk_usb2_hw_disable();
    return 0;
}