#ifndef __RTK_I2C_REG_H__
#define __RTK_I2C_REG_H__

#include <rbus/misc_i2c_reg.h>
#include <rbus/iso_i2c_reg.h>
#include <rbus/misc_i2c4_reg.h>
#define RTK_I2C_CNT               6


// I2C register
unsigned int IC_CON[]               = {ISO_I2C_IC0_CON_reg,                 MISC_I2C_IC1_CON_reg,                   MISC_I2C_IC2_CON_reg,                   MISC_I2C_IC3_CON_reg,                   MISC_I2C4_IC4_CON_reg,                  ISO_I2C_IC5_CON_reg};
unsigned int IC_TAR[]               = {ISO_I2C_IC0_TAR_reg,                 MISC_I2C_IC1_TAR_reg,                   MISC_I2C_IC2_TAR_reg,                   MISC_I2C_IC3_TAR_reg,                   MISC_I2C4_IC4_TAR_reg,                  ISO_I2C_IC5_TAR_reg};
unsigned int IC_SAR[]               = {ISO_I2C_IC0_SAR_reg,                 MISC_I2C_IC1_SAR_reg,                   MISC_I2C_IC2_SAR_reg,                   MISC_I2C_IC3_SAR_reg,                   MISC_I2C4_IC4_SAR_reg,                  ISO_I2C_IC5_SAR_reg};
unsigned int IC_HS_MADDR[]          = {ISO_I2C_IC0_HS_MADDR_reg,            MISC_I2C_IC1_HS_MADDR_reg,              MISC_I2C_IC2_HS_MADDR_reg,              MISC_I2C_IC3_HS_MADDR_reg,              MISC_I2C4_IC4_HS_MADDR_reg,             ISO_I2C_IC5_HS_MADDR_reg};
unsigned int IC_DATA_CMD[]          = {ISO_I2C_IC0_DATA_CMD_reg,            MISC_I2C_IC1_DATA_CMD_reg,              MISC_I2C_IC2_DATA_CMD_reg,              MISC_I2C_IC3_DATA_CMD_reg,              MISC_I2C4_IC4_DATA_CMD_reg,             ISO_I2C_IC5_DATA_CMD_reg};
unsigned int IC_SS_SCL_HCNT[]       = {ISO_I2C_IC0_SS_SCL_HCNT_reg,         MISC_I2C_IC1_SS_SCL_HCNT_reg,           MISC_I2C_IC2_SS_SCL_HCNT_reg,           MISC_I2C_IC3_SS_SCL_HCNT_reg,           MISC_I2C4_IC4_SS_SCL_HCNT_reg,          ISO_I2C_IC5_SS_SCL_HCNT_reg};
unsigned int IC_SS_SCL_LCNT[]       = {ISO_I2C_IC0_SS_SCL_LCNT_reg,         MISC_I2C_IC1_SS_SCL_LCNT_reg,           MISC_I2C_IC2_SS_SCL_LCNT_reg,           MISC_I2C_IC3_SS_SCL_LCNT_reg,           MISC_I2C4_IC4_SS_SCL_LCNT_reg,          ISO_I2C_IC5_SS_SCL_LCNT_reg};
unsigned int IC_FS_SCL_HCNT[]       = {ISO_I2C_IC0_FS_SCL_HCNT_reg,         MISC_I2C_IC1_FS_SCL_HCNT_reg,           MISC_I2C_IC2_FS_SCL_HCNT_reg,           MISC_I2C_IC3_FS_SCL_HCNT_reg,           MISC_I2C4_IC4_FS_SCL_HCNT_reg,          ISO_I2C_IC5_FS_SCL_HCNT_reg};
unsigned int IC_FS_SCL_LCNT[]       = {ISO_I2C_IC0_FS_SCL_LCNT_reg,         MISC_I2C_IC1_FS_SCL_LCNT_reg,           MISC_I2C_IC2_FS_SCL_LCNT_reg,           MISC_I2C_IC3_FS_SCL_LCNT_reg,           MISC_I2C4_IC4_FS_SCL_LCNT_reg,          ISO_I2C_IC5_FS_SCL_LCNT_reg};
unsigned int IC_INTR_STAT[]         = {ISO_I2C_IC0_INTR_STAT_reg,           MISC_I2C_IC1_INTR_STAT_reg,             MISC_I2C_IC2_INTR_STAT_reg,             MISC_I2C_IC3_INTR_STAT_reg,             MISC_I2C4_IC4_INTR_STAT_reg,            ISO_I2C_IC5_INTR_STAT_reg};
unsigned int IC_INTR_MASK[]         = {ISO_I2C_IC0_INTR_MASK_reg,           MISC_I2C_IC1_INTR_MASK_reg,             MISC_I2C_IC2_INTR_MASK_reg,             MISC_I2C_IC3_INTR_MASK_reg,             MISC_I2C4_IC4_INTR_MASK_reg,            ISO_I2C_IC5_INTR_MASK_reg};
unsigned int IC_RAW_INTR_STAT[]     = {ISO_I2C_IC0_RAW_INTR_STAT_reg,       MISC_I2C_IC1_RAW_INTR_STAT_reg,         MISC_I2C_IC2_RAW_INTR_STAT_reg,         MISC_I2C_IC3_RAW_INTR_STAT_reg,         MISC_I2C4_IC4_RAW_INTR_STAT_reg,        ISO_I2C_IC5_RAW_INTR_STAT_reg};
unsigned int IC_RX_TL[]             = {ISO_I2C_IC0_RX_TL_reg,               MISC_I2C_IC1_RX_TL_reg,                 MISC_I2C_IC2_RX_TL_reg,                 MISC_I2C_IC3_RX_TL_reg,                 MISC_I2C4_IC4_RX_TL_reg,                ISO_I2C_IC5_RX_TL_reg};
unsigned int IC_TX_TL[]             = {ISO_I2C_IC0_TX_TL_reg,               MISC_I2C_IC1_TX_TL_reg,                 MISC_I2C_IC2_TX_TL_reg,                 MISC_I2C_IC3_TX_TL_reg,                 MISC_I2C4_IC4_TX_TL_reg,                ISO_I2C_IC5_TX_TL_reg};
unsigned int IC_CLR_INTR[]          = {ISO_I2C_IC0_CLR_INTR_reg,            MISC_I2C_IC1_CLR_INTR_reg,              MISC_I2C_IC2_CLR_INTR_reg,              MISC_I2C_IC3_CLR_INTR_reg,              MISC_I2C4_IC4_CLR_INTR_reg,             ISO_I2C_IC5_CLR_INTR_reg};
unsigned int IC_CLR_RX_UNDER[]      = {ISO_I2C_IC0_CLR_RX_UNDER_reg,        MISC_I2C_IC1_CLR_RX_UNDER_reg,          MISC_I2C_IC2_CLR_RX_UNDER_reg,          MISC_I2C_IC3_CLR_RX_UNDER_reg,          MISC_I2C4_IC4_CLR_RX_UNDER_reg,         ISO_I2C_IC5_CLR_RX_UNDER_reg};
unsigned int IC_CLR_RX_OVER[]       = {ISO_I2C_IC0_CLR_RX_OVER_reg,         MISC_I2C_IC1_CLR_RX_OVER_reg,           MISC_I2C_IC2_CLR_RX_OVER_reg,           MISC_I2C_IC3_CLR_RX_OVER_reg,           MISC_I2C4_IC4_CLR_RX_OVER_reg,          ISO_I2C_IC5_CLR_RX_OVER_reg};
unsigned int IC_CLR_TX_OVER[]       = {ISO_I2C_IC0_CLR_TX_OVER_reg,         MISC_I2C_IC1_CLR_TX_OVER_reg,           MISC_I2C_IC2_CLR_TX_OVER_reg,           MISC_I2C_IC3_CLR_TX_OVER_reg,           MISC_I2C4_IC4_CLR_TX_OVER_reg,          ISO_I2C_IC5_CLR_TX_OVER_reg};
unsigned int IC_CLR_RD_REQ[]        = {ISO_I2C_IC0_CLR_RD_REQ_reg,          MISC_I2C_IC1_CLR_RD_REQ_reg,            MISC_I2C_IC2_CLR_RD_REQ_reg,            MISC_I2C_IC3_CLR_RD_REQ_reg,            MISC_I2C4_IC4_CLR_RD_REQ_reg,           ISO_I2C_IC5_CLR_RD_REQ_reg};
unsigned int IC_CLR_TX_ABRT[]       = {ISO_I2C_IC0_CLR_TX_ABRT_reg,         MISC_I2C_IC1_CLR_TX_ABRT_reg,           MISC_I2C_IC2_CLR_TX_ABRT_reg,           MISC_I2C_IC3_CLR_TX_ABRT_reg,           MISC_I2C4_IC4_CLR_TX_ABRT_reg,          ISO_I2C_IC5_CLR_TX_ABRT_reg};
unsigned int IC_CLR_RX_DONE[]       = {ISO_I2C_IC0_CLR_RX_DONE_reg,         MISC_I2C_IC1_CLR_RX_DONE_reg,           MISC_I2C_IC2_CLR_RX_DONE_reg,           MISC_I2C_IC3_CLR_RX_DONE_reg,           MISC_I2C4_IC4_CLR_RX_DONE_reg,          ISO_I2C_IC5_CLR_RX_DONE_reg};
unsigned int IC_CLR_ACTIVITY[]      = {ISO_I2C_IC0_CLR_ACTIVITY_reg,        MISC_I2C_IC1_CLR_ACTIVITY_reg,          MISC_I2C_IC2_CLR_ACTIVITY_reg,          MISC_I2C_IC3_CLR_ACTIVITY_reg,          MISC_I2C4_IC4_CLR_ACTIVITY_reg,         ISO_I2C_IC5_CLR_ACTIVITY_reg};
unsigned int IC_CLR_STOP_DET[]      = {ISO_I2C_IC0_CLR_STOP_DET_reg,        MISC_I2C_IC1_CLR_STOP_DET_reg,          MISC_I2C_IC2_CLR_STOP_DET_reg,          MISC_I2C_IC3_CLR_STOP_DET_reg,          MISC_I2C4_IC4_CLR_STOP_DET_reg,         ISO_I2C_IC5_CLR_STOP_DET_reg};
unsigned int IC_CLR_START_DET[]     = {ISO_I2C_IC0_CLR_START_DET_reg,       MISC_I2C_IC1_CLR_START_DET_reg,         MISC_I2C_IC2_CLR_START_DET_reg,         MISC_I2C_IC3_CLR_START_DET_reg,         MISC_I2C4_IC4_CLR_START_DET_reg,        ISO_I2C_IC5_CLR_START_DET_reg};
unsigned int IC_CLR_GEN_CALL[]      = {ISO_I2C_IC0_CLR_GEN_CALL_reg,        MISC_I2C_IC1_CLR_GEN_CALL_reg,          MISC_I2C_IC2_CLR_GEN_CALL_reg,          MISC_I2C_IC3_CLR_GEN_CALL_reg,          MISC_I2C4_IC4_CLR_GEN_CALL_reg,         ISO_I2C_IC5_CLR_GEN_CALL_reg};
unsigned int IC_ENABLE[]            = {ISO_I2C_IC0_ENABLE_reg,              MISC_I2C_IC1_ENABLE_reg,                MISC_I2C_IC2_ENABLE_reg,                MISC_I2C_IC3_ENABLE_reg,                MISC_I2C4_IC4_ENABLE_reg,               ISO_I2C_IC5_ENABLE_reg};
unsigned int IC_STATUS[]            = {ISO_I2C_IC0_STATUS_reg,              MISC_I2C_IC1_STATUS_reg,                MISC_I2C_IC2_STATUS_reg,                MISC_I2C_IC3_STATUS_reg,                MISC_I2C4_IC4_STATUS_reg,               ISO_I2C_IC5_STATUS_reg};
unsigned int IC_TXFLR[]             = {ISO_I2C_IC0_TXFLR_reg,               MISC_I2C_IC1_TXFLR_reg,                 MISC_I2C_IC2_TXFLR_reg,                 MISC_I2C_IC3_TXFLR_reg,                 MISC_I2C4_IC4_TXFLR_reg,                ISO_I2C_IC5_TXFLR_reg};
unsigned int IC_RXFLR[]             = {ISO_I2C_IC0_RXFLR_reg,               MISC_I2C_IC1_RXFLR_reg,                 MISC_I2C_IC2_RXFLR_reg,                 MISC_I2C_IC3_RXFLR_reg,                 MISC_I2C4_IC4_RXFLR_reg,                ISO_I2C_IC5_RXFLR_reg};
unsigned int IC_SDA_HOLD[]          = {ISO_I2C_IC0_SDA_HOLD_reg,            MISC_I2C_IC1_SDA_HOLD_reg,              MISC_I2C_IC2_SDA_HOLD_reg,              MISC_I2C_IC3_SDA_HOLD_reg,              MISC_I2C4_IC4_SDA_HOLD_reg,             ISO_I2C_IC5_SDA_HOLD_reg};
unsigned int IC_TX_ABRT_SOURCE[]    = {ISO_I2C_IC0_TX_ABRT_SOURCE_reg,      MISC_I2C_IC1_TX_ABRT_SOURCE_reg,        MISC_I2C_IC2_TX_ABRT_SOURCE_reg,        MISC_I2C_IC3_TX_ABRT_SOURCE_reg,        MISC_I2C4_IC4_TX_ABRT_SOURCE_reg,       ISO_I2C_IC5_TX_ABRT_SOURCE_reg};
unsigned int IC_SLV_DATA_NACK_ONLY[]= {ISO_I2C_IC0_SLV_DATA_NACK_ONLY_reg,  MISC_I2C_IC1_SLV_DATA_NACK_ONLY_reg,    MISC_I2C_IC2_SLV_DATA_NACK_ONLY_reg,    MISC_I2C_IC3_SLV_DATA_NACK_ONLY_reg,    MISC_I2C4_IC4_SLV_DATA_NACK_ONLY_reg,   ISO_I2C_IC5_SLV_DATA_NACK_ONLY_reg};
unsigned int IC_TX_SDA_SETUP[]      = {ISO_I2C_IC0_SDA_SETUP_reg,           MISC_I2C_IC1_SDA_SETUP_reg,             MISC_I2C_IC2_SDA_SETUP_reg,             MISC_I2C_IC3_SDA_SETUP_reg,             MISC_I2C4_IC4_SDA_SETUP_reg,            ISO_I2C_IC5_SDA_SETUP_reg};
unsigned int IC_TX_ACK_GEN_CALL[]   = {ISO_I2C_IC0_ACK_GENERAL_CALL_reg,    MISC_I2C_IC1_ACK_GENERAL_CALL_reg,      MISC_I2C_IC2_ACK_GENERAL_CALL_reg,      MISC_I2C_IC3_ACK_GENERAL_CALL_reg,      MISC_I2C4_IC4_ACK_GENERAL_CALL_reg,     ISO_I2C_IC5_ACK_GENERAL_CALL_reg};
unsigned int IC_DMA_ENABLE_STATUS[] = {ISO_I2C_IC0_ENABLE_STATUS_reg,       MISC_I2C_IC1_ENABLE_STATUS_reg,         MISC_I2C_IC2_ENABLE_STATUS_reg,         MISC_I2C_IC3_ENABLE_STATUS_reg,         MISC_I2C4_IC4_ENABLE_STATUS_reg,        ISO_I2C_IC5_ENABLE_STATUS_reg};
unsigned int IC_COMP_PARAM_1[]      = {ISO_I2C_IC0_COMP_PARAM_1_reg,        MISC_I2C_IC1_COMP_PARAM_1_reg,          MISC_I2C_IC2_COMP_PARAM_1_reg,          MISC_I2C_IC3_COMP_PARAM_1_reg,          MISC_I2C4_IC4_COMP_PARAM_1_reg,         ISO_I2C_IC5_COMP_PARAM_1_reg};
unsigned int IC_COMP_VERSION[]      = {ISO_I2C_IC0_COMP_VERSION_reg,        MISC_I2C_IC1_COMP_VERSION_reg,          MISC_I2C_IC2_COMP_VERSION_reg,          MISC_I2C_IC3_COMP_VERSION_reg,          MISC_I2C4_IC4_COMP_VERSION_reg,         ISO_I2C_IC5_COMP_VERSION_reg};
unsigned int IC_COMP_TYPE[]         = {ISO_I2C_IC0_COMP_TYPE_reg,           MISC_I2C_IC1_COMP_TYPE_reg,             MISC_I2C_IC2_COMP_TYPE_reg,             MISC_I2C_IC3_COMP_TYPE_reg,             MISC_I2C4_IC4_COMP_TYPE_reg,            ISO_I2C_IC5_COMP_TYPE_reg};
 

//MISC_I2C_IC1_CON_reg
#define IC_SLAVE_DISABLE            (1 << MISC_I2C_IC1_CON_ic_slave_disable_shift)
#define IC_RESTART_EN               (1 << MISC_I2C_IC1_CON_ic_restart_en_shift)
#define IC_10BITADDR_MASTER         (1 << MISC_I2C_IC1_CON_ic_10bitaddr_master_shift)
#define IC_10BITADDR_SLAVE          (1 << MISC_I2C_IC1_CON_ic_10bitaddr_slave_shift)
#define IC_SPEED                    MISC_I2C_IC1_CON_speed_mask
#define SPEED_SS                    MISC_I2C_IC1_CON_speed(0x1)
#define SPEED_FS                    MISC_I2C_IC1_CON_speed(0x2)
#define SPEED_HS                    MISC_I2C_IC1_CON_speed(0x3)
#define IC_MASTER_MODE              (1 << MISC_I2C_IC1_CON_master_mode_shift)

//MISC_I2C_IC1_DATA_CMD_reg
#define READ_CMD                    (1 << MISC_I2C_IC1_DATA_CMD_cmd_shift)

//MISC_I2C_IC1_INTR_STAT_reg
#define GEN_CALL_BIT                (1 << MISC_I2C_IC1_INTR_STAT_r_gen_call_shift)
#define START_DET_BIT               (1 << MISC_I2C_IC1_INTR_STAT_r_start_det_shift)
#define STOP_DET_BIT                (1 << MISC_I2C_IC1_INTR_STAT_r_stop_det_shift)
#define ACTIVITY_BIT                (1 << MISC_I2C_IC1_INTR_STAT_r_activity_shift)
#define RX_DONE_BIT                 (1 << MISC_I2C_IC1_INTR_STAT_r_rx_done_shift)
#define TX_ABRT_BIT                 (1 << MISC_I2C_IC1_INTR_STAT_r_tx_abrt_shift)
#define RD_REQ_BIT                  (1 << MISC_I2C_IC1_INTR_STAT_r_rd_req_shift)
#define TX_EMPTY_BIT                (1 << MISC_I2C_IC1_INTR_STAT_r_tx_empty_shift)
#define TX_OVER_BIT                 (1 << MISC_I2C_IC1_INTR_STAT_r_tx_over_shift)
#define RX_FULL_BIT                 (1 << MISC_I2C_IC1_INTR_STAT_r_rx_full_shift)
#define RX_OVER_BIT                 (1 << MISC_I2C_IC1_INTR_STAT_r_rx_over_shift)
#define RX_UNDER_BIT                (1 << MISC_I2C_IC1_INTR_STAT_r_rx_under_shift)

// MISC_I2C_IC1_STATUS_reg
#define ST_RFF_BIT                  (1 << MISC_I2C_IC1_STATUS_rff_shift)
#define ST_RFNE_BIT                 (1 << MISC_I2C_IC1_STATUS_rfne_shift)
#define ST_TFE_BIT                  (1 << MISC_I2C_IC1_STATUS_tfe_shift)
#define ST_TFNF_BIT                 (1 << MISC_I2C_IC1_STATUS_tfnf_shift)
#define ST_ACTIVITY_BIT             (1 << MISC_I2C_IC1_STATUS_activity_shift)

/*
//MISC_I2C_IC1_TX_ABRT_SOURCE_reg
#define ABRT_SLVRD_INTX             MISC_I2C_IC1_TX_ABRT_SOURCE_abrt_slvrd_intx_mask    //0x8000
#define ABRT_SLV_ARB_LOST           MISC_I2C_IC1_TX_ABRT_SOURCE_abrt_slv_arblost_mask   //0x4000
#define ABRT_SLV_FLUSH_TX_FIFO      MISC_I2C_IC1_TX_ABRT_SOURCE_abrt_slvflush_txfifo_mask//0x2000
#define ABRT_ARB_LOST               MISC_I2C_IC1_TX_ABRT_SOURCE_arb_lost_mask//0x1000
#define ABR_MASTER_DIS              MISC_I2C_IC1_TX_ABRT_SOURCE_arb_master_dis_mask//0x0800
#define ABRT_10B_RD_NORSTRT         MISC_I2C_IC1_TX_ABRT_SOURCE_abrt_10b_rd_norstrt_mask//0x0400
#define ABRT_SBYTE_NORSTRT          MISC_I2C_IC1_TX_ABRT_SOURCE_abrt_sbyte_norstrt_mask//0x0200
#define ABRT_HS_NORSTRT             MISC_I2C_IC1_TX_ABRT_SOURCE_abrt_hs_norstrt_mask//0x0100
#define ABRT_SBYTE_ACKDET           MISC_I2C_IC1_TX_ABRT_SOURCE_abrt_sbyte_ackdet_mask//0x0080
#define ABRT_HS_ACKDET              MISC_I2C_IC1_TX_ABRT_SOURCE_abrt_hs_ackdet_mask//0x0040
#define ABRT_GCALL_READ             MISC_I2C_IC1_TX_ABRT_SOURCE_abrt_gcall_read_mask//0x0020
#define ABRT_GCALL_NOACK            MISC_I2C_IC1_TX_ABRT_SOURCE_abrt_gcall_noack_mask//0x0010
#define ABRT_TXDATA_NOACK           MISC_I2C_IC1_TX_ABRT_SOURCE_abrt_txdata_noack_mask//0x0008
#define ABRT_10ADDR2_NOACK          MISC_I2C_IC1_TX_ABRT_SOURCE_abrt_10addr2_noack_mask//0x0004
#define ABRT_10ADDR1_NOACK          MISC_I2C_IC1_TX_ABRT_SOURCE_abrt_10addr1_noack_mask//0x0002
#define ABRT_7ADDR_NOACK            MISC_I2C_IC1_TX_ABRT_SOURCE_abrt_7b_addr_noack_mask//0x0001
*/
#endif
