#ifndef __RTK_RCP_DBG_H__
#define __RTK_RCP_DBG_H__

#define RCP_DEBUG(fmt, args...)             printf(fmt , ## args)
#define RCP_INFO(fmt, args...)                printf(fmt , ## args)
#define RCP_WARNING(fmt, args...)         printf(fmt , ## args)
#define RCP_ERR(fmt, args...)                  printf(fmt , ## args)

void  rtk_rcp_dump_mem(unsigned char* data, unsigned int len);
#define rtk_rcp_dump_data_with_text(data, len ,fmt, args...)\
do {\
                RCP_DEBUG(fmt, ## args);\
                rtk_rcp_dump_mem(data, len);\
}while(0)


#endif
