#define SRC0 30
#define SRC1 29
#define SRC2 28
#define SRC3_00 27
#define SRC3_01 26
#define SRC3_02 25
#define SRC3_03 24
#define SRC3_04 23
#define SRC3_05 22
#define SRC3_06 21
#define SRC3_07 20
#define SRC3_08 19
#define SRC3_09 18
#define SRC3_10 17
#define SRC3_11 16
#define SRC4 15
#define SRC5 14
#define SRC6 13
#define SRC7 12


#define DDC_EDID_ADDR					0xA0
#define DDC_HDCP_ADDR					0x74

#define MSC_CMD_ACK					0x33
#define MSC_CMD_NACK					0x34
#define MSC_CMD_ABORT					0x35
#define MSC_CMD_WRITE_STAT_SET_INT	0x60
#define MSC_CMD_READ_DEVCAP			0x61
#define MSC_CMD_GET_STATE				0x62
#define MSC_CMD_GET_VENDOR_ID		0x63
#define MSC_CMD_SET_HPD				0x64
#define MSC_CMD_CLR_HPD				0x65
#define MSC_CMD_MSC_MSG				0x68
#define MSC_CMD_GET_SC1_ERRORCODE	0x69
#define MSC_CMD_GET_DDC_ERRORCODE	0x6A
#define MSC_CMD_GET_MSC_ERRORCODE	0x6B
#define MSC_CMD_WRITE_BURST			0x6C
#define MSC_CMD_GET_SC3_ERRORCODE	0x6D
#define MSC_CMD_EOF					0x32


#define Device_Cap_DEV_STATE			0x00
#define Device_Cap_MHL_VERSION			0x01
#define Device_Cap_DEV_CAT				0x02
#define Device_Cap_ADOPTER_ID_H		0x03
#define Device_Cap_ADOPTER_ID_L		0x04
#define Device_Cap_VID_LINK_MODE		0x05
#define Device_Cap_AUD_LINK_MODE		0x06
#define Device_Cap_VIDEO_TYPE			0x07
#define Device_Cap_LOG_DEV_MAP		0x08
#define Device_Cap_BANDWIDTH			0x09
#define Device_Cap_FEATURE_FLAG		0x0A
#define Device_Cap_DEVICE_ID_H			0x0B
#define Device_Cap_DEVICE_ID_L			0x0C
#define Device_Cap_SCRATCHPAD_SIZE	0x0D
#define Device_Cap_INT_STAT_SIZE		0x0E
#define Device_Cap_RESERVED			0x0F

#define Device_Int_DEVICE_REGISTER_CHANGE					0x20
#define Device_Int_DEVICE_STATE_CHANGE						0x21

#define Device_Status_READY_BIT_FOR_CONNECTED_DEVICE		0x30
#define Device_Status_ACTIVE_LINK_MODE						0x31

#define MSC_MSG_SUB_MSGE		0x02
#define MSC_MSG_SUB_RCP		0x10
#define MSC_MSG_SUB_RCPK		0x11
#define MSC_MSG_SUB_RCPE		0x12
#define MSC_MSG_SUB_RAP		0x20
#define MSC_MSG_SUB_RAPK		0x21
#define MSC_MSG_SUB_UCP		0x30
#define MSC_MSG_SUB_UCPK		0x31
#define MSC_MSG_SUB_UCPE		0x32

#define DDC_CTRL_PACKET_SOF	0x30
#define DDC_CTRL_PACKET_EOF	0x32
#define DDC_CTRL_PACKET_ACK	0x33
#define DDC_CTRL_PACKET_NACK	0x34
#define DDC_CTRL_PACKET_ABORT	0x35
#define DDC_CTRL_PACKET_CONT	0x50
#define DDC_CTRL_PACKET_STOP	0x51

#define RCP_KEY_CODE_Select				0x00
#define RCP_KEY_CODE_Up				0x01
#define RCP_KEY_CODE_Down				0x02
#define RCP_KEY_CODE_Left				0x03
#define RCP_KEY_CODE_Right				0x04
#define RCP_KEY_CODE_Right_Up			0x05
#define RCP_KEY_CODE_Right_Down		0x06
#define RCP_KEY_CODE_Left_Up			0x07
#define RCP_KEY_CODE_Left_Down			0x08
#define RCP_KEY_CODE_Root_Menu		0x09
#define RCP_KEY_CODE_Setup_Menu		0x0A
#define RCP_KEY_CODE_Contents_Menu	0x0B
#define RCP_KEY_CODE_Favorite_Menu		0x0C
#define RCP_KEY_CODE_Exit				0x0D
#define RCP_KEY_CODE_Numeric_0		0x20
#define RCP_KEY_CODE_Numeric_1		0x21
#define RCP_KEY_CODE_Numeric_2		0x22
#define RCP_KEY_CODE_Numeric_3		0x23
#define RCP_KEY_CODE_Numeric_4		0x24
#define RCP_KEY_CODE_Numeric_5		0x25
#define RCP_KEY_CODE_Numeric_6		0x26
#define RCP_KEY_CODE_Numeric_7		0x27
#define RCP_KEY_CODE_Numeric_8		0x28
#define RCP_KEY_CODE_Numeric_9		0x29
#define RCP_KEY_CODE_Dot				0x2A
#define RCP_KEY_CODE_Enter				0x2B
#define RCP_KEY_CODE_Clear				0x2C
#define RCP_KEY_CODE_Channel_Up		0x30
#define RCP_KEY_CODE_Channel_Down		0x31
#define RCP_KEY_CODE_Previous_Channel	0x32
#define RCP_KEY_CODE_Sound_Select		0x33
#define RCP_KEY_CODE_Input_Select		0x34
#define RCP_KEY_CODE_Show_Information	0x35
#define RCP_KEY_CODE_Help				0x36
#define RCP_KEY_CODE_Page_Up			0x37
#define RCP_KEY_CODE_Page_Down		0x38
#define RCP_KEY_CODE_Volume_Up		0x41
#define RCP_KEY_CODE_Volume_Down		0x42
#define RCP_KEY_CODE_Mute				0x43
#define RCP_KEY_CODE_Play				0x44
#define RCP_KEY_CODE_Stop				0x45
#define RCP_KEY_CODE_Pause				0x46
#define RCP_KEY_CODE_Record			0x47
#define RCP_KEY_CODE_Rewind			0x48
#define RCP_KEY_CODE_Fast_Forward		0x49
#define RCP_KEY_CODE_Eject				0x4A
#define RCP_KEY_CODE_Forward			0x4B
#define RCP_KEY_CODE_Backward			0x4C
#define RCP_KEY_CODE_Angle				0x50
#define RCP_KEY_CODE_Subpicture		0x51
#define RCP_KEY_CODE_Play_Function		0x60
#define RCP_KEY_CODE_Pause_Play_Function		0x61
#define RCP_KEY_CODE_Record_Function			0x62
#define RCP_KEY_CODE_Pause_Record_Function	0x63
#define RCP_KEY_CODE_Stop_Function				0x64
#define RCP_KEY_CODE_Mute_Function				0x65
#define RCP_KEY_CODE_Restore_Volume_Function	0x66
#define RCP_KEY_CODE_Tune_Function				0x67
#define RCP_KEY_CODE_Select_Media_Function		0x68
#define RCP_KEY_CODE_F1				0x71
#define RCP_KEY_CODE_F2				0x72
#define RCP_KEY_CODE_F3				0x73
#define RCP_KEY_CODE_F4				0x74
#define RCP_KEY_CODE_F5				0x75
#define RCP_KEY_CODE_Vendor_Specific	0x7E

#define ERRCODE_DDC_NORMAL			0x00
#define ERRCODE_DDC_RETRY_EXCEED		0x01
#define ERRCODE_DDC_PROTOCOL_ERR		0x02
#define ERRCODE_DDC_TIMED_OUT			0x04

#define ERRCODE_MSC_NORMAL			0x00
#define ERRCODE_MSC_RETRY_EXCEED		0x01
#define ERRCODE_MSC_PROTOCOL_ERR		0x02
#define ERRCODE_MSC_TIMED_OUT			0x04
#define ERRCODE_MSC_INVALID_OP_CODE	0x08
#define ERRCODE_MSC_BAD_OFFSET		0x10
#define ERRCODE_MSC_BUSY				0x20

#define CBUS_MSC_CASE_ERR_BASE 0x80000000
#define CBUS_DDC_CASE_ERR_BASE 0x90000000

#define STUS_REG_LINK_MODE_PATH_BIT 3
#define STUS_REG_LINK_MODE_MUTE_BIT 4

#define CHANGE_INT_REG_DCAP_CHG_BIT 0
#define CHANGE_INT_REG_DSCR_CHG_BIT 1
#define CHANGE_INT_REG_REQ_WRT_BIT 2
#define CHANGE_INT_REG_GRT_WRT_BIT 3
#define CHANGE_INT_REG_3D_REQ_BIT 4
#define CHANGE_INT_REG_EDID_CHG_BIT 1

#define SCRATCHPAD_REG_BASE_ADDR 0x40

#define DDC_READ_PULSE 0x1
#define DDC_WRITE_PULSE 0x0

#define DDC_WRITE_AN_OFFSET

#define DDC_CMD_READ 0
#define DDC_CMD_SEGMENT_READ 1
#define DDC_CMD_SHORT_CURRENT_READ 2
#define DDC_CMD_WRITE 3


