/**
* @file Mac7p-DesignSpec-I-Domain_HDMI_3D_DMA_rgb2yuv_dither_4xxto4xx
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2019/11/22
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_H3DDMA_RGB2YUV_DITHER_4XXTO4XX_REG_H_
#define _RBUS_H3DDMA_RGB2YUV_DITHER_4XXTO4XX_REG_H_

#include "rbusTypes.h"



//  H3DDMA_RGB2YUV_DITHER_4XXTO4XX Register Address



#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_DITHER_CTRL1_VADDR 	(0xb8025a00)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_DITHER_SEQ_R_00_15_VADDR 	(0xb8025a04)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_DITHER_SEQ_R_16_31_VADDR 	(0xb8025a08)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_DITHER_SEQ_G_00_07_VADDR 	(0xb8025a0c)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_DITHER_SEQ_G_16_31_VADDR 	(0xb8025a10)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_DITHER_SEQ_B_00_15_VADDR 	(0xb8025a14)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_DITHER_SEQ_B_16_31_VADDR 	(0xb8025a18)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_DITHER_TB_R_00_VADDR 	(0xb8025a1c)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_DITHER_TB_R_02_VADDR 	(0xb8025a20)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_DITHER_TB_G_00_VADDR 	(0xb8025a24)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_DITHER_TB_G_02_VADDR 	(0xb8025a28)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_DITHER_TB_B_00_VADDR 	(0xb8025a2c)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_DITHER_TB_B_02_VADDR 	(0xb8025a30)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_DITHER_TEMP_TB_VADDR 	(0xb8025a34)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_RGB2YUV_CTRL_VADDR 	(0xb8025a80)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_RGB2YUV_TAB_M11_M12_VADDR 	(0xb8025a84)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_RGB2YUV_TAB_M13_M21_VADDR 	(0xb8025a88)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_RGB2YUV_TAB_M22_M23_VADDR 	(0xb8025a8c)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_RGB2YUV_TAB_M31_M32_VADDR 	(0xb8025a90)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_RGB2YUV_TAB_M33_YGAIN_VADDR 	(0xb8025a94)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_RGB2YUV_TAB_YO_VADDR 	(0xb8025a98)
#define  H3DDMA_RGB2YUV_DITHER_4XXTO4XX_HDMI_422TO444_CTRL_VADDR 	(0xb8025a9c)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======H3DDMA_RGB2YUV_DITHER_4XXTO4XX register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:21;
        RBus_UInt32  dither_bit_sel:1;
        RBus_UInt32  res2:4;
        RBus_UInt32  dither_en:1;
        RBus_UInt32  temporal_enable:1;
        RBus_UInt32  value_sign:1;
        RBus_UInt32  res3:3;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seq_r_15:2;
        RBus_UInt32  seq_r_14:2;
        RBus_UInt32  seq_r_13:2;
        RBus_UInt32  seq_r_12:2;
        RBus_UInt32  seq_r_11:2;
        RBus_UInt32  seq_r_10:2;
        RBus_UInt32  seq_r_9:2;
        RBus_UInt32  seq_r_8:2;
        RBus_UInt32  seq_r_7:2;
        RBus_UInt32  seq_r_6:2;
        RBus_UInt32  seq_r_5:2;
        RBus_UInt32  seq_r_4:2;
        RBus_UInt32  seq_r_3:2;
        RBus_UInt32  seq_r_2:2;
        RBus_UInt32  seq_r_1:2;
        RBus_UInt32  seq_r_0:2;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_seq_r_00_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seq_r_31:2;
        RBus_UInt32  seq_r_30:2;
        RBus_UInt32  seq_r_29:2;
        RBus_UInt32  seq_r_28:2;
        RBus_UInt32  seq_r_27:2;
        RBus_UInt32  seq_r_26:2;
        RBus_UInt32  seq_r_25:2;
        RBus_UInt32  seq_r_24:2;
        RBus_UInt32  seq_r_23:2;
        RBus_UInt32  seq_r_22:2;
        RBus_UInt32  seq_r_21:2;
        RBus_UInt32  seq_r_20:2;
        RBus_UInt32  seq_r_19:2;
        RBus_UInt32  seq_r_18:2;
        RBus_UInt32  seq_r_17:2;
        RBus_UInt32  seq_r_16:2;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_seq_r_16_31_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seq_g_15:2;
        RBus_UInt32  seq_g_14:2;
        RBus_UInt32  seq_g_13:2;
        RBus_UInt32  seq_g_12:2;
        RBus_UInt32  seq_g_11:2;
        RBus_UInt32  seq_g_10:2;
        RBus_UInt32  seq_g_9:2;
        RBus_UInt32  seq_g_8:2;
        RBus_UInt32  seq_g_7:2;
        RBus_UInt32  seq_g_6:2;
        RBus_UInt32  seq_g_5:2;
        RBus_UInt32  seq_g_4:2;
        RBus_UInt32  seq_g_3:2;
        RBus_UInt32  seq_g_2:2;
        RBus_UInt32  seq_g_1:2;
        RBus_UInt32  seq_g_0:2;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_seq_g_00_07_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seq_g_31:2;
        RBus_UInt32  seq_g_30:2;
        RBus_UInt32  seq_g_29:2;
        RBus_UInt32  seq_g_28:2;
        RBus_UInt32  seq_g_27:2;
        RBus_UInt32  seq_g_26:2;
        RBus_UInt32  seq_g_25:2;
        RBus_UInt32  seq_g_24:2;
        RBus_UInt32  seq_g_23:2;
        RBus_UInt32  seq_g_22:2;
        RBus_UInt32  seq_g_21:2;
        RBus_UInt32  seq_g_20:2;
        RBus_UInt32  seq_g_19:2;
        RBus_UInt32  seq_g_18:2;
        RBus_UInt32  seq_g_17:2;
        RBus_UInt32  seq_g_16:2;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_seq_g_16_31_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seq_b_15:2;
        RBus_UInt32  seq_b_14:2;
        RBus_UInt32  seq_b_13:2;
        RBus_UInt32  seq_b_12:2;
        RBus_UInt32  seq_b_11:2;
        RBus_UInt32  seq_b_10:2;
        RBus_UInt32  seq_b_9:2;
        RBus_UInt32  seq_b_8:2;
        RBus_UInt32  seq_b_7:2;
        RBus_UInt32  seq_b_6:2;
        RBus_UInt32  seq_b_5:2;
        RBus_UInt32  seq_b_4:2;
        RBus_UInt32  seq_b_3:2;
        RBus_UInt32  seq_b_2:2;
        RBus_UInt32  seq_b_1:2;
        RBus_UInt32  seq_b_0:2;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_seq_b_00_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seq_b_31:2;
        RBus_UInt32  seq_b_30:2;
        RBus_UInt32  seq_b_29:2;
        RBus_UInt32  seq_b_28:2;
        RBus_UInt32  seq_b_27:2;
        RBus_UInt32  seq_b_26:2;
        RBus_UInt32  seq_b_25:2;
        RBus_UInt32  seq_b_24:2;
        RBus_UInt32  seq_b_23:2;
        RBus_UInt32  seq_b_22:2;
        RBus_UInt32  seq_b_21:2;
        RBus_UInt32  seq_b_20:2;
        RBus_UInt32  seq_b_19:2;
        RBus_UInt32  seq_b_18:2;
        RBus_UInt32  seq_b_17:2;
        RBus_UInt32  seq_b_16:2;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_seq_b_16_31_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab_r_13:4;
        RBus_UInt32  tab_r_12:4;
        RBus_UInt32  tab_r_11:4;
        RBus_UInt32  tab_r_10:4;
        RBus_UInt32  tab_r_03:4;
        RBus_UInt32  tab_r_02:4;
        RBus_UInt32  tab_r_01:4;
        RBus_UInt32  tab_r_00:4;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_tb_r_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab_r_33:4;
        RBus_UInt32  tab_r_32:4;
        RBus_UInt32  tab_r_31:4;
        RBus_UInt32  tab_r_30:4;
        RBus_UInt32  tab_r_23:4;
        RBus_UInt32  tab_r_22:4;
        RBus_UInt32  tab_r_21:4;
        RBus_UInt32  tab_r_20:4;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_tb_r_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab_g_13:4;
        RBus_UInt32  tab_g_12:4;
        RBus_UInt32  tab_g_11:4;
        RBus_UInt32  tab_g_10:4;
        RBus_UInt32  tab_g_03:4;
        RBus_UInt32  tab_g_02:4;
        RBus_UInt32  tab_g_01:4;
        RBus_UInt32  tab_g_00:4;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_tb_g_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab_g_33:4;
        RBus_UInt32  tab_g_32:4;
        RBus_UInt32  tab_g_31:4;
        RBus_UInt32  tab_g_30:4;
        RBus_UInt32  tab_g_23:4;
        RBus_UInt32  tab_g_22:4;
        RBus_UInt32  tab_g_21:4;
        RBus_UInt32  tab_g_20:4;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_tb_g_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab_b_13:4;
        RBus_UInt32  tab_b_12:4;
        RBus_UInt32  tab_b_11:4;
        RBus_UInt32  tab_b_10:4;
        RBus_UInt32  tab_b_03:4;
        RBus_UInt32  tab_b_02:4;
        RBus_UInt32  tab_b_01:4;
        RBus_UInt32  tab_b_00:4;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_tb_b_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab_b_33:4;
        RBus_UInt32  tab_b_32:4;
        RBus_UInt32  tab_b_31:4;
        RBus_UInt32  tab_b_30:4;
        RBus_UInt32  tab_b_23:4;
        RBus_UInt32  tab_b_22:4;
        RBus_UInt32  tab_b_21:4;
        RBus_UInt32  tab_b_20:4;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_tb_b_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab_temp_offset_15:2;
        RBus_UInt32  tab_temp_offset_14:2;
        RBus_UInt32  tab_temp_offset_13:2;
        RBus_UInt32  tab_temp_offset_12:2;
        RBus_UInt32  tab_temp_offset_11:2;
        RBus_UInt32  tab_temp_offset_10:2;
        RBus_UInt32  tab_temp_offset_9:2;
        RBus_UInt32  tab_temp_offset_8:2;
        RBus_UInt32  tab_temp_offset_7:2;
        RBus_UInt32  tab_temp_offset_6:2;
        RBus_UInt32  tab_temp_offset_5:2;
        RBus_UInt32  tab_temp_offset_4:2;
        RBus_UInt32  tab_temp_offset_3:2;
        RBus_UInt32  tab_temp_offset_2:2;
        RBus_UInt32  tab_temp_offset_1:2;
        RBus_UInt32  tab_temp_offset_0:2;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_temp_tb_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  rgb_in_offset:1;
        RBus_UInt32  sel_2x_gain:1;
        RBus_UInt32  sel_y_gain:1;
        RBus_UInt32  matrix_bypass:1;
        RBus_UInt32  sel_uv_off:1;
        RBus_UInt32  set_uv_out_offset:1;
        RBus_UInt32  set_r_in_offset:1;
        RBus_UInt32  sel_rgb:1;
        RBus_UInt32  sel_sign:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  en_rgb2yuv:2;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_rgb2yuv_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  m12:15;
        RBus_UInt32  res2:1;
        RBus_UInt32  m11:15;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_rgb2yuv_tab_m11_m12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  m21:15;
        RBus_UInt32  res2:1;
        RBus_UInt32  m13:15;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_rgb2yuv_tab_m13_m21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  m23:15;
        RBus_UInt32  res2:1;
        RBus_UInt32  m22:15;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_rgb2yuv_tab_m22_m23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  m32:15;
        RBus_UInt32  res2:1;
        RBus_UInt32  m31:15;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_rgb2yuv_tab_m31_m32_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  y_gain:9;
        RBus_UInt32  res2:1;
        RBus_UInt32  m33:15;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_rgb2yuv_tab_m33_ygain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  yo_odd:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  yo_even:13;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_rgb2yuv_tab_yo_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  db_read:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_apply:1;
        RBus_UInt32  cr_dly_cb:1;
        RBus_UInt32  dup:1;
        RBus_UInt32  en_422to444:1;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_422to444_ctrl_RBUS;

#else //apply LITTLE_ENDIAN

//======H3DDMA_RGB2YUV_DITHER_4XXTO4XX register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  value_sign:1;
        RBus_UInt32  temporal_enable:1;
        RBus_UInt32  dither_en:1;
        RBus_UInt32  res2:4;
        RBus_UInt32  dither_bit_sel:1;
        RBus_UInt32  res3:21;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seq_r_0:2;
        RBus_UInt32  seq_r_1:2;
        RBus_UInt32  seq_r_2:2;
        RBus_UInt32  seq_r_3:2;
        RBus_UInt32  seq_r_4:2;
        RBus_UInt32  seq_r_5:2;
        RBus_UInt32  seq_r_6:2;
        RBus_UInt32  seq_r_7:2;
        RBus_UInt32  seq_r_8:2;
        RBus_UInt32  seq_r_9:2;
        RBus_UInt32  seq_r_10:2;
        RBus_UInt32  seq_r_11:2;
        RBus_UInt32  seq_r_12:2;
        RBus_UInt32  seq_r_13:2;
        RBus_UInt32  seq_r_14:2;
        RBus_UInt32  seq_r_15:2;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_seq_r_00_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seq_r_16:2;
        RBus_UInt32  seq_r_17:2;
        RBus_UInt32  seq_r_18:2;
        RBus_UInt32  seq_r_19:2;
        RBus_UInt32  seq_r_20:2;
        RBus_UInt32  seq_r_21:2;
        RBus_UInt32  seq_r_22:2;
        RBus_UInt32  seq_r_23:2;
        RBus_UInt32  seq_r_24:2;
        RBus_UInt32  seq_r_25:2;
        RBus_UInt32  seq_r_26:2;
        RBus_UInt32  seq_r_27:2;
        RBus_UInt32  seq_r_28:2;
        RBus_UInt32  seq_r_29:2;
        RBus_UInt32  seq_r_30:2;
        RBus_UInt32  seq_r_31:2;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_seq_r_16_31_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seq_g_0:2;
        RBus_UInt32  seq_g_1:2;
        RBus_UInt32  seq_g_2:2;
        RBus_UInt32  seq_g_3:2;
        RBus_UInt32  seq_g_4:2;
        RBus_UInt32  seq_g_5:2;
        RBus_UInt32  seq_g_6:2;
        RBus_UInt32  seq_g_7:2;
        RBus_UInt32  seq_g_8:2;
        RBus_UInt32  seq_g_9:2;
        RBus_UInt32  seq_g_10:2;
        RBus_UInt32  seq_g_11:2;
        RBus_UInt32  seq_g_12:2;
        RBus_UInt32  seq_g_13:2;
        RBus_UInt32  seq_g_14:2;
        RBus_UInt32  seq_g_15:2;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_seq_g_00_07_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seq_g_16:2;
        RBus_UInt32  seq_g_17:2;
        RBus_UInt32  seq_g_18:2;
        RBus_UInt32  seq_g_19:2;
        RBus_UInt32  seq_g_20:2;
        RBus_UInt32  seq_g_21:2;
        RBus_UInt32  seq_g_22:2;
        RBus_UInt32  seq_g_23:2;
        RBus_UInt32  seq_g_24:2;
        RBus_UInt32  seq_g_25:2;
        RBus_UInt32  seq_g_26:2;
        RBus_UInt32  seq_g_27:2;
        RBus_UInt32  seq_g_28:2;
        RBus_UInt32  seq_g_29:2;
        RBus_UInt32  seq_g_30:2;
        RBus_UInt32  seq_g_31:2;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_seq_g_16_31_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seq_b_0:2;
        RBus_UInt32  seq_b_1:2;
        RBus_UInt32  seq_b_2:2;
        RBus_UInt32  seq_b_3:2;
        RBus_UInt32  seq_b_4:2;
        RBus_UInt32  seq_b_5:2;
        RBus_UInt32  seq_b_6:2;
        RBus_UInt32  seq_b_7:2;
        RBus_UInt32  seq_b_8:2;
        RBus_UInt32  seq_b_9:2;
        RBus_UInt32  seq_b_10:2;
        RBus_UInt32  seq_b_11:2;
        RBus_UInt32  seq_b_12:2;
        RBus_UInt32  seq_b_13:2;
        RBus_UInt32  seq_b_14:2;
        RBus_UInt32  seq_b_15:2;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_seq_b_00_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  seq_b_16:2;
        RBus_UInt32  seq_b_17:2;
        RBus_UInt32  seq_b_18:2;
        RBus_UInt32  seq_b_19:2;
        RBus_UInt32  seq_b_20:2;
        RBus_UInt32  seq_b_21:2;
        RBus_UInt32  seq_b_22:2;
        RBus_UInt32  seq_b_23:2;
        RBus_UInt32  seq_b_24:2;
        RBus_UInt32  seq_b_25:2;
        RBus_UInt32  seq_b_26:2;
        RBus_UInt32  seq_b_27:2;
        RBus_UInt32  seq_b_28:2;
        RBus_UInt32  seq_b_29:2;
        RBus_UInt32  seq_b_30:2;
        RBus_UInt32  seq_b_31:2;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_seq_b_16_31_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab_r_00:4;
        RBus_UInt32  tab_r_01:4;
        RBus_UInt32  tab_r_02:4;
        RBus_UInt32  tab_r_03:4;
        RBus_UInt32  tab_r_10:4;
        RBus_UInt32  tab_r_11:4;
        RBus_UInt32  tab_r_12:4;
        RBus_UInt32  tab_r_13:4;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_tb_r_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab_r_20:4;
        RBus_UInt32  tab_r_21:4;
        RBus_UInt32  tab_r_22:4;
        RBus_UInt32  tab_r_23:4;
        RBus_UInt32  tab_r_30:4;
        RBus_UInt32  tab_r_31:4;
        RBus_UInt32  tab_r_32:4;
        RBus_UInt32  tab_r_33:4;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_tb_r_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab_g_00:4;
        RBus_UInt32  tab_g_01:4;
        RBus_UInt32  tab_g_02:4;
        RBus_UInt32  tab_g_03:4;
        RBus_UInt32  tab_g_10:4;
        RBus_UInt32  tab_g_11:4;
        RBus_UInt32  tab_g_12:4;
        RBus_UInt32  tab_g_13:4;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_tb_g_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab_g_20:4;
        RBus_UInt32  tab_g_21:4;
        RBus_UInt32  tab_g_22:4;
        RBus_UInt32  tab_g_23:4;
        RBus_UInt32  tab_g_30:4;
        RBus_UInt32  tab_g_31:4;
        RBus_UInt32  tab_g_32:4;
        RBus_UInt32  tab_g_33:4;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_tb_g_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab_b_00:4;
        RBus_UInt32  tab_b_01:4;
        RBus_UInt32  tab_b_02:4;
        RBus_UInt32  tab_b_03:4;
        RBus_UInt32  tab_b_10:4;
        RBus_UInt32  tab_b_11:4;
        RBus_UInt32  tab_b_12:4;
        RBus_UInt32  tab_b_13:4;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_tb_b_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab_b_20:4;
        RBus_UInt32  tab_b_21:4;
        RBus_UInt32  tab_b_22:4;
        RBus_UInt32  tab_b_23:4;
        RBus_UInt32  tab_b_30:4;
        RBus_UInt32  tab_b_31:4;
        RBus_UInt32  tab_b_32:4;
        RBus_UInt32  tab_b_33:4;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_tb_b_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab_temp_offset_0:2;
        RBus_UInt32  tab_temp_offset_1:2;
        RBus_UInt32  tab_temp_offset_2:2;
        RBus_UInt32  tab_temp_offset_3:2;
        RBus_UInt32  tab_temp_offset_4:2;
        RBus_UInt32  tab_temp_offset_5:2;
        RBus_UInt32  tab_temp_offset_6:2;
        RBus_UInt32  tab_temp_offset_7:2;
        RBus_UInt32  tab_temp_offset_8:2;
        RBus_UInt32  tab_temp_offset_9:2;
        RBus_UInt32  tab_temp_offset_10:2;
        RBus_UInt32  tab_temp_offset_11:2;
        RBus_UInt32  tab_temp_offset_12:2;
        RBus_UInt32  tab_temp_offset_13:2;
        RBus_UInt32  tab_temp_offset_14:2;
        RBus_UInt32  tab_temp_offset_15:2;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_dither_temp_tb_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  en_rgb2yuv:2;
        RBus_UInt32  res1:1;
        RBus_UInt32  sel_sign:1;
        RBus_UInt32  sel_rgb:1;
        RBus_UInt32  set_r_in_offset:1;
        RBus_UInt32  set_uv_out_offset:1;
        RBus_UInt32  sel_uv_off:1;
        RBus_UInt32  matrix_bypass:1;
        RBus_UInt32  sel_y_gain:1;
        RBus_UInt32  sel_2x_gain:1;
        RBus_UInt32  rgb_in_offset:1;
        RBus_UInt32  res2:20;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_rgb2yuv_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m11:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  m12:15;
        RBus_UInt32  res2:1;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_rgb2yuv_tab_m11_m12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m13:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  m21:15;
        RBus_UInt32  res2:1;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_rgb2yuv_tab_m13_m21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m22:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  m23:15;
        RBus_UInt32  res2:1;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_rgb2yuv_tab_m22_m23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m31:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  m32:15;
        RBus_UInt32  res2:1;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_rgb2yuv_tab_m31_m32_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m33:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  y_gain:9;
        RBus_UInt32  res2:7;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_rgb2yuv_tab_m33_ygain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  yo_even:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  yo_odd:13;
        RBus_UInt32  res2:3;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_rgb2yuv_tab_yo_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  en_422to444:1;
        RBus_UInt32  dup:1;
        RBus_UInt32  cr_dly_cb:1;
        RBus_UInt32  db_apply:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_read:1;
        RBus_UInt32  res1:26;
    };
}h3ddma_rgb2yuv_dither_4xxto4xx_hdmi_422to444_ctrl_RBUS;




#endif 


#endif 
