/**
* @file Mac7p-DesignSpec-osd_smooth_toggle_double_buffer_detail_register
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2019/11/22
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_OSD_SMOOTH_TOGGLE_REG_H_
#define _RBUS_OSD_SMOOTH_TOGGLE_REG_H_

#include "rbusTypes.h"



//  OSD_SMOOTH_TOGGLE Register Address



#define  OSD_SMOOTH_TOGGLE_LINE_BUFFER_STA_VADDR            	(0xb802ff10)
#define  OSD_SMOOTH_TOGGLE_LINE_BUFFER_SIZE_VADDR           	(0xb802ff14)
#define  OSD_SMOOTH_TOGGLE_LINE_BUFFER_END_VADDR            	(0xb802ff18)
#define  OSD_SMOOTH_TOGGLE_OSD1_CTRL_VADDR                  	(0xb802f200)
#define  OSD_SMOOTH_TOGGLE_OSD1_VADDR                       	(0xb802f204)
#define  OSD_SMOOTH_TOGGLE_OSD1_START_VADDR                 	(0xb802f208)
#define  OSD_SMOOTH_TOGGLE_OSD1_WI_VADDR                    	(0xb802f210)
#define  OSD_SMOOTH_TOGGLE_OSD1_WI_3D_VADDR                 	(0xb802f214)
#define  OSD_SMOOTH_TOGGLE_OSD1_SIZE_VADDR                  	(0xb802f218)
#define  OSD_SMOOTH_TOGGLE_OSD1_CC1_VADDR                   	(0xb802f21c)
#define  OSD_SMOOTH_TOGGLE_OSD1_CC2_VADDR                   	(0xb802f220)
#define  OSD_SMOOTH_TOGGLE_OSD1_CC3_VADDR                   	(0xb802f224)
#define  OSD_SMOOTH_TOGGLE_OSD1_CC4_VADDR                   	(0xb802f228)
#define  OSD_SMOOTH_TOGGLE_OSD1_CC5_VADDR                   	(0xb802f22c)
#define  OSD_SMOOTH_TOGGLE_OSD1_CC6_VADDR                   	(0xb802f230)
#define  OSD_SMOOTH_TOGGLE_OSD1_CC7_VADDR                   	(0xb802f234)
#define  OSD_SMOOTH_TOGGLE_OSD1_CLEAR1_VADDR                	(0xb802f280)
#define  OSD_SMOOTH_TOGGLE_OSD1_CLEAR2_VADDR                	(0xb802f284)
#define  OSD_SMOOTH_TOGGLE_OSD2_CTRL_VADDR                  	(0xb802f300)
#define  OSD_SMOOTH_TOGGLE_OSD2_VADDR                       	(0xb802f304)
#define  OSD_SMOOTH_TOGGLE_OSD2_START_VADDR                 	(0xb802f308)
#define  OSD_SMOOTH_TOGGLE_OSD2_WI_VADDR                    	(0xb802f310)
#define  OSD_SMOOTH_TOGGLE_OSD2_WI_3D_VADDR                 	(0xb802f314)
#define  OSD_SMOOTH_TOGGLE_OSD2_SIZE_VADDR                  	(0xb802f318)
#define  OSD_SMOOTH_TOGGLE_OSD2_CC1_VADDR                   	(0xb802f31c)
#define  OSD_SMOOTH_TOGGLE_OSD2_CC2_VADDR                   	(0xb802f320)
#define  OSD_SMOOTH_TOGGLE_OSD2_CC3_VADDR                   	(0xb802f324)
#define  OSD_SMOOTH_TOGGLE_OSD2_CC4_VADDR                   	(0xb802f328)
#define  OSD_SMOOTH_TOGGLE_OSD2_CC5_VADDR                   	(0xb802f32c)
#define  OSD_SMOOTH_TOGGLE_OSD2_CC6_VADDR                   	(0xb802f330)
#define  OSD_SMOOTH_TOGGLE_OSD2_CC7_VADDR                   	(0xb802f334)
#define  OSD_SMOOTH_TOGGLE_OSD2_CLEAR1_VADDR                	(0xb802f380)
#define  OSD_SMOOTH_TOGGLE_OSD2_CLEAR2_VADDR                	(0xb802f384)
#define  OSD_SMOOTH_TOGGLE_OSD3_CTRL_VADDR                  	(0xb802f400)
#define  OSD_SMOOTH_TOGGLE_OSD3_VADDR                       	(0xb802f404)
#define  OSD_SMOOTH_TOGGLE_OSD3_START_VADDR                 	(0xb802f408)
#define  OSD_SMOOTH_TOGGLE_OSD3_WI_VADDR                    	(0xb802f410)
#define  OSD_SMOOTH_TOGGLE_OSD3_WI_3D_VADDR                 	(0xb802f414)
#define  OSD_SMOOTH_TOGGLE_OSD3_SIZE_VADDR                  	(0xb802f418)
#define  OSD_SMOOTH_TOGGLE_OSD3_CC1_VADDR                   	(0xb802f41c)
#define  OSD_SMOOTH_TOGGLE_OSD3_CC2_VADDR                   	(0xb802f420)
#define  OSD_SMOOTH_TOGGLE_OSD3_CC3_VADDR                   	(0xb802f424)
#define  OSD_SMOOTH_TOGGLE_OSD3_CC4_VADDR                   	(0xb802f428)
#define  OSD_SMOOTH_TOGGLE_OSD3_CC5_VADDR                   	(0xb802f42c)
#define  OSD_SMOOTH_TOGGLE_OSD3_CC6_VADDR                   	(0xb802f430)
#define  OSD_SMOOTH_TOGGLE_OSD3_CC7_VADDR                   	(0xb802f434)
#define  OSD_SMOOTH_TOGGLE_OSD3_CLEAR1_VADDR                	(0xb802f480)
#define  OSD_SMOOTH_TOGGLE_OSD3_CLEAR2_VADDR                	(0xb802f484)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_1_SCALEUP_CTRL0_VADDR     	(0xb8029400)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_1_SCALEUP_CTRL1_VADDR     	(0xb8029404)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_1_H_LOCATION_CTRL_VADDR   	(0xb8029408)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_1_V_LOCATION_CTRL_VADDR   	(0xb802940c)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_1_CTRL_VADDR              	(0xb8029410)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_1_GAINY_CTRL0_VADDR       	(0xb8029420)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_2_SCALEUP_CTRL0_VADDR     	(0xb8029480)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_2_SCALEUP_CTRL1_VADDR     	(0xb8029484)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_2_H_LOCATION_CTRL_VADDR   	(0xb8029488)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_2_V_LOCATION_CTRL_VADDR   	(0xb802948c)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_2_CTRL_VADDR              	(0xb8029490)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_2_GAINY_CTRL0_VADDR       	(0xb80294a0)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_3_SCALEUP_CTRL0_VADDR     	(0xb8029500)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_3_SCALEUP_CTRL1_VADDR     	(0xb8029504)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_3_H_LOCATION_CTRL_VADDR   	(0xb8029508)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_3_V_LOCATION_CTRL_VADDR   	(0xb802950c)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_3_CTRL_VADDR              	(0xb8029510)
#define  OSD_SMOOTH_TOGGLE_OSD_SR_3_GAINY_CTRL0_VADDR       	(0xb8029520)
#define  OSD_SMOOTH_TOGGLE_MIXER_CTRL2_VADDR                	(0xb802b000)
#define  OSD_SMOOTH_TOGGLE_MIXER_LAYER_SEL_VADDR            	(0xb802b004)
#define  OSD_SMOOTH_TOGGLE_MIXER_C0_PLANE_ALPHA1_VADDR      	(0xb802b008)
#define  OSD_SMOOTH_TOGGLE_MIXER_C0_PLANE_ALPHA2_VADDR      	(0xb802b00c)
#define  OSD_SMOOTH_TOGGLE_MIXER_C0_PLANE_OFFSET_VADDR      	(0xb802b010)
#define  OSD_SMOOTH_TOGGLE_MIXER_C1_PLANE_ALPHA1_VADDR      	(0xb802b014)
#define  OSD_SMOOTH_TOGGLE_MIXER_C1_PLANE_ALPHA2_VADDR      	(0xb802b018)
#define  OSD_SMOOTH_TOGGLE_MIXER_C1_PLANE_OFFSET_VADDR      	(0xb802b01c)
#define  OSD_SMOOTH_TOGGLE_MIXER_C2_PLANE_ALPHA1_VADDR      	(0xb802b020)
#define  OSD_SMOOTH_TOGGLE_MIXER_C2_PLANE_ALPHA2_VADDR      	(0xb802b024)
#define  OSD_SMOOTH_TOGGLE_MIXER_C2_PLANE_OFFSET_VADDR      	(0xb802b028)
#define  OSD_SMOOTH_TOGGLE_MIXER_C3_PLANE_ALPHA1_VADDR      	(0xb802b02c)
#define  OSD_SMOOTH_TOGGLE_MIXER_C3_PLANE_ALPHA2_VADDR      	(0xb802b030)
#define  OSD_SMOOTH_TOGGLE_MIXER_C3_PLANE_OFFSET_VADDR      	(0xb802b034)
#define  OSD_SMOOTH_TOGGLE_MIXER_OSD_GAMMA_CTRL_VADDR       	(0xb802b038)
#define  OSD_SMOOTH_TOGGLE_MIXER_OSD_GAMMA_DYNAMIC_REGION_D3_D2_VADDR 	(0xb802b03c)
#define  OSD_SMOOTH_TOGGLE_MIXER_B1_VADDR                   	(0xb802b060)
#define  OSD_SMOOTH_TOGGLE_MIXER_B2_VADDR                   	(0xb802b064)
#define  OSD_SMOOTH_TOGGLE_MIXER_B3_VADDR                   	(0xb802b068)
#define  OSD_SMOOTH_TOGGLE_MIXER_OSD_SPLIT_EMPTY_PIXEL_VADDR 	(0xb802b08c)
#define  OSD_SMOOTH_TOGGLE_MIXER_LINE_MASK_VADDR            	(0xb802b0c0)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_DB_CTRL_VADDR       	(0xb802e630)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_VADDR               	(0xb802e600)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_MIXER_CTRL2_VADDR   	(0xb802e604)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_MIXER_SEL_VADDR     	(0xb802e608)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_LINE_BUFFER_STA_VADDR 	(0xb802e618)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_LINE_BUFFER_SIZE_VADDR 	(0xb802e61c)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_GDMA_SWITCH_VADDR   	(0xb802e620)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_GDMA_VADDR          	(0xb802e624)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_GDMA_ADDR_VADDR     	(0xb802e628)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_GDMA_SIZE_VADDR     	(0xb802e62c)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_SR_1_SCALEUP_CTRL0_VADDR 	(0xb802e640)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_SR_1_SCALEUP_CTRL1_VADDR 	(0xb802e644)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_SR_1_H_LOCATION_CTRL_VADDR 	(0xb802e648)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_SR_1_V_LOCATION_CTRL_VADDR 	(0xb802e64c)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_MIXER_B1_VADDR      	(0xb802e670)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_MIXER_B2_VADDR      	(0xb802e674)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_MIXER_B3_VADDR      	(0xb802e678)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_OSD_GAMMA_DYNAMIC_REGION_D3_D2_VADDR 	(0xb802e67c)
#define  OSD_SMOOTH_TOGGLE_OSD_SECURITY_OSD_SPLIT_EMPTY_PIXEL_VADDR 	(0xb802e680)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======OSD_SMOOTH_TOGGLE register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  l5:4;
        RBus_UInt32  l4:4;
        RBus_UInt32  res2:4;
        RBus_UInt32  l2:4;
        RBus_UInt32  l1:4;
    };
}osd_smooth_toggle_line_buffer_sta_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  l5:4;
        RBus_UInt32  l4:4;
        RBus_UInt32  res2:4;
        RBus_UInt32  l2:4;
        RBus_UInt32  l1:4;
    };
}osd_smooth_toggle_line_buffer_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  osdsr3_switch_to:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  osdsr2_switch_to:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  osdsr1_switch_to:2;
    };
}osd_smooth_toggle_line_buffer_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  d3_mode:1;
        RBus_UInt32  rotate:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  osd1_en:1;
        RBus_UInt32  write_data:1;
    };
}osd_smooth_toggle_osd1_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  wi_endian:1;
        RBus_UInt32  rgb_out:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  osd:1;
        RBus_UInt32  res3:14;
        RBus_UInt32  clear_region_en:1;
        RBus_UInt32  write_data:1;
    };
}osd_smooth_toggle_osd1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  th:13;
    };
}osd_smooth_toggle_osd1_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  addr:32;
    };
}osd_smooth_toggle_osd1_wi_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  addr:32;
    };
}osd_smooth_toggle_osd1_wi_3d_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  w:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  h:13;
    };
}osd_smooth_toggle_osd1_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  m01:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  m00:14;
    };
}osd_smooth_toggle_osd1_cc1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  m10:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  m02:14;
    };
}osd_smooth_toggle_osd1_cc2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  m12:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  m11:14;
    };
}osd_smooth_toggle_osd1_cc3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  m21:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  m20:14;
    };
}osd_smooth_toggle_osd1_cc4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  m22:14;
    };
}osd_smooth_toggle_osd1_cc5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  a2:9;
        RBus_UInt32  a1:9;
        RBus_UInt32  a0:9;
    };
}osd_smooth_toggle_osd1_cc6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  b2:9;
        RBus_UInt32  b1:9;
        RBus_UInt32  b0:9;
    };
}osd_smooth_toggle_osd1_cc7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  x_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  x_end:13;
    };
}osd_smooth_toggle_osd1_clear1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  y_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  y_end:13;
    };
}osd_smooth_toggle_osd1_clear2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  d3_mode:1;
        RBus_UInt32  rotate:1;
        RBus_UInt32  res2:4;
        RBus_UInt32  res3:2;
        RBus_UInt32  osd2_en:1;
        RBus_UInt32  write_data:1;
    };
}osd_smooth_toggle_osd2_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  wi_endian:1;
        RBus_UInt32  rgb_out:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  osd:1;
        RBus_UInt32  res3:14;
        RBus_UInt32  clear_region_en:1;
        RBus_UInt32  write_data:1;
    };
}osd_smooth_toggle_osd2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  th:13;
    };
}osd_smooth_toggle_osd2_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  addr:32;
    };
}osd_smooth_toggle_osd2_wi_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  addr:32;
    };
}osd_smooth_toggle_osd2_wi_3d_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  w:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  h:13;
    };
}osd_smooth_toggle_osd2_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  m01:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  m00:14;
    };
}osd_smooth_toggle_osd2_cc1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  m10:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  m02:14;
    };
}osd_smooth_toggle_osd2_cc2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  m12:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  m11:14;
    };
}osd_smooth_toggle_osd2_cc3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  m21:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  m20:14;
    };
}osd_smooth_toggle_osd2_cc4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  m22:14;
    };
}osd_smooth_toggle_osd2_cc5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  a2:9;
        RBus_UInt32  a1:9;
        RBus_UInt32  a0:9;
    };
}osd_smooth_toggle_osd2_cc6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  b2:9;
        RBus_UInt32  b1:9;
        RBus_UInt32  b0:9;
    };
}osd_smooth_toggle_osd2_cc7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  x_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  x_end:13;
    };
}osd_smooth_toggle_osd2_clear1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  y_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  y_end:13;
    };
}osd_smooth_toggle_osd2_clear2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  d3_mode:1;
        RBus_UInt32  rotate:1;
        RBus_UInt32  res2:4;
        RBus_UInt32  res3:2;
        RBus_UInt32  osd3_en:1;
        RBus_UInt32  write_data:1;
    };
}osd_smooth_toggle_osd3_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  wi_endian:1;
        RBus_UInt32  rgb_out:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  osd:1;
        RBus_UInt32  res3:14;
        RBus_UInt32  clear_region_en:1;
        RBus_UInt32  write_data:1;
    };
}osd_smooth_toggle_osd3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  th:13;
    };
}osd_smooth_toggle_osd3_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  addr:32;
    };
}osd_smooth_toggle_osd3_wi_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  addr:32;
    };
}osd_smooth_toggle_osd3_wi_3d_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  w:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  h:13;
    };
}osd_smooth_toggle_osd3_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  m01:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  m00:14;
    };
}osd_smooth_toggle_osd3_cc1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  m10:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  m02:14;
    };
}osd_smooth_toggle_osd3_cc2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  m12:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  m11:14;
    };
}osd_smooth_toggle_osd3_cc3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  m21:14;
        RBus_UInt32  res2:2;
        RBus_UInt32  m20:14;
    };
}osd_smooth_toggle_osd3_cc4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  m22:14;
    };
}osd_smooth_toggle_osd3_cc5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  a2:9;
        RBus_UInt32  a1:9;
        RBus_UInt32  a0:9;
    };
}osd_smooth_toggle_osd3_cc6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  b2:9;
        RBus_UInt32  b1:9;
        RBus_UInt32  b0:9;
    };
}osd_smooth_toggle_osd3_cc7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  x_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  x_end:13;
    };
}osd_smooth_toggle_osd3_clear1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  y_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  y_end:13;
    };
}osd_smooth_toggle_osd3_clear2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v_zoom_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  ver_tap_num:2;
        RBus_UInt32  ver_factor:20;
    };
}osd_smooth_toggle_osd_sr_1_scaleup_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h_zoom_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  res2:2;
        RBus_UInt32  hor_factor:20;
    };
}osd_smooth_toggle_osd_sr_1_scaleup_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  osd_width:13;
    };
}osd_smooth_toggle_osd_sr_1_h_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  osd_height:12;
    };
}osd_smooth_toggle_osd_sr_1_v_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_maxmin_shift:8;
        RBus_UInt32  sr_var_thd:8;
        RBus_UInt32  res1:7;
        RBus_UInt32  sr_maxmin_limit_en:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  yuv_data:1;
        RBus_UInt32  irq_udf_en:1;
    };
}osd_smooth_toggle_osd_sr_1_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain0:8;
        RBus_UInt32  sr_by_ngain0:8;
        RBus_UInt32  sr_lpf_gain:6;
        RBus_UInt32  res1:8;
        RBus_UInt32  sr_by_gain_en:2;
    };
}osd_smooth_toggle_osd_sr_1_gainy_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v_zoom_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  ver_tap_num:2;
        RBus_UInt32  ver_factor:20;
    };
}osd_smooth_toggle_osd_sr_2_scaleup_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h_zoom_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  res2:2;
        RBus_UInt32  hor_factor:20;
    };
}osd_smooth_toggle_osd_sr_2_scaleup_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  osd_width:13;
    };
}osd_smooth_toggle_osd_sr_2_h_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  osd_height:12;
    };
}osd_smooth_toggle_osd_sr_2_v_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_maxmin_shift:8;
        RBus_UInt32  sr_var_thd:8;
        RBus_UInt32  res1:7;
        RBus_UInt32  sr_maxmin_limit_en:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  yuv_data:1;
        RBus_UInt32  irq_udf_en:1;
    };
}osd_smooth_toggle_osd_sr_2_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain0:8;
        RBus_UInt32  sr_by_ngain0:8;
        RBus_UInt32  sr_lpf_gain:6;
        RBus_UInt32  res1:8;
        RBus_UInt32  sr_by_gain_en:2;
    };
}osd_smooth_toggle_osd_sr_2_gainy_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v_zoom_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  ver_tap_num:2;
        RBus_UInt32  ver_factor:20;
    };
}osd_smooth_toggle_osd_sr_3_scaleup_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h_zoom_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  res2:2;
        RBus_UInt32  hor_factor:20;
    };
}osd_smooth_toggle_osd_sr_3_scaleup_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  osd_width:13;
    };
}osd_smooth_toggle_osd_sr_3_h_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  osd_height:12;
    };
}osd_smooth_toggle_osd_sr_3_v_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_maxmin_shift:8;
        RBus_UInt32  sr_var_thd:8;
        RBus_UInt32  res1:7;
        RBus_UInt32  sr_maxmin_limit_en:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  yuv_data:1;
        RBus_UInt32  irq_udf_en:1;
    };
}osd_smooth_toggle_osd_sr_3_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_pgain0:8;
        RBus_UInt32  sr_by_ngain0:8;
        RBus_UInt32  sr_lpf_gain:6;
        RBus_UInt32  res1:9;
        RBus_UInt32  sr_by_gain_en:1;
    };
}osd_smooth_toggle_osd_sr_3_gainy_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  measure_osd_zone_en:1;
        RBus_UInt32  measure_osd_zone_type:1;
        RBus_UInt32  res1:5;
        RBus_UInt32  video_src_sel:1;
        RBus_UInt32  video_alpha:8;
        RBus_UInt32  res2:12;
        RBus_UInt32  mixero3_en:1;
        RBus_UInt32  mixero2_en:1;
        RBus_UInt32  mixero1_en:1;
        RBus_UInt32  mixer_en:1;
    };
}osd_smooth_toggle_mixer_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  c3_plane_alpha_en:1;
        RBus_UInt32  c2_plane_alpha_en:1;
        RBus_UInt32  c1_plane_alpha_en:1;
        RBus_UInt32  c0_plane_alpha_en:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  alpha_detect_sel:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  c3_sel:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  c2_sel:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  c1_sel:2;
        RBus_UInt32  res6:2;
        RBus_UInt32  c0_sel:2;
    };
}osd_smooth_toggle_mixer_layer_sel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  plane_alpha_a:9;
        RBus_UInt32  res2:7;
        RBus_UInt32  plane_alpha_r:9;
    };
}osd_smooth_toggle_mixer_c0_plane_alpha1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  plane_alpha_g:9;
        RBus_UInt32  res2:7;
        RBus_UInt32  plane_alpha_b:9;
    };
}osd_smooth_toggle_mixer_c0_plane_alpha2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plane_offset_a:8;
        RBus_UInt32  plane_offset_r:8;
        RBus_UInt32  plane_offset_g:8;
        RBus_UInt32  plane_offset_b:8;
    };
}osd_smooth_toggle_mixer_c0_plane_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  plane_alpha_a:9;
        RBus_UInt32  res2:7;
        RBus_UInt32  plane_alpha_r:9;
    };
}osd_smooth_toggle_mixer_c1_plane_alpha1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  plane_alpha_g:9;
        RBus_UInt32  res2:7;
        RBus_UInt32  plane_alpha_b:9;
    };
}osd_smooth_toggle_mixer_c1_plane_alpha2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plane_offset_a:8;
        RBus_UInt32  plane_offset_r:8;
        RBus_UInt32  plane_offset_g:8;
        RBus_UInt32  plane_offset_b:8;
    };
}osd_smooth_toggle_mixer_c1_plane_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  plane_alpha_a:9;
        RBus_UInt32  res2:7;
        RBus_UInt32  plane_alpha_r:9;
    };
}osd_smooth_toggle_mixer_c2_plane_alpha1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  plane_alpha_g:9;
        RBus_UInt32  res2:7;
        RBus_UInt32  plane_alpha_b:9;
    };
}osd_smooth_toggle_mixer_c2_plane_alpha2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plane_offset_a:8;
        RBus_UInt32  plane_offset_r:8;
        RBus_UInt32  plane_offset_g:8;
        RBus_UInt32  plane_offset_b:8;
    };
}osd_smooth_toggle_mixer_c2_plane_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  plane_alpha_a:9;
        RBus_UInt32  res2:7;
        RBus_UInt32  plane_alpha_r:9;
    };
}osd_smooth_toggle_mixer_c3_plane_alpha1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  plane_alpha_g:9;
        RBus_UInt32  res2:7;
        RBus_UInt32  plane_alpha_b:9;
    };
}osd_smooth_toggle_mixer_c3_plane_alpha2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plane_offset_a:8;
        RBus_UInt32  plane_offset_r:8;
        RBus_UInt32  plane_offset_g:8;
        RBus_UInt32  plane_offset_b:8;
    };
}osd_smooth_toggle_mixer_c3_plane_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  d1_m3:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  d1_m2:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  d1_m1:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  d1_m0:3;
        RBus_UInt32  res5:2;
        RBus_UInt32  osd3_gamma_zone_type:2;
        RBus_UInt32  osd2_gamma_zone_type:2;
        RBus_UInt32  osd1_gamma_zone_type:2;
        RBus_UInt32  res6:1;
        RBus_UInt32  osd_gamma_position:3;
        RBus_UInt32  dynamic_region_en:1;
        RBus_UInt32  mixer_gamma2_en:1;
        RBus_UInt32  mixer_osd3x3_en:1;
        RBus_UInt32  mixer_gamma1_en:1;
    };
}osd_smooth_toggle_mixer_osd_gamma_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  d3_m3:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  d3_m2:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  d3_m1:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  d3_m0:3;
        RBus_UInt32  res5:1;
        RBus_UInt32  d2_m3:3;
        RBus_UInt32  res6:1;
        RBus_UInt32  d2_m2:3;
        RBus_UInt32  res7:1;
        RBus_UInt32  d2_m1:3;
        RBus_UInt32  res8:1;
        RBus_UInt32  d2_m0:3;
    };
}osd_smooth_toggle_mixer_osd_gamma_dynamic_region_d3_d2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  k1:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  k3:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  k4:6;
    };
}osd_smooth_toggle_mixer_b1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  k1:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  k3:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  k4:6;
    };
}osd_smooth_toggle_mixer_b2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  k1:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  k3:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  k4:6;
    };
}osd_smooth_toggle_mixer_b3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  data_empty_a:8;
        RBus_UInt32  data_empty_r:8;
        RBus_UInt32  data_empty_g:8;
        RBus_UInt32  data_empty_b:8;
    };
}osd_smooth_toggle_mixer_osd_split_empty_pixel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  osd3_line_mask:2;
        RBus_UInt32  osd2_line_mask:2;
        RBus_UInt32  osd1_line_mask:2;
        RBus_UInt32  video_line_mask:2;
    };
}osd_smooth_toggle_mixer_line_mask_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  link_with_smooth_toggle:1;
        RBus_UInt32  res1:28;
        RBus_UInt32  db_read:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_load:1;
    };
}osd_smooth_toggle_osd_security_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  c3_security_en:1;
        RBus_UInt32  c2_security_en:1;
        RBus_UInt32  c1_security_en:1;
        RBus_UInt32  c0_security_en:1;
        RBus_UInt32  res2:23;
        RBus_UInt32  osd_security_en:1;
    };
}osd_smooth_toggle_osd_security_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e604_31_28:4;
        RBus_UInt32  d1_m3:3;
        RBus_UInt32  d1_m2:3;
        RBus_UInt32  d1_m1:3;
        RBus_UInt32  d1_m0:3;
        RBus_UInt32  res1:2;
        RBus_UInt32  osd1_gamma_zone_type:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  osd_gamma_position:3;
        RBus_UInt32  dynamic_region_en:1;
        RBus_UInt32  mixer_gamma2_en:1;
        RBus_UInt32  mixer_osd3x3_en:1;
        RBus_UInt32  mixer_gamma1_en:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  mixero1_en:1;
        RBus_UInt32  mixer_en:1;
    };
}osd_smooth_toggle_osd_security_mixer_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  c3_plane_alpha_en:1;
        RBus_UInt32  c2_plane_alpha_en:1;
        RBus_UInt32  c1_plane_alpha_en:1;
        RBus_UInt32  c0_plane_alpha_en:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  alpha_detect_sel:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  c3_sel:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  c2_sel:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  c1_sel:2;
        RBus_UInt32  res6:2;
        RBus_UInt32  c0_sel:2;
    };
}osd_smooth_toggle_osd_security_mixer_sel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  sta_l4:4;
        RBus_UInt32  res2:12;
    };
}osd_smooth_toggle_osd_security_line_buffer_sta_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  size_l4:4;
        RBus_UInt32  res2:12;
    };
}osd_smooth_toggle_osd_security_line_buffer_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  osdsr3_switch_to:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  osdsr2_switch_to:2;
        RBus_UInt32  res3:4;
    };
}osd_smooth_toggle_osd_security_gdma_switch_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  osd1_1b:1;
        RBus_UInt32  osd1_2b:1;
        RBus_UInt32  osd1_4b:1;
        RBus_UInt32  osd1_8b:1;
        RBus_UInt32  osd1_wi_endian:1;
        RBus_UInt32  osd1_rgb_out:1;
        RBus_UInt32  osd1_rotate:1;
        RBus_UInt32  osd1_en:1;
    };
}osd_smooth_toggle_osd_security_gdma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd1_wi_addr:32;
    };
}osd_smooth_toggle_osd_security_gdma_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  osd1_w:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  osd1_h:13;
    };
}osd_smooth_toggle_osd_security_gdma_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v_zoom_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  ver_tap_num:2;
        RBus_UInt32  ver_factor:20;
    };
}osd_smooth_toggle_osd_security_sr_1_scaleup_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h_zoom_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  res2:2;
        RBus_UInt32  hor_factor:20;
    };
}osd_smooth_toggle_osd_security_sr_1_scaleup_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  osd_width:13;
    };
}osd_smooth_toggle_osd_security_sr_1_h_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  osd_height:12;
    };
}osd_smooth_toggle_osd_security_sr_1_v_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  b1_k1:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  b1_k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  b1_k3:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  b1_k4:6;
    };
}osd_smooth_toggle_osd_security_mixer_b1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  b2_k1:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  b2_k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  b2_k3:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  b2_k4:6;
    };
}osd_smooth_toggle_osd_security_mixer_b2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  b3_k1:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  b3_k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  b3_k3:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  b3_k4:6;
    };
}osd_smooth_toggle_osd_security_mixer_b3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  d3_m3:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  d3_m2:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  d3_m1:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  d3_m0:3;
        RBus_UInt32  res5:1;
        RBus_UInt32  d2_m3:3;
        RBus_UInt32  res6:1;
        RBus_UInt32  d2_m2:3;
        RBus_UInt32  res7:1;
        RBus_UInt32  d2_m1:3;
        RBus_UInt32  res8:1;
        RBus_UInt32  d2_m0:3;
    };
}osd_smooth_toggle_osd_security_osd_gamma_dynamic_region_d3_d2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  data_empty_a:8;
        RBus_UInt32  data_empty_r:8;
        RBus_UInt32  data_empty_g:8;
        RBus_UInt32  data_empty_b:8;
    };
}osd_smooth_toggle_osd_security_osd_split_empty_pixel_RBUS;

#else //apply LITTLE_ENDIAN

//======OSD_SMOOTH_TOGGLE register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  l1:4;
        RBus_UInt32  l2:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  l4:4;
        RBus_UInt32  l5:4;
        RBus_UInt32  res2:12;
    };
}osd_smooth_toggle_line_buffer_sta_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  l1:4;
        RBus_UInt32  l2:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  l4:4;
        RBus_UInt32  l5:4;
        RBus_UInt32  res2:12;
    };
}osd_smooth_toggle_line_buffer_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osdsr1_switch_to:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  osdsr2_switch_to:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  osdsr3_switch_to:2;
        RBus_UInt32  res3:22;
    };
}osd_smooth_toggle_line_buffer_end_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  write_data:1;
        RBus_UInt32  osd1_en:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  rotate:1;
        RBus_UInt32  d3_mode:1;
        RBus_UInt32  res2:22;
    };
}osd_smooth_toggle_osd1_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  write_data:1;
        RBus_UInt32  clear_region_en:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  osd:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  rgb_out:1;
        RBus_UInt32  wi_endian:1;
        RBus_UInt32  res3:6;
    };
}osd_smooth_toggle_osd1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  th:13;
        RBus_UInt32  res1:19;
    };
}osd_smooth_toggle_osd1_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  addr:32;
    };
}osd_smooth_toggle_osd1_wi_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  addr:32;
    };
}osd_smooth_toggle_osd1_wi_3d_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  w:13;
        RBus_UInt32  res2:3;
    };
}osd_smooth_toggle_osd1_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m00:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  m01:14;
        RBus_UInt32  res2:2;
    };
}osd_smooth_toggle_osd1_cc1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m02:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  m10:14;
        RBus_UInt32  res2:2;
    };
}osd_smooth_toggle_osd1_cc2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m11:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  m12:14;
        RBus_UInt32  res2:2;
    };
}osd_smooth_toggle_osd1_cc3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m20:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  m21:14;
        RBus_UInt32  res2:2;
    };
}osd_smooth_toggle_osd1_cc4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m22:14;
        RBus_UInt32  res1:18;
    };
}osd_smooth_toggle_osd1_cc5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  a0:9;
        RBus_UInt32  a1:9;
        RBus_UInt32  a2:9;
        RBus_UInt32  res1:5;
    };
}osd_smooth_toggle_osd1_cc6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  b0:9;
        RBus_UInt32  b1:9;
        RBus_UInt32  b2:9;
        RBus_UInt32  res1:5;
    };
}osd_smooth_toggle_osd1_cc7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  x_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  x_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_smooth_toggle_osd1_clear1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  y_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_smooth_toggle_osd1_clear2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  write_data:1;
        RBus_UInt32  osd2_en:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  res2:4;
        RBus_UInt32  rotate:1;
        RBus_UInt32  d3_mode:1;
        RBus_UInt32  res3:22;
    };
}osd_smooth_toggle_osd2_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  write_data:1;
        RBus_UInt32  clear_region_en:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  osd:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  rgb_out:1;
        RBus_UInt32  wi_endian:1;
        RBus_UInt32  res3:6;
    };
}osd_smooth_toggle_osd2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  th:13;
        RBus_UInt32  res1:19;
    };
}osd_smooth_toggle_osd2_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  addr:32;
    };
}osd_smooth_toggle_osd2_wi_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  addr:32;
    };
}osd_smooth_toggle_osd2_wi_3d_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  w:13;
        RBus_UInt32  res2:3;
    };
}osd_smooth_toggle_osd2_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m00:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  m01:14;
        RBus_UInt32  res2:2;
    };
}osd_smooth_toggle_osd2_cc1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m02:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  m10:14;
        RBus_UInt32  res2:2;
    };
}osd_smooth_toggle_osd2_cc2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m11:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  m12:14;
        RBus_UInt32  res2:2;
    };
}osd_smooth_toggle_osd2_cc3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m20:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  m21:14;
        RBus_UInt32  res2:2;
    };
}osd_smooth_toggle_osd2_cc4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m22:14;
        RBus_UInt32  res1:18;
    };
}osd_smooth_toggle_osd2_cc5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  a0:9;
        RBus_UInt32  a1:9;
        RBus_UInt32  a2:9;
        RBus_UInt32  res1:5;
    };
}osd_smooth_toggle_osd2_cc6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  b0:9;
        RBus_UInt32  b1:9;
        RBus_UInt32  b2:9;
        RBus_UInt32  res1:5;
    };
}osd_smooth_toggle_osd2_cc7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  x_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  x_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_smooth_toggle_osd2_clear1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  y_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_smooth_toggle_osd2_clear2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  write_data:1;
        RBus_UInt32  osd3_en:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  res2:4;
        RBus_UInt32  rotate:1;
        RBus_UInt32  d3_mode:1;
        RBus_UInt32  res3:22;
    };
}osd_smooth_toggle_osd3_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  write_data:1;
        RBus_UInt32  clear_region_en:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  osd:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  rgb_out:1;
        RBus_UInt32  wi_endian:1;
        RBus_UInt32  res3:6;
    };
}osd_smooth_toggle_osd3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  th:13;
        RBus_UInt32  res1:19;
    };
}osd_smooth_toggle_osd3_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  addr:32;
    };
}osd_smooth_toggle_osd3_wi_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  addr:32;
    };
}osd_smooth_toggle_osd3_wi_3d_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  w:13;
        RBus_UInt32  res2:3;
    };
}osd_smooth_toggle_osd3_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m00:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  m01:14;
        RBus_UInt32  res2:2;
    };
}osd_smooth_toggle_osd3_cc1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m02:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  m10:14;
        RBus_UInt32  res2:2;
    };
}osd_smooth_toggle_osd3_cc2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m11:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  m12:14;
        RBus_UInt32  res2:2;
    };
}osd_smooth_toggle_osd3_cc3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m20:14;
        RBus_UInt32  res1:2;
        RBus_UInt32  m21:14;
        RBus_UInt32  res2:2;
    };
}osd_smooth_toggle_osd3_cc4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  m22:14;
        RBus_UInt32  res1:18;
    };
}osd_smooth_toggle_osd3_cc5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  a0:9;
        RBus_UInt32  a1:9;
        RBus_UInt32  a2:9;
        RBus_UInt32  res1:5;
    };
}osd_smooth_toggle_osd3_cc6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  b0:9;
        RBus_UInt32  b1:9;
        RBus_UInt32  b2:9;
        RBus_UInt32  res1:5;
    };
}osd_smooth_toggle_osd3_cc7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  x_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  x_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_smooth_toggle_osd3_clear1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_end:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  y_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_smooth_toggle_osd3_clear2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ver_factor:20;
        RBus_UInt32  ver_tap_num:2;
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  res1:1;
        RBus_UInt32  v_zoom_en:1;
    };
}osd_smooth_toggle_osd_sr_1_scaleup_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hor_factor:20;
        RBus_UInt32  res1:2;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  res2:1;
        RBus_UInt32  h_zoom_en:1;
    };
}osd_smooth_toggle_osd_sr_1_scaleup_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_width:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_smooth_toggle_osd_sr_1_h_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_height:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  res2:4;
    };
}osd_smooth_toggle_osd_sr_1_v_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irq_udf_en:1;
        RBus_UInt32  yuv_data:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  sr_maxmin_limit_en:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  sr_var_thd:8;
        RBus_UInt32  sr_maxmin_shift:8;
    };
}osd_smooth_toggle_osd_sr_1_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_gain_en:2;
        RBus_UInt32  res1:8;
        RBus_UInt32  sr_lpf_gain:6;
        RBus_UInt32  sr_by_ngain0:8;
        RBus_UInt32  sr_by_pgain0:8;
    };
}osd_smooth_toggle_osd_sr_1_gainy_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ver_factor:20;
        RBus_UInt32  ver_tap_num:2;
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  res1:1;
        RBus_UInt32  v_zoom_en:1;
    };
}osd_smooth_toggle_osd_sr_2_scaleup_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hor_factor:20;
        RBus_UInt32  res1:2;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  res2:1;
        RBus_UInt32  h_zoom_en:1;
    };
}osd_smooth_toggle_osd_sr_2_scaleup_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_width:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_smooth_toggle_osd_sr_2_h_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_height:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  res2:4;
    };
}osd_smooth_toggle_osd_sr_2_v_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irq_udf_en:1;
        RBus_UInt32  yuv_data:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  sr_maxmin_limit_en:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  sr_var_thd:8;
        RBus_UInt32  sr_maxmin_shift:8;
    };
}osd_smooth_toggle_osd_sr_2_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_gain_en:2;
        RBus_UInt32  res1:8;
        RBus_UInt32  sr_lpf_gain:6;
        RBus_UInt32  sr_by_ngain0:8;
        RBus_UInt32  sr_by_pgain0:8;
    };
}osd_smooth_toggle_osd_sr_2_gainy_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ver_factor:20;
        RBus_UInt32  ver_tap_num:2;
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  res1:1;
        RBus_UInt32  v_zoom_en:1;
    };
}osd_smooth_toggle_osd_sr_3_scaleup_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hor_factor:20;
        RBus_UInt32  res1:2;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  res2:1;
        RBus_UInt32  h_zoom_en:1;
    };
}osd_smooth_toggle_osd_sr_3_scaleup_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_width:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_smooth_toggle_osd_sr_3_h_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_height:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  res2:4;
    };
}osd_smooth_toggle_osd_sr_3_v_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irq_udf_en:1;
        RBus_UInt32  yuv_data:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  sr_maxmin_limit_en:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  sr_var_thd:8;
        RBus_UInt32  sr_maxmin_shift:8;
    };
}osd_smooth_toggle_osd_sr_3_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sr_by_gain_en:1;
        RBus_UInt32  res1:9;
        RBus_UInt32  sr_lpf_gain:6;
        RBus_UInt32  sr_by_ngain0:8;
        RBus_UInt32  sr_by_pgain0:8;
    };
}osd_smooth_toggle_osd_sr_3_gainy_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mixer_en:1;
        RBus_UInt32  mixero1_en:1;
        RBus_UInt32  mixero2_en:1;
        RBus_UInt32  mixero3_en:1;
        RBus_UInt32  res1:12;
        RBus_UInt32  video_alpha:8;
        RBus_UInt32  video_src_sel:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  measure_osd_zone_type:1;
        RBus_UInt32  measure_osd_zone_en:1;
    };
}osd_smooth_toggle_mixer_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c0_sel:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  c1_sel:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  c2_sel:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  c3_sel:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  alpha_detect_sel:2;
        RBus_UInt32  res5:6;
        RBus_UInt32  c0_plane_alpha_en:1;
        RBus_UInt32  c1_plane_alpha_en:1;
        RBus_UInt32  c2_plane_alpha_en:1;
        RBus_UInt32  c3_plane_alpha_en:1;
        RBus_UInt32  res6:4;
    };
}osd_smooth_toggle_mixer_layer_sel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plane_alpha_r:9;
        RBus_UInt32  res1:7;
        RBus_UInt32  plane_alpha_a:9;
        RBus_UInt32  res2:7;
    };
}osd_smooth_toggle_mixer_c0_plane_alpha1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plane_alpha_b:9;
        RBus_UInt32  res1:7;
        RBus_UInt32  plane_alpha_g:9;
        RBus_UInt32  res2:7;
    };
}osd_smooth_toggle_mixer_c0_plane_alpha2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plane_offset_b:8;
        RBus_UInt32  plane_offset_g:8;
        RBus_UInt32  plane_offset_r:8;
        RBus_UInt32  plane_offset_a:8;
    };
}osd_smooth_toggle_mixer_c0_plane_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plane_alpha_r:9;
        RBus_UInt32  res1:7;
        RBus_UInt32  plane_alpha_a:9;
        RBus_UInt32  res2:7;
    };
}osd_smooth_toggle_mixer_c1_plane_alpha1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plane_alpha_b:9;
        RBus_UInt32  res1:7;
        RBus_UInt32  plane_alpha_g:9;
        RBus_UInt32  res2:7;
    };
}osd_smooth_toggle_mixer_c1_plane_alpha2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plane_offset_b:8;
        RBus_UInt32  plane_offset_g:8;
        RBus_UInt32  plane_offset_r:8;
        RBus_UInt32  plane_offset_a:8;
    };
}osd_smooth_toggle_mixer_c1_plane_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plane_alpha_r:9;
        RBus_UInt32  res1:7;
        RBus_UInt32  plane_alpha_a:9;
        RBus_UInt32  res2:7;
    };
}osd_smooth_toggle_mixer_c2_plane_alpha1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plane_alpha_b:9;
        RBus_UInt32  res1:7;
        RBus_UInt32  plane_alpha_g:9;
        RBus_UInt32  res2:7;
    };
}osd_smooth_toggle_mixer_c2_plane_alpha2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plane_offset_b:8;
        RBus_UInt32  plane_offset_g:8;
        RBus_UInt32  plane_offset_r:8;
        RBus_UInt32  plane_offset_a:8;
    };
}osd_smooth_toggle_mixer_c2_plane_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plane_alpha_r:9;
        RBus_UInt32  res1:7;
        RBus_UInt32  plane_alpha_a:9;
        RBus_UInt32  res2:7;
    };
}osd_smooth_toggle_mixer_c3_plane_alpha1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plane_alpha_b:9;
        RBus_UInt32  res1:7;
        RBus_UInt32  plane_alpha_g:9;
        RBus_UInt32  res2:7;
    };
}osd_smooth_toggle_mixer_c3_plane_alpha2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plane_offset_b:8;
        RBus_UInt32  plane_offset_g:8;
        RBus_UInt32  plane_offset_r:8;
        RBus_UInt32  plane_offset_a:8;
    };
}osd_smooth_toggle_mixer_c3_plane_offset_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mixer_gamma1_en:1;
        RBus_UInt32  mixer_osd3x3_en:1;
        RBus_UInt32  mixer_gamma2_en:1;
        RBus_UInt32  dynamic_region_en:1;
        RBus_UInt32  osd_gamma_position:3;
        RBus_UInt32  res1:1;
        RBus_UInt32  osd1_gamma_zone_type:2;
        RBus_UInt32  osd2_gamma_zone_type:2;
        RBus_UInt32  osd3_gamma_zone_type:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  d1_m0:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  d1_m1:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  d1_m2:3;
        RBus_UInt32  res5:1;
        RBus_UInt32  d1_m3:3;
        RBus_UInt32  res6:1;
    };
}osd_smooth_toggle_mixer_osd_gamma_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d2_m0:3;
        RBus_UInt32  res1:1;
        RBus_UInt32  d2_m1:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  d2_m2:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  d2_m3:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  d3_m0:3;
        RBus_UInt32  res5:1;
        RBus_UInt32  d3_m1:3;
        RBus_UInt32  res6:1;
        RBus_UInt32  d3_m2:3;
        RBus_UInt32  res7:1;
        RBus_UInt32  d3_m3:3;
        RBus_UInt32  res8:1;
    };
}osd_smooth_toggle_mixer_osd_gamma_dynamic_region_d3_d2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  k4:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  k3:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  k1:6;
        RBus_UInt32  res4:2;
    };
}osd_smooth_toggle_mixer_b1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  k4:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  k3:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  k1:6;
        RBus_UInt32  res4:2;
    };
}osd_smooth_toggle_mixer_b2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  k4:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  k3:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  k1:6;
        RBus_UInt32  res4:2;
    };
}osd_smooth_toggle_mixer_b3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  data_empty_b:8;
        RBus_UInt32  data_empty_g:8;
        RBus_UInt32  data_empty_r:8;
        RBus_UInt32  data_empty_a:8;
    };
}osd_smooth_toggle_mixer_osd_split_empty_pixel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  video_line_mask:2;
        RBus_UInt32  osd1_line_mask:2;
        RBus_UInt32  osd2_line_mask:2;
        RBus_UInt32  osd3_line_mask:2;
        RBus_UInt32  res1:24;
    };
}osd_smooth_toggle_mixer_line_mask_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  db_load:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_read:1;
        RBus_UInt32  res1:28;
        RBus_UInt32  link_with_smooth_toggle:1;
    };
}osd_smooth_toggle_osd_security_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_security_en:1;
        RBus_UInt32  res1:23;
        RBus_UInt32  c0_security_en:1;
        RBus_UInt32  c1_security_en:1;
        RBus_UInt32  c2_security_en:1;
        RBus_UInt32  c3_security_en:1;
        RBus_UInt32  res2:4;
    };
}osd_smooth_toggle_osd_security_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mixer_en:1;
        RBus_UInt32  mixero1_en:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  mixer_gamma1_en:1;
        RBus_UInt32  mixer_osd3x3_en:1;
        RBus_UInt32  mixer_gamma2_en:1;
        RBus_UInt32  dynamic_region_en:1;
        RBus_UInt32  osd_gamma_position:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  osd1_gamma_zone_type:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  d1_m0:3;
        RBus_UInt32  d1_m1:3;
        RBus_UInt32  d1_m2:3;
        RBus_UInt32  d1_m3:3;
        RBus_UInt32  dummy1802e604_31_28:4;
    };
}osd_smooth_toggle_osd_security_mixer_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c0_sel:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  c1_sel:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  c2_sel:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  c3_sel:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  alpha_detect_sel:2;
        RBus_UInt32  res5:6;
        RBus_UInt32  c0_plane_alpha_en:1;
        RBus_UInt32  c1_plane_alpha_en:1;
        RBus_UInt32  c2_plane_alpha_en:1;
        RBus_UInt32  c3_plane_alpha_en:1;
        RBus_UInt32  res6:4;
    };
}osd_smooth_toggle_osd_security_mixer_sel_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  sta_l4:4;
        RBus_UInt32  res2:16;
    };
}osd_smooth_toggle_osd_security_line_buffer_sta_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  size_l4:4;
        RBus_UInt32  res2:16;
    };
}osd_smooth_toggle_osd_security_line_buffer_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  osdsr2_switch_to:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  osdsr3_switch_to:2;
        RBus_UInt32  res3:22;
    };
}osd_smooth_toggle_osd_security_gdma_switch_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd1_en:1;
        RBus_UInt32  osd1_rotate:1;
        RBus_UInt32  osd1_rgb_out:1;
        RBus_UInt32  osd1_wi_endian:1;
        RBus_UInt32  osd1_8b:1;
        RBus_UInt32  osd1_4b:1;
        RBus_UInt32  osd1_2b:1;
        RBus_UInt32  osd1_1b:1;
        RBus_UInt32  res1:24;
    };
}osd_smooth_toggle_osd_security_gdma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd1_wi_addr:32;
    };
}osd_smooth_toggle_osd_security_gdma_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd1_h:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  osd1_w:13;
        RBus_UInt32  res2:3;
    };
}osd_smooth_toggle_osd_security_gdma_size_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ver_factor:20;
        RBus_UInt32  ver_tap_num:2;
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  res1:1;
        RBus_UInt32  v_zoom_en:1;
    };
}osd_smooth_toggle_osd_security_sr_1_scaleup_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hor_factor:20;
        RBus_UInt32  res1:2;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  res2:1;
        RBus_UInt32  h_zoom_en:1;
    };
}osd_smooth_toggle_osd_security_sr_1_scaleup_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_width:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  osd_h_sta:13;
        RBus_UInt32  res2:3;
    };
}osd_smooth_toggle_osd_security_sr_1_h_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  osd_height:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  osd_v_sta:12;
        RBus_UInt32  res2:4;
    };
}osd_smooth_toggle_osd_security_sr_1_v_location_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  b1_k4:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  b1_k3:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  b1_k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  b1_k1:6;
        RBus_UInt32  res4:2;
    };
}osd_smooth_toggle_osd_security_mixer_b1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  b2_k4:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  b2_k3:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  b2_k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  b2_k1:6;
        RBus_UInt32  res4:2;
    };
}osd_smooth_toggle_osd_security_mixer_b2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  b3_k4:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  b3_k3:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  b3_k2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  b3_k1:6;
        RBus_UInt32  res4:2;
    };
}osd_smooth_toggle_osd_security_mixer_b3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d2_m0:3;
        RBus_UInt32  res1:1;
        RBus_UInt32  d2_m1:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  d2_m2:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  d2_m3:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  d3_m0:3;
        RBus_UInt32  res5:1;
        RBus_UInt32  d3_m1:3;
        RBus_UInt32  res6:1;
        RBus_UInt32  d3_m2:3;
        RBus_UInt32  res7:1;
        RBus_UInt32  d3_m3:3;
        RBus_UInt32  res8:1;
    };
}osd_smooth_toggle_osd_security_osd_gamma_dynamic_region_d3_d2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  data_empty_b:8;
        RBus_UInt32  data_empty_g:8;
        RBus_UInt32  data_empty_r:8;
        RBus_UInt32  data_empty_a:8;
    };
}osd_smooth_toggle_osd_security_osd_split_empty_pixel_RBUS;




#endif 


#endif 
