/**
* @file rbusC3DLUTReg.h
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2016/6/3
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_C3DLUT_REG_H_
#define _RBUS_C3DLUT_REG_H_

#include "rbusTypes.h"



//  C3DLUT Register Address



#define  C3DLUT_C3DLUT_LUT_CTRL_VADDR                       	(0xb8028a00)
#define  C3DLUT_C3DLUT_LUT_CTRL0_VADDR                      	(0xb8028a04)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_1_VADDR                  	(0xb8028a08)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_2_VADDR                  	(0xb8028a0c)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_3_VADDR                  	(0xb8028a10)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_4_VADDR                  	(0xb8028a14)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_5_VADDR                  	(0xb8028a18)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_6_VADDR                  	(0xb8028a1c)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_7_VADDR                  	(0xb8028a20)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_8_VADDR                  	(0xb8028a24)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_9_VADDR                  	(0xb8028a28)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_10_VADDR                 	(0xb8028a2c)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_11_VADDR                 	(0xb8028a30)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_12_VADDR                 	(0xb8028a34)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_13_VADDR                 	(0xb8028a38)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_14_VADDR                 	(0xb8028a3c)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_15_VADDR                 	(0xb8028a40)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_16_VADDR                 	(0xb8028a44)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_17_VADDR                 	(0xb8028a48)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_18_VADDR                 	(0xb8028a4c)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_19_VADDR                 	(0xb8028a50)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_20_VADDR                 	(0xb8028a54)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_21_VADDR                 	(0xb8028a58)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_22_VADDR                 	(0xb8028a5c)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_23_VADDR                 	(0xb8028a60)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_24_VADDR                 	(0xb8028a64)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_25_VADDR                 	(0xb8028a68)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_26_VADDR                 	(0xb8028a6c)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_27_VADDR                 	(0xb8028a70)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_28_VADDR                 	(0xb8028a74)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_29_VADDR                 	(0xb8028a78)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_30_VADDR                 	(0xb8028a7c)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_31_VADDR                 	(0xb8028a80)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_32_VADDR                 	(0xb8028a84)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_33_VADDR                 	(0xb8028a88)
#define  C3DLUT_C3DLUT_LUT_WR_DATA_34_VADDR                 	(0xb8028a8c)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_1_VADDR                  	(0xb8028a90)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_2_VADDR                  	(0xb8028a94)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_3_VADDR                  	(0xb8028a98)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_4_VADDR                  	(0xb8028a9c)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_5_VADDR                  	(0xb8028aa0)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_6_VADDR                  	(0xb8028aa4)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_7_VADDR                  	(0xb8028aa8)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_8_VADDR                  	(0xb8028aac)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_9_VADDR                  	(0xb8028ab0)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_10_VADDR                 	(0xb8028ab4)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_11_VADDR                 	(0xb8028ab8)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_12_VADDR                 	(0xb8028abc)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_13_VADDR                 	(0xb8028ac0)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_14_VADDR                 	(0xb8028ac4)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_15_VADDR                 	(0xb8028ac8)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_16_VADDR                 	(0xb8028acc)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_17_VADDR                 	(0xb8028ad0)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_18_VADDR                 	(0xb8028ad4)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_19_VADDR                 	(0xb8028ad8)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_20_VADDR                 	(0xb8028adc)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_21_VADDR                 	(0xb8028ae0)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_22_VADDR                 	(0xb8028ae4)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_23_VADDR                 	(0xb8028ae8)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_24_VADDR                 	(0xb8028aec)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_25_VADDR                 	(0xb8028af0)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_26_VADDR                 	(0xb8028af4)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_27_VADDR                 	(0xb8028af8)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_28_VADDR                 	(0xb8028afc)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_29_VADDR                 	(0xb8028b00)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_30_VADDR                 	(0xb8028b04)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_31_VADDR                 	(0xb8028b08)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_32_VADDR                 	(0xb8028b0c)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_33_VADDR                 	(0xb8028b10)
#define  C3DLUT_C3DLUT_LUT_RD_DATA_34_VADDR                 	(0xb8028b14)
#define  C3DLUT_C3DLUT_LUT_MBIST_VADDR                      	(0xb8028b18)
#define  C3DLUT_C3DLUT_DUMMY1_VADDR                         	(0xb8028b1c)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======C3DLUT register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  c3dlut_ctrl:2;
    };
}c3dlut_c3dlut_lut_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  lut_rw_sel:2;
        RBus_UInt32  lut_write_en:1;
        RBus_UInt32  lut_read_en:1;
        RBus_UInt32  res2:17;
        RBus_UInt32  lut_rw_adr:10;
    };
}c3dlut_c3dlut_lut_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_1:16;
        RBus_UInt32  lut_wr_data_d1_1:16;
    };
}c3dlut_c3dlut_lut_wr_data_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_1:16;
    };
}c3dlut_c3dlut_lut_wr_data_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_2:16;
        RBus_UInt32  lut_wr_data_d1_2:16;
    };
}c3dlut_c3dlut_lut_wr_data_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_2:16;
    };
}c3dlut_c3dlut_lut_wr_data_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_3:16;
        RBus_UInt32  lut_wr_data_d1_3:16;
    };
}c3dlut_c3dlut_lut_wr_data_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_3:16;
    };
}c3dlut_c3dlut_lut_wr_data_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_4:16;
        RBus_UInt32  lut_wr_data_d1_4:16;
    };
}c3dlut_c3dlut_lut_wr_data_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_4:16;
    };
}c3dlut_c3dlut_lut_wr_data_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_5:16;
        RBus_UInt32  lut_wr_data_d1_5:16;
    };
}c3dlut_c3dlut_lut_wr_data_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_5:16;
    };
}c3dlut_c3dlut_lut_wr_data_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_6:16;
        RBus_UInt32  lut_wr_data_d1_6:16;
    };
}c3dlut_c3dlut_lut_wr_data_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_6:16;
    };
}c3dlut_c3dlut_lut_wr_data_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_7:16;
        RBus_UInt32  lut_wr_data_d1_7:16;
    };
}c3dlut_c3dlut_lut_wr_data_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_7:16;
    };
}c3dlut_c3dlut_lut_wr_data_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_8:16;
        RBus_UInt32  lut_wr_data_d1_8:16;
    };
}c3dlut_c3dlut_lut_wr_data_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_8:16;
    };
}c3dlut_c3dlut_lut_wr_data_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_9:16;
        RBus_UInt32  lut_wr_data_d1_9:16;
    };
}c3dlut_c3dlut_lut_wr_data_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_9:16;
    };
}c3dlut_c3dlut_lut_wr_data_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_10:16;
        RBus_UInt32  lut_wr_data_d1_10:16;
    };
}c3dlut_c3dlut_lut_wr_data_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_10:16;
    };
}c3dlut_c3dlut_lut_wr_data_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_11:16;
        RBus_UInt32  lut_wr_data_d1_11:16;
    };
}c3dlut_c3dlut_lut_wr_data_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_11:16;
    };
}c3dlut_c3dlut_lut_wr_data_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_12:16;
        RBus_UInt32  lut_wr_data_d1_12:16;
    };
}c3dlut_c3dlut_lut_wr_data_23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_12:16;
    };
}c3dlut_c3dlut_lut_wr_data_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_13:16;
        RBus_UInt32  lut_wr_data_d1_13:16;
    };
}c3dlut_c3dlut_lut_wr_data_25_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_13:16;
    };
}c3dlut_c3dlut_lut_wr_data_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_14:16;
        RBus_UInt32  lut_wr_data_d1_14:16;
    };
}c3dlut_c3dlut_lut_wr_data_27_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_14:16;
    };
}c3dlut_c3dlut_lut_wr_data_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_15:16;
        RBus_UInt32  lut_wr_data_d1_15:16;
    };
}c3dlut_c3dlut_lut_wr_data_29_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_15:16;
    };
}c3dlut_c3dlut_lut_wr_data_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_16:16;
        RBus_UInt32  lut_wr_data_d1_16:16;
    };
}c3dlut_c3dlut_lut_wr_data_31_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_16:16;
    };
}c3dlut_c3dlut_lut_wr_data_32_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d0_17:16;
        RBus_UInt32  lut_wr_data_d1_17:16;
    };
}c3dlut_c3dlut_lut_wr_data_33_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_wr_data_d2_17:16;
    };
}c3dlut_c3dlut_lut_wr_data_34_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_1:16;
        RBus_UInt32  lut_rd_data_d1_1:16;
    };
}c3dlut_c3dlut_lut_rd_data_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_1:16;
    };
}c3dlut_c3dlut_lut_rd_data_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_2:16;
        RBus_UInt32  lut_rd_data_d1_2:16;
    };
}c3dlut_c3dlut_lut_rd_data_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_2:16;
    };
}c3dlut_c3dlut_lut_rd_data_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_3:16;
        RBus_UInt32  lut_rd_data_d1_3:16;
    };
}c3dlut_c3dlut_lut_rd_data_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_3:16;
    };
}c3dlut_c3dlut_lut_rd_data_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_4:16;
        RBus_UInt32  lut_rd_data_d1_4:16;
    };
}c3dlut_c3dlut_lut_rd_data_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_4:16;
    };
}c3dlut_c3dlut_lut_rd_data_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_5:16;
        RBus_UInt32  lut_rd_data_d1_5:16;
    };
}c3dlut_c3dlut_lut_rd_data_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_5:16;
    };
}c3dlut_c3dlut_lut_rd_data_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_6:16;
        RBus_UInt32  lut_rd_data_d1_6:16;
    };
}c3dlut_c3dlut_lut_rd_data_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_6:16;
    };
}c3dlut_c3dlut_lut_rd_data_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_7:16;
        RBus_UInt32  lut_rd_data_d1_7:16;
    };
}c3dlut_c3dlut_lut_rd_data_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_7:16;
    };
}c3dlut_c3dlut_lut_rd_data_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_8:16;
        RBus_UInt32  lut_rd_data_d1_8:16;
    };
}c3dlut_c3dlut_lut_rd_data_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_8:16;
    };
}c3dlut_c3dlut_lut_rd_data_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_9:16;
        RBus_UInt32  lut_rd_data_d1_9:16;
    };
}c3dlut_c3dlut_lut_rd_data_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_9:16;
    };
}c3dlut_c3dlut_lut_rd_data_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_10:16;
        RBus_UInt32  lut_rd_data_d1_10:16;
    };
}c3dlut_c3dlut_lut_rd_data_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_10:16;
    };
}c3dlut_c3dlut_lut_rd_data_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_11:16;
        RBus_UInt32  lut_rd_data_d1_11:16;
    };
}c3dlut_c3dlut_lut_rd_data_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_11:16;
    };
}c3dlut_c3dlut_lut_rd_data_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_12:16;
        RBus_UInt32  lut_rd_data_d1_12:16;
    };
}c3dlut_c3dlut_lut_rd_data_23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_12:16;
    };
}c3dlut_c3dlut_lut_rd_data_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_13:16;
        RBus_UInt32  lut_rd_data_d1_13:16;
    };
}c3dlut_c3dlut_lut_rd_data_25_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_13:16;
    };
}c3dlut_c3dlut_lut_rd_data_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_14:16;
        RBus_UInt32  lut_rd_data_d1_14:16;
    };
}c3dlut_c3dlut_lut_rd_data_27_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_14:16;
    };
}c3dlut_c3dlut_lut_rd_data_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_15:16;
        RBus_UInt32  lut_rd_data_d1_15:16;
    };
}c3dlut_c3dlut_lut_rd_data_29_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_15:16;
    };
}c3dlut_c3dlut_lut_rd_data_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_16:16;
        RBus_UInt32  lut_rd_data_d1_16:16;
    };
}c3dlut_c3dlut_lut_rd_data_31_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_16:16;
    };
}c3dlut_c3dlut_lut_rd_data_32_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d0_17:16;
        RBus_UInt32  lut_rd_data_d1_17:16;
    };
}c3dlut_c3dlut_lut_rd_data_33_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  lut_rd_data_d2_17:16;
    };
}c3dlut_c3dlut_lut_rd_data_34_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d_3d_lut_ls:1;
        RBus_UInt32  d_3d_lut_rme:1;
        RBus_UInt32  d_3d_lut_rm:4;
        RBus_UInt32  res1:10;
        RBus_UInt32  d_3d_lut_bist_fail_7:1;
        RBus_UInt32  d_3d_lut_bist_fail_6:1;
        RBus_UInt32  d_3d_lut_bist_fail_5:1;
        RBus_UInt32  d_3d_lut_bist_fail_4:1;
        RBus_UInt32  d_3d_lut_bist_fail_3:1;
        RBus_UInt32  d_3d_lut_bist_fail_2:1;
        RBus_UInt32  d_3d_lut_bist_fail_1:1;
        RBus_UInt32  d_3d_lut_bist_fail_0:1;
        RBus_UInt32  d_3d_lut_drf_bist_fail_7:1;
        RBus_UInt32  d_3d_lut_drf_bist_fail_6:1;
        RBus_UInt32  d_3d_lut_drf_bist_fail_5:1;
        RBus_UInt32  d_3d_lut_drf_bist_fail_4:1;
        RBus_UInt32  d_3d_lut_drf_bist_fail_3:1;
        RBus_UInt32  d_3d_lut_drf_bist_fail_2:1;
        RBus_UInt32  d_3d_lut_drf_bist_fail_1:1;
        RBus_UInt32  d_3d_lut_drf_bist_fail_0:1;
    };
}c3dlut_c3dlut_lut_mbist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1:32;
    };
}c3dlut_c3dlut_dummy1_RBUS;

#else //apply LITTLE_ENDIAN

//======C3DLUT register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c3dlut_ctrl:2;
        RBus_UInt32  res1:30;
    };
}c3dlut_c3dlut_lut_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rw_adr:10;
        RBus_UInt32  res1:17;
        RBus_UInt32  lut_read_en:1;
        RBus_UInt32  lut_write_en:1;
        RBus_UInt32  lut_rw_sel:2;
        RBus_UInt32  res2:1;
    };
}c3dlut_c3dlut_lut_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_1:16;
        RBus_UInt32  lut_wr_data_d0_1:16;
    };
}c3dlut_c3dlut_lut_wr_data_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_1:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_2:16;
        RBus_UInt32  lut_wr_data_d0_2:16;
    };
}c3dlut_c3dlut_lut_wr_data_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_2:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_3:16;
        RBus_UInt32  lut_wr_data_d0_3:16;
    };
}c3dlut_c3dlut_lut_wr_data_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_3:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_4:16;
        RBus_UInt32  lut_wr_data_d0_4:16;
    };
}c3dlut_c3dlut_lut_wr_data_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_4:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_5:16;
        RBus_UInt32  lut_wr_data_d0_5:16;
    };
}c3dlut_c3dlut_lut_wr_data_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_5:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_6:16;
        RBus_UInt32  lut_wr_data_d0_6:16;
    };
}c3dlut_c3dlut_lut_wr_data_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_6:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_7:16;
        RBus_UInt32  lut_wr_data_d0_7:16;
    };
}c3dlut_c3dlut_lut_wr_data_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_7:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_8:16;
        RBus_UInt32  lut_wr_data_d0_8:16;
    };
}c3dlut_c3dlut_lut_wr_data_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_8:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_9:16;
        RBus_UInt32  lut_wr_data_d0_9:16;
    };
}c3dlut_c3dlut_lut_wr_data_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_9:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_10:16;
        RBus_UInt32  lut_wr_data_d0_10:16;
    };
}c3dlut_c3dlut_lut_wr_data_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_10:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_11:16;
        RBus_UInt32  lut_wr_data_d0_11:16;
    };
}c3dlut_c3dlut_lut_wr_data_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_11:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_12:16;
        RBus_UInt32  lut_wr_data_d0_12:16;
    };
}c3dlut_c3dlut_lut_wr_data_23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_12:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_13:16;
        RBus_UInt32  lut_wr_data_d0_13:16;
    };
}c3dlut_c3dlut_lut_wr_data_25_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_13:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_14:16;
        RBus_UInt32  lut_wr_data_d0_14:16;
    };
}c3dlut_c3dlut_lut_wr_data_27_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_14:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_15:16;
        RBus_UInt32  lut_wr_data_d0_15:16;
    };
}c3dlut_c3dlut_lut_wr_data_29_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_15:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_16:16;
        RBus_UInt32  lut_wr_data_d0_16:16;
    };
}c3dlut_c3dlut_lut_wr_data_31_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_16:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_32_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d1_17:16;
        RBus_UInt32  lut_wr_data_d0_17:16;
    };
}c3dlut_c3dlut_lut_wr_data_33_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_wr_data_d2_17:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_wr_data_34_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_1:16;
        RBus_UInt32  lut_rd_data_d0_1:16;
    };
}c3dlut_c3dlut_lut_rd_data_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_1:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_2:16;
        RBus_UInt32  lut_rd_data_d0_2:16;
    };
}c3dlut_c3dlut_lut_rd_data_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_2:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_3:16;
        RBus_UInt32  lut_rd_data_d0_3:16;
    };
}c3dlut_c3dlut_lut_rd_data_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_3:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_4:16;
        RBus_UInt32  lut_rd_data_d0_4:16;
    };
}c3dlut_c3dlut_lut_rd_data_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_4:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_5:16;
        RBus_UInt32  lut_rd_data_d0_5:16;
    };
}c3dlut_c3dlut_lut_rd_data_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_5:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_6:16;
        RBus_UInt32  lut_rd_data_d0_6:16;
    };
}c3dlut_c3dlut_lut_rd_data_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_6:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_7:16;
        RBus_UInt32  lut_rd_data_d0_7:16;
    };
}c3dlut_c3dlut_lut_rd_data_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_7:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_8:16;
        RBus_UInt32  lut_rd_data_d0_8:16;
    };
}c3dlut_c3dlut_lut_rd_data_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_8:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_9:16;
        RBus_UInt32  lut_rd_data_d0_9:16;
    };
}c3dlut_c3dlut_lut_rd_data_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_9:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_10:16;
        RBus_UInt32  lut_rd_data_d0_10:16;
    };
}c3dlut_c3dlut_lut_rd_data_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_10:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_11:16;
        RBus_UInt32  lut_rd_data_d0_11:16;
    };
}c3dlut_c3dlut_lut_rd_data_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_11:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_12:16;
        RBus_UInt32  lut_rd_data_d0_12:16;
    };
}c3dlut_c3dlut_lut_rd_data_23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_12:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_13:16;
        RBus_UInt32  lut_rd_data_d0_13:16;
    };
}c3dlut_c3dlut_lut_rd_data_25_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_13:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_14:16;
        RBus_UInt32  lut_rd_data_d0_14:16;
    };
}c3dlut_c3dlut_lut_rd_data_27_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_14:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_15:16;
        RBus_UInt32  lut_rd_data_d0_15:16;
    };
}c3dlut_c3dlut_lut_rd_data_29_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_15:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_16:16;
        RBus_UInt32  lut_rd_data_d0_16:16;
    };
}c3dlut_c3dlut_lut_rd_data_31_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_16:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_32_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d1_17:16;
        RBus_UInt32  lut_rd_data_d0_17:16;
    };
}c3dlut_c3dlut_lut_rd_data_33_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lut_rd_data_d2_17:16;
        RBus_UInt32  res1:16;
    };
}c3dlut_c3dlut_lut_rd_data_34_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d_3d_lut_drf_bist_fail_0:1;
        RBus_UInt32  d_3d_lut_drf_bist_fail_1:1;
        RBus_UInt32  d_3d_lut_drf_bist_fail_2:1;
        RBus_UInt32  d_3d_lut_drf_bist_fail_3:1;
        RBus_UInt32  d_3d_lut_drf_bist_fail_4:1;
        RBus_UInt32  d_3d_lut_drf_bist_fail_5:1;
        RBus_UInt32  d_3d_lut_drf_bist_fail_6:1;
        RBus_UInt32  d_3d_lut_drf_bist_fail_7:1;
        RBus_UInt32  d_3d_lut_bist_fail_0:1;
        RBus_UInt32  d_3d_lut_bist_fail_1:1;
        RBus_UInt32  d_3d_lut_bist_fail_2:1;
        RBus_UInt32  d_3d_lut_bist_fail_3:1;
        RBus_UInt32  d_3d_lut_bist_fail_4:1;
        RBus_UInt32  d_3d_lut_bist_fail_5:1;
        RBus_UInt32  d_3d_lut_bist_fail_6:1;
        RBus_UInt32  d_3d_lut_bist_fail_7:1;
        RBus_UInt32  res1:10;
        RBus_UInt32  d_3d_lut_rm:4;
        RBus_UInt32  d_3d_lut_rme:1;
        RBus_UInt32  d_3d_lut_ls:1;
    };
}c3dlut_c3dlut_lut_mbist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1:32;
    };
}c3dlut_c3dlut_dummy1_RBUS;




#endif 


#endif 
