/**
* @file Merlin3-DesignSpec-I-Domain-DeXCXL
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/6/9
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_DE_XCXL_REG_H_
#define _RBUS_DE_XCXL_REG_H_

#include "rbusTypes.h"



//  DE_XCXL Register Address



#define  DE_XCXL_DE_XCXL_CTRL_VADDR                         	(0xb8023900)
#define  DE_XCXL_DE_XCXL_TEMPORAL_STEP_VADDR                	(0xb8023904)
#define  DE_XCXL_DE_XCXL_TEMPORAL_STEP_PAL_VADDR            	(0xb80239e8)
#define  DE_XCXL_DE_XCXL_CLASSIFY_Y_VADDR                   	(0xb8023908)
#define  DE_XCXL_DE_XCXL_CLASSIFY_Y_PAL_VADDR               	(0xb80239ec)
#define  DE_XCXL_DE_XCXL_CLASSIFY_C_VADDR                   	(0xb802390c)
#define  DE_XCXL_DE_XCXL_CLASSIFY_C_PAL_VADDR               	(0xb80239f0)
#define  DE_XCXL_DE_XCXL_BLEND_VADDR                        	(0xb8023910)
#define  DE_XCXL_DE_XCXL_WEIGHT_VADDR                       	(0xb80239fc)
#define  DE_XCXL_DE_XCXL_XL_VADDR                           	(0xb8023914)
#define  DE_XCXL_DE_XCXL_XC_VADDR                           	(0xb8023918)
#define  DE_XCXL_DE_XCXL_XL_PAL_VADDR                       	(0xb80239f4)
#define  DE_XCXL_DE_XCXL_XC_PAL_VADDR                       	(0xb80239f8)
#define  DE_XCXL_FRAME_FORMAT_VADDR                         	(0xb802391c)
#define  DE_XCXL_DATMEMSTARTADD1_S0_VADDR                   	(0xb8023920)
#define  DE_XCXL_DATMEMSTARTADD2_S0_VADDR                   	(0xb8023924)
#define  DE_XCXL_DATMEMSTARTADD3_S0_VADDR                   	(0xb8023928)
#define  DE_XCXL_INFMEMSTARTADD_S0_VADDR                    	(0xb802392c)
#define  DE_XCXL_RDATDMA_SET1_VADDR                         	(0xb8023930)
#define  DE_XCXL_RDATDMA_SET2_VADDR                         	(0xb8023934)
#define  DE_XCXL_WDATDMA_SET_VADDR                          	(0xb8023938)
#define  DE_XCXL_DATDMA_RM_SET_VADDR                        	(0xb802393c)
#define  DE_XCXL_RINFDMA_SET_VADDR                          	(0xb8023940)
#define  DE_XCXL_WINFDMA_SET_VADDR                          	(0xb8023944)
#define  DE_XCXL_INFDMA_RM_SET_VADDR                        	(0xb8023948)
#define  DE_XCXL_DE_XCXL_DMASTATUS_VADDR                    	(0xb802394c)
#define  DE_XCXL_DE_XCXL_WDE_VADDR                          	(0xb8023950)
#define  DE_XCXL_WRRD_BNDADDR1_VADDR                        	(0xb8023954)
#define  DE_XCXL_WRRD_BNDADDR2_VADDR                        	(0xb8023958)
#define  DE_XCXL_WRRD_BNDADDR_STATUS_VADDR                  	(0xb802395c)
#define  DE_XCXL_DATMEMSTARTADD1_ODD_S0_VADDR               	(0xb8023960)
#define  DE_XCXL_DATMEMSTARTADD2_ODD_S0_VADDR               	(0xb8023964)
#define  DE_XCXL_DATMEMSTARTADD3_ODD_S0_VADDR               	(0xb8023968)
#define  DE_XCXL_INFMEMSTARTADD_ODD_S0_VADDR                	(0xb802396c)
#define  DE_XCXL_DE_XCXL_DB_REG_CTL_VADDR                   	(0xb8023970)
#define  DE_XCXL_DMA_MULTI_REQ_SET_VADDR                    	(0xb8023974)
#define  DE_XCXL_DE_XCXL_BIST_FAIL_VADDR                    	(0xb802397c)
#define  DE_XCXL_DE_XCXL_DRF_FAIL_VADDR                     	(0xb8023980)
#define  DE_XCXL_DE_XCXL_BIST_DONE_VADDR                    	(0xb8023984)
#define  DE_XCXL_DE_XCXL_DRF_DONE_VADDR                     	(0xb8023988)
#define  DE_XCXL_DE_XCXL_DRF_PAUSE_VADDR                    	(0xb802398c)
#define  DE_XCXL_DE_XCXL_BIST_RME_VADDR                     	(0xb8023990)
#define  DE_XCXL_DE_XCXL_BIST_RM0_VADDR                     	(0xb8023994)
#define  DE_XCXL_DE_XCXL_BIST_RM1_VADDR                     	(0xb8023998)
#define  DE_XCXL_DATMEMSTARTADD1_S1_VADDR                   	(0xb802399c)
#define  DE_XCXL_DATMEMSTARTADD2_S1_VADDR                   	(0xb80239a0)
#define  DE_XCXL_DATMEMSTARTADD3_S1_VADDR                   	(0xb80239a4)
#define  DE_XCXL_INFMEMSTARTADD_S1_VADDR                    	(0xb80239a8)
#define  DE_XCXL_DATMEMSTARTADD1_ODD_S1_VADDR               	(0xb80239ac)
#define  DE_XCXL_DATMEMSTARTADD2_ODD_S1_VADDR               	(0xb80239b0)
#define  DE_XCXL_DATMEMSTARTADD3_ODD_S1_VADDR               	(0xb80239b4)
#define  DE_XCXL_INFMEMSTARTADD_ODD_S1_VADDR                	(0xb80239b8)
#define  DE_XCXL_DE_XCXL_CRC_ENABLE_VADDR                   	(0xb80239bc)
#define  DE_XCXL_DE_XCXL_CRC_VADDR                          	(0xb80239c0)
#define  DE_XCXL_DE_XCXL_ASYNC_FIFO_VADDR                   	(0xb80239c4)
#define  DE_XCXL_RDMA_NUM_DAT0_VADDR                        	(0xb80239c8)
#define  DE_XCXL_RDMA_NUM_DAT1_VADDR                        	(0xb80239cc)
#define  DE_XCXL_RDMA_NUM_INFO_VADDR                        	(0xb80239d0)
#define  DE_XCXL_WDMA_NUM_DAT_VADDR                         	(0xb80239d4)
#define  DE_XCXL_WDMA_NUM_INFO_VADDR                        	(0xb80239d8)
#define  DE_XCXL_RDMA_NUM_VADDR                             	(0xb80239dc)
#define  DE_XCXL_WDMA_NUM_VADDR                             	(0xb80239e0)
#define  DE_XCXL_DMA_NUM_ERR_VADDR                          	(0xb80239e4)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======DE_XCXL register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vo_pause_en:1;
        RBus_UInt32  res1:22;
        RBus_UInt32  dexc_detect_type:2;
        RBus_UInt32  sm_size_change_hw_detect_en:1;
        RBus_UInt32  dexc_reset:1;
        RBus_UInt32  dexc_spatial_correction_en:1;
        RBus_UInt32  dexc_debug_en:1;
        RBus_UInt32  dexc_debug_mode:2;
        RBus_UInt32  dexc_en:1;
    };
}de_xcxl_de_xcxl_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  dexc_hold_th:6;
        RBus_UInt32  dexc_step_lv1:4;
        RBus_UInt32  dexc_step_lv2:4;
        RBus_UInt32  dexc_step_still:4;
        RBus_UInt32  dexc_step_notxc:4;
    };
}de_xcxl_de_xcxl_temporal_step_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  dexc_hold_th_pal:6;
        RBus_UInt32  dexc_step_lv1_pal:4;
        RBus_UInt32  dexc_step_lv2_pal:4;
        RBus_UInt32  dexc_step_still_pal:4;
        RBus_UInt32  dexc_step_notxc_pal:4;
    };
}de_xcxl_de_xcxl_temporal_step_pal_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  dexc_y_error_th1:10;
        RBus_UInt32  dexc_y_error_th2:10;
        RBus_UInt32  dexc_y_amp_th:10;
    };
}de_xcxl_de_xcxl_classify_y_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  dexc_y_error_th1_pal:10;
        RBus_UInt32  dexc_y_error_th2_pal:10;
        RBus_UInt32  dexc_y_amp_th_pal:10;
    };
}de_xcxl_de_xcxl_classify_y_pal_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  dexc_c_error_th1:10;
        RBus_UInt32  dexc_c_error_th2:10;
        RBus_UInt32  dexc_c_amp_th:10;
    };
}de_xcxl_de_xcxl_classify_c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  dexc_c_error_th1_pal:10;
        RBus_UInt32  dexc_c_error_th2_pal:10;
        RBus_UInt32  dexc_c_amp_th_pal:10;
    };
}de_xcxl_de_xcxl_classify_c_pal_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexc_blending_table_7:4;
        RBus_UInt32  dexc_blending_table_6:4;
        RBus_UInt32  dexc_blending_table_5:4;
        RBus_UInt32  dexc_blending_table_4:4;
        RBus_UInt32  dexc_blending_table_3:4;
        RBus_UInt32  dexc_blending_table_2:4;
        RBus_UInt32  dexc_blending_table_1:4;
        RBus_UInt32  dexc_blending_table_0:4;
    };
}de_xcxl_de_xcxl_blend_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  dexc_count_weighting_th_ntsc:6;
        RBus_UInt32  res2:10;
        RBus_UInt32  dexc_count_weighting_th_pal:6;
    };
}de_xcxl_de_xcxl_weight_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  dexc_xl_count:21;
    };
}de_xcxl_de_xcxl_xl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  dexc_xc_count:21;
    };
}de_xcxl_de_xcxl_xc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  dexc_xl_count_pal:21;
    };
}de_xcxl_de_xcxl_xl_pal_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  dexc_xc_count_pal:21;
    };
}de_xcxl_de_xcxl_xc_pal_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  height:12;
        RBus_UInt32  width:13;
        RBus_UInt32  pixel_bpp:1;
        RBus_UInt32  frame_format:1;
    };
}de_xcxl_frame_format_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  res2:3;
    };
}de_xcxl_datmemstartadd1_s0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s0_dat_mstart_57_29:29;
        RBus_UInt32  res1:3;
    };
}de_xcxl_datmemstartadd2_s0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s0_dat_mstart_28_0:29;
        RBus_UInt32  res1:3;
    };
}de_xcxl_datmemstartadd3_s0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s0_inf_mstart:29;
        RBus_UInt32  res1:3;
    };
}de_xcxl_infmemstartadd_s0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dat_water_r1:8;
        RBus_UInt32  res1:1;
        RBus_UInt32  dat_len_r1:7;
        RBus_UInt32  dat_num_r1:16;
    };
}de_xcxl_rdatdma_set1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dat_water_r2:8;
        RBus_UInt32  res1:1;
        RBus_UInt32  dat_len_r2:7;
        RBus_UInt32  dat_num_r2:16;
    };
}de_xcxl_rdatdma_set2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dat_water_w:8;
        RBus_UInt32  res1:1;
        RBus_UInt32  dat_len_w:7;
        RBus_UInt32  dat_num_w:16;
    };
}de_xcxl_wdatdma_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  wdma_remain_en:1;
        RBus_UInt32  dat_remain_w:7;
        RBus_UInt32  rdma1_remain_en:1;
        RBus_UInt32  dat_remain_r1:7;
        RBus_UInt32  rdma2_remain_en:1;
        RBus_UInt32  dat_remain_r2:7;
    };
}de_xcxl_datdma_rm_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  inf_water_r:8;
        RBus_UInt32  res1:1;
        RBus_UInt32  inf_len_r:7;
        RBus_UInt32  inf_num_r:16;
    };
}de_xcxl_rinfdma_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  inf_water_w:8;
        RBus_UInt32  res1:1;
        RBus_UInt32  inf_len_w:7;
        RBus_UInt32  inf_num_w:16;
    };
}de_xcxl_winfdma_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  inf_remain_w_en:1;
        RBus_UInt32  inf_remain_w:7;
        RBus_UInt32  inf_remain_r_en:1;
        RBus_UInt32  inf_remain_r:7;
    };
}de_xcxl_infdma_rm_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexcxl_fifoerr_ie:1;
        RBus_UInt32  res1:16;
        RBus_UInt32  dexcxl_flag_clr:5;
        RBus_UInt32  dexcxl_ovfl:5;
        RBus_UInt32  dexcxl_unfl:5;
    };
}de_xcxl_de_xcxl_dmastatus_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wd_w_err_intpt_en:1;
        RBus_UInt32  wd_r_err_intpt_en:1;
        RBus_UInt32  dexcxl_vs_reset_en:1;
        RBus_UInt32  res1:25;
        RBus_UInt32  dexcxl_wd_w_en:1;
        RBus_UInt32  dexcxl_wd_r_en:1;
        RBus_UInt32  dexcxl_wd_w_err:1;
        RBus_UInt32  dexcxl_wd_r_err:1;
    };
}de_xcxl_de_xcxl_wde_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexcxl_wrrd_downlimit_adr:29;
        RBus_UInt32  res1:3;
    };
}de_xcxl_wrrd_bndaddr1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexcxl_wrrd_uplimit_adr:29;
        RBus_UInt32  res1:3;
    };
}de_xcxl_wrrd_bndaddr2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:11;
        RBus_UInt32  dexcxl_wrrd_downup_limit_ov_clearstatus:1;
        RBus_UInt32  dexcxl_wr_downlimit_ov:2;
        RBus_UInt32  dexcxl_wr_uplimit_ov:2;
        RBus_UInt32  res2:5;
        RBus_UInt32  dexcxl_rd_downlimit_ov:3;
        RBus_UInt32  res3:5;
        RBus_UInt32  dexcxl_rd_uplimit_ov:3;
    };
}de_xcxl_wrrd_bndaddr_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}de_xcxl_datmemstartadd1_odd_s0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s0_dat_mstart_odd_57_29:29;
        RBus_UInt32  res1:3;
    };
}de_xcxl_datmemstartadd2_odd_s0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s0_dat_mstart_odd_28_0:29;
        RBus_UInt32  res1:3;
    };
}de_xcxl_datmemstartadd3_odd_s0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s0_inf_mstart_odd:29;
        RBus_UInt32  res1:3;
    };
}de_xcxl_infmemstartadd_odd_s0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  db_read:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_apply:1;
    };
}de_xcxl_de_xcxl_db_reg_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dma_info_first:1;
        RBus_UInt32  res1:23;
        RBus_UInt32  rdma_req_num:4;
        RBus_UInt32  wdma_req_num:4;
    };
}de_xcxl_dma_multi_req_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  dexcxl_wdat_bist_fail:2;
        RBus_UInt32  dexcxl_winfo_bist_fail:2;
        RBus_UInt32  dexcxl_rdat1_bist_fail:2;
        RBus_UInt32  dexcxl_rdat2_bist_fail:2;
        RBus_UInt32  dexcxl_rinfo_bist_fail:2;
    };
}de_xcxl_de_xcxl_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  dexcxl_wdat_drf_fail:2;
        RBus_UInt32  dexcxl_winfo_drf_fail:2;
        RBus_UInt32  dexcxl_rdat1_drf_fail:2;
        RBus_UInt32  dexcxl_rdat2_drf_fail:2;
        RBus_UInt32  dexcxl_rinfo_drf_fail:2;
    };
}de_xcxl_de_xcxl_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  dexcxl_wdat_bist_done:1;
        RBus_UInt32  dexcxl_winfo_bist_done:1;
        RBus_UInt32  dexcxl_rdat1_bist_done:1;
        RBus_UInt32  dexcxl_rdat2_bist_done:1;
        RBus_UInt32  dexcxl_rinfo_bist_done:1;
    };
}de_xcxl_de_xcxl_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  dexcxl_wdat_drf_done:1;
        RBus_UInt32  dexcxl_winfo_drf_done:1;
        RBus_UInt32  dexcxl_rdat1_drf_done:1;
        RBus_UInt32  dexcxl_rdat2_drf_done:1;
        RBus_UInt32  dexcxl_rinfo_drf_done:1;
    };
}de_xcxl_de_xcxl_drf_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  dexcxl_wdat_drf_pause:1;
        RBus_UInt32  dexcxl_winfo_drf_pause:1;
        RBus_UInt32  dexcxl_rdat1_drf_pause:1;
        RBus_UInt32  dexcxl_rdat2_drf_pause:1;
        RBus_UInt32  dexcxl_rinfo_drf_pause:1;
    };
}de_xcxl_de_xcxl_drf_pause_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  dexcxl_dma_wdat_rme:2;
        RBus_UInt32  dexcxl_dma_winfo_rme:2;
        RBus_UInt32  dexcxl_dma_rdat1_rme:2;
        RBus_UInt32  dexcxl_dma_rdat2_rme:2;
        RBus_UInt32  dexcxl_dma_rinfo_rme:2;
    };
}de_xcxl_de_xcxl_bist_rme_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  dexcxl_dma_rdat1_rm:8;
        RBus_UInt32  dexcxl_dma_rdat2_rm:8;
        RBus_UInt32  dexcxl_dma_rinfo_rm:8;
    };
}de_xcxl_de_xcxl_bist_rm0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  dexcxl_dma_wdat_rm:8;
        RBus_UInt32  dexcxl_dma_winfo_rm:8;
    };
}de_xcxl_de_xcxl_bist_rm1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  res2:3;
    };
}de_xcxl_datmemstartadd1_s1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_dat_mstart_57_29:29;
        RBus_UInt32  res1:3;
    };
}de_xcxl_datmemstartadd2_s1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_dat_mstart_28_0:29;
        RBus_UInt32  res1:3;
    };
}de_xcxl_datmemstartadd3_s1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_inf_mstart:29;
        RBus_UInt32  res1:3;
    };
}de_xcxl_infmemstartadd_s1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}de_xcxl_datmemstartadd1_odd_s1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_dat_mstart_odd_57_29:29;
        RBus_UInt32  res1:3;
    };
}de_xcxl_datmemstartadd2_odd_s1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_dat_mstart_odd_28_0:29;
        RBus_UInt32  res1:3;
    };
}de_xcxl_datmemstartadd3_odd_s1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  s1_inf_mstart_odd:29;
        RBus_UInt32  res1:3;
    };
}de_xcxl_infmemstartadd_odd_s1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  crc_en:1;
    };
}de_xcxl_de_xcxl_crc_enable_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_result:32;
    };
}de_xcxl_de_xcxl_crc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  afifoerr_ie:1;
        RBus_UInt32  res1:16;
        RBus_UInt32  afifoerr_clr:5;
        RBus_UInt32  afifo_ovfl:5;
        RBus_UInt32  afifo_unfl:5;
    };
}de_xcxl_de_xcxl_async_fifo_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rdma_req_num_dat0:16;
        RBus_UInt32  rdma_dat_num_dat0:16;
    };
}de_xcxl_rdma_num_dat0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rdma_req_num_dat1:16;
        RBus_UInt32  rdma_dat_num_dat1:16;
    };
}de_xcxl_rdma_num_dat1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rdma_req_num_info:16;
        RBus_UInt32  rdma_dat_num_info:16;
    };
}de_xcxl_rdma_num_info_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wdma_req_num_dat:16;
        RBus_UInt32  wdma_dat_num_dat:16;
    };
}de_xcxl_wdma_num_dat_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wdma_req_num_info:16;
        RBus_UInt32  wdma_dat_num_info:16;
    };
}de_xcxl_wdma_num_info_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rdma_req_num:16;
        RBus_UInt32  rdma_dat_num:16;
    };
}de_xcxl_rdma_num_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wdma_req_num:16;
        RBus_UInt32  wdma_dat_num:16;
    };
}de_xcxl_wdma_num_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  rdma_req_num_dat0_err_en:1;
        RBus_UInt32  rdma_dat_num_dat0_err_en:1;
        RBus_UInt32  rdma_req_num_dat1_err_en:1;
        RBus_UInt32  rdma_dat_num_dat1_err_en:1;
        RBus_UInt32  rdma_req_num_info_err_en:1;
        RBus_UInt32  rdma_dat_num_info_err_en:1;
        RBus_UInt32  wdma_req_num_dat_err_en:1;
        RBus_UInt32  wdma_dat_num_dat_err_en:1;
        RBus_UInt32  wdma_req_num_info_err_en:1;
        RBus_UInt32  wdma_dat_num_info_err_en:1;
        RBus_UInt32  rdma_req_num_err_en:1;
        RBus_UInt32  rdma_dat_num_err_en:1;
        RBus_UInt32  wdma_req_num_err_en:1;
        RBus_UInt32  wdma_dat_num_err_en:1;
    };
}de_xcxl_dma_num_err_RBUS;

#else //apply LITTLE_ENDIAN

//======DE_XCXL register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexc_en:1;
        RBus_UInt32  dexc_debug_mode:2;
        RBus_UInt32  dexc_debug_en:1;
        RBus_UInt32  dexc_spatial_correction_en:1;
        RBus_UInt32  dexc_reset:1;
        RBus_UInt32  sm_size_change_hw_detect_en:1;
        RBus_UInt32  dexc_detect_type:2;
        RBus_UInt32  res1:22;
        RBus_UInt32  vo_pause_en:1;
    };
}de_xcxl_de_xcxl_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexc_step_notxc:4;
        RBus_UInt32  dexc_step_still:4;
        RBus_UInt32  dexc_step_lv2:4;
        RBus_UInt32  dexc_step_lv1:4;
        RBus_UInt32  dexc_hold_th:6;
        RBus_UInt32  res1:10;
    };
}de_xcxl_de_xcxl_temporal_step_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexc_step_notxc_pal:4;
        RBus_UInt32  dexc_step_still_pal:4;
        RBus_UInt32  dexc_step_lv2_pal:4;
        RBus_UInt32  dexc_step_lv1_pal:4;
        RBus_UInt32  dexc_hold_th_pal:6;
        RBus_UInt32  res1:10;
    };
}de_xcxl_de_xcxl_temporal_step_pal_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexc_y_amp_th:10;
        RBus_UInt32  dexc_y_error_th2:10;
        RBus_UInt32  dexc_y_error_th1:10;
        RBus_UInt32  res1:2;
    };
}de_xcxl_de_xcxl_classify_y_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexc_y_amp_th_pal:10;
        RBus_UInt32  dexc_y_error_th2_pal:10;
        RBus_UInt32  dexc_y_error_th1_pal:10;
        RBus_UInt32  res1:2;
    };
}de_xcxl_de_xcxl_classify_y_pal_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexc_c_amp_th:10;
        RBus_UInt32  dexc_c_error_th2:10;
        RBus_UInt32  dexc_c_error_th1:10;
        RBus_UInt32  res1:2;
    };
}de_xcxl_de_xcxl_classify_c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexc_c_amp_th_pal:10;
        RBus_UInt32  dexc_c_error_th2_pal:10;
        RBus_UInt32  dexc_c_error_th1_pal:10;
        RBus_UInt32  res1:2;
    };
}de_xcxl_de_xcxl_classify_c_pal_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexc_blending_table_0:4;
        RBus_UInt32  dexc_blending_table_1:4;
        RBus_UInt32  dexc_blending_table_2:4;
        RBus_UInt32  dexc_blending_table_3:4;
        RBus_UInt32  dexc_blending_table_4:4;
        RBus_UInt32  dexc_blending_table_5:4;
        RBus_UInt32  dexc_blending_table_6:4;
        RBus_UInt32  dexc_blending_table_7:4;
    };
}de_xcxl_de_xcxl_blend_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexc_count_weighting_th_pal:6;
        RBus_UInt32  res1:10;
        RBus_UInt32  dexc_count_weighting_th_ntsc:6;
        RBus_UInt32  res2:10;
    };
}de_xcxl_de_xcxl_weight_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexc_xl_count:21;
        RBus_UInt32  res1:11;
    };
}de_xcxl_de_xcxl_xl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexc_xc_count:21;
        RBus_UInt32  res1:11;
    };
}de_xcxl_de_xcxl_xc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexc_xl_count_pal:21;
        RBus_UInt32  res1:11;
    };
}de_xcxl_de_xcxl_xl_pal_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexc_xc_count_pal:21;
        RBus_UInt32  res1:11;
    };
}de_xcxl_de_xcxl_xc_pal_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  frame_format:1;
        RBus_UInt32  pixel_bpp:1;
        RBus_UInt32  width:13;
        RBus_UInt32  height:12;
        RBus_UInt32  res1:5;
    };
}de_xcxl_frame_format_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  res2:29;
    };
}de_xcxl_datmemstartadd1_s0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s0_dat_mstart_57_29:29;
    };
}de_xcxl_datmemstartadd2_s0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s0_dat_mstart_28_0:29;
    };
}de_xcxl_datmemstartadd3_s0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s0_inf_mstart:29;
    };
}de_xcxl_infmemstartadd_s0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dat_num_r1:16;
        RBus_UInt32  dat_len_r1:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  dat_water_r1:8;
    };
}de_xcxl_rdatdma_set1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dat_num_r2:16;
        RBus_UInt32  dat_len_r2:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  dat_water_r2:8;
    };
}de_xcxl_rdatdma_set2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dat_num_w:16;
        RBus_UInt32  dat_len_w:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  dat_water_w:8;
    };
}de_xcxl_wdatdma_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dat_remain_r2:7;
        RBus_UInt32  rdma2_remain_en:1;
        RBus_UInt32  dat_remain_r1:7;
        RBus_UInt32  rdma1_remain_en:1;
        RBus_UInt32  dat_remain_w:7;
        RBus_UInt32  wdma_remain_en:1;
        RBus_UInt32  res1:8;
    };
}de_xcxl_datdma_rm_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  inf_num_r:16;
        RBus_UInt32  inf_len_r:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  inf_water_r:8;
    };
}de_xcxl_rinfdma_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  inf_num_w:16;
        RBus_UInt32  inf_len_w:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  inf_water_w:8;
    };
}de_xcxl_winfdma_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  inf_remain_r:7;
        RBus_UInt32  inf_remain_r_en:1;
        RBus_UInt32  inf_remain_w:7;
        RBus_UInt32  inf_remain_w_en:1;
        RBus_UInt32  res1:16;
    };
}de_xcxl_infdma_rm_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexcxl_unfl:5;
        RBus_UInt32  dexcxl_ovfl:5;
        RBus_UInt32  dexcxl_flag_clr:5;
        RBus_UInt32  res1:16;
        RBus_UInt32  dexcxl_fifoerr_ie:1;
    };
}de_xcxl_de_xcxl_dmastatus_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexcxl_wd_r_err:1;
        RBus_UInt32  dexcxl_wd_w_err:1;
        RBus_UInt32  dexcxl_wd_r_en:1;
        RBus_UInt32  dexcxl_wd_w_en:1;
        RBus_UInt32  res1:25;
        RBus_UInt32  dexcxl_vs_reset_en:1;
        RBus_UInt32  wd_r_err_intpt_en:1;
        RBus_UInt32  wd_w_err_intpt_en:1;
    };
}de_xcxl_de_xcxl_wde_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  dexcxl_wrrd_downlimit_adr:29;
    };
}de_xcxl_wrrd_bndaddr1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  dexcxl_wrrd_uplimit_adr:29;
    };
}de_xcxl_wrrd_bndaddr2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexcxl_rd_uplimit_ov:3;
        RBus_UInt32  res1:5;
        RBus_UInt32  dexcxl_rd_downlimit_ov:3;
        RBus_UInt32  res2:5;
        RBus_UInt32  dexcxl_wr_uplimit_ov:2;
        RBus_UInt32  dexcxl_wr_downlimit_ov:2;
        RBus_UInt32  dexcxl_wrrd_downup_limit_ov_clearstatus:1;
        RBus_UInt32  res3:11;
    };
}de_xcxl_wrrd_bndaddr_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}de_xcxl_datmemstartadd1_odd_s0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s0_dat_mstart_odd_57_29:29;
    };
}de_xcxl_datmemstartadd2_odd_s0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s0_dat_mstart_odd_28_0:29;
    };
}de_xcxl_datmemstartadd3_odd_s0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s0_inf_mstart_odd:29;
    };
}de_xcxl_infmemstartadd_odd_s0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  db_apply:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_read:1;
        RBus_UInt32  res1:29;
    };
}de_xcxl_de_xcxl_db_reg_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wdma_req_num:4;
        RBus_UInt32  rdma_req_num:4;
        RBus_UInt32  res1:23;
        RBus_UInt32  dma_info_first:1;
    };
}de_xcxl_dma_multi_req_set_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexcxl_rinfo_bist_fail:2;
        RBus_UInt32  dexcxl_rdat2_bist_fail:2;
        RBus_UInt32  dexcxl_rdat1_bist_fail:2;
        RBus_UInt32  dexcxl_winfo_bist_fail:2;
        RBus_UInt32  dexcxl_wdat_bist_fail:2;
        RBus_UInt32  res1:22;
    };
}de_xcxl_de_xcxl_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexcxl_rinfo_drf_fail:2;
        RBus_UInt32  dexcxl_rdat2_drf_fail:2;
        RBus_UInt32  dexcxl_rdat1_drf_fail:2;
        RBus_UInt32  dexcxl_winfo_drf_fail:2;
        RBus_UInt32  dexcxl_wdat_drf_fail:2;
        RBus_UInt32  res1:22;
    };
}de_xcxl_de_xcxl_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexcxl_rinfo_bist_done:1;
        RBus_UInt32  dexcxl_rdat2_bist_done:1;
        RBus_UInt32  dexcxl_rdat1_bist_done:1;
        RBus_UInt32  dexcxl_winfo_bist_done:1;
        RBus_UInt32  dexcxl_wdat_bist_done:1;
        RBus_UInt32  res1:27;
    };
}de_xcxl_de_xcxl_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexcxl_rinfo_drf_done:1;
        RBus_UInt32  dexcxl_rdat2_drf_done:1;
        RBus_UInt32  dexcxl_rdat1_drf_done:1;
        RBus_UInt32  dexcxl_winfo_drf_done:1;
        RBus_UInt32  dexcxl_wdat_drf_done:1;
        RBus_UInt32  res1:27;
    };
}de_xcxl_de_xcxl_drf_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexcxl_rinfo_drf_pause:1;
        RBus_UInt32  dexcxl_rdat2_drf_pause:1;
        RBus_UInt32  dexcxl_rdat1_drf_pause:1;
        RBus_UInt32  dexcxl_winfo_drf_pause:1;
        RBus_UInt32  dexcxl_wdat_drf_pause:1;
        RBus_UInt32  res1:27;
    };
}de_xcxl_de_xcxl_drf_pause_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexcxl_dma_rinfo_rme:2;
        RBus_UInt32  dexcxl_dma_rdat2_rme:2;
        RBus_UInt32  dexcxl_dma_rdat1_rme:2;
        RBus_UInt32  dexcxl_dma_winfo_rme:2;
        RBus_UInt32  dexcxl_dma_wdat_rme:2;
        RBus_UInt32  res1:22;
    };
}de_xcxl_de_xcxl_bist_rme_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexcxl_dma_rinfo_rm:8;
        RBus_UInt32  dexcxl_dma_rdat2_rm:8;
        RBus_UInt32  dexcxl_dma_rdat1_rm:8;
        RBus_UInt32  res1:8;
    };
}de_xcxl_de_xcxl_bist_rm0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dexcxl_dma_winfo_rm:8;
        RBus_UInt32  dexcxl_dma_wdat_rm:8;
        RBus_UInt32  res1:16;
    };
}de_xcxl_de_xcxl_bist_rm1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  res2:29;
    };
}de_xcxl_datmemstartadd1_s1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s1_dat_mstart_57_29:29;
    };
}de_xcxl_datmemstartadd2_s1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s1_dat_mstart_28_0:29;
    };
}de_xcxl_datmemstartadd3_s1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s1_inf_mstart:29;
    };
}de_xcxl_infmemstartadd_s1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}de_xcxl_datmemstartadd1_odd_s1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s1_dat_mstart_odd_57_29:29;
    };
}de_xcxl_datmemstartadd2_odd_s1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s1_dat_mstart_odd_28_0:29;
    };
}de_xcxl_datmemstartadd3_odd_s1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  s1_inf_mstart_odd:29;
    };
}de_xcxl_infmemstartadd_odd_s1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_en:1;
        RBus_UInt32  res1:31;
    };
}de_xcxl_de_xcxl_crc_enable_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_result:32;
    };
}de_xcxl_de_xcxl_crc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  afifo_unfl:5;
        RBus_UInt32  afifo_ovfl:5;
        RBus_UInt32  afifoerr_clr:5;
        RBus_UInt32  res1:16;
        RBus_UInt32  afifoerr_ie:1;
    };
}de_xcxl_de_xcxl_async_fifo_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rdma_dat_num_dat0:16;
        RBus_UInt32  rdma_req_num_dat0:16;
    };
}de_xcxl_rdma_num_dat0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rdma_dat_num_dat1:16;
        RBus_UInt32  rdma_req_num_dat1:16;
    };
}de_xcxl_rdma_num_dat1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rdma_dat_num_info:16;
        RBus_UInt32  rdma_req_num_info:16;
    };
}de_xcxl_rdma_num_info_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wdma_dat_num_dat:16;
        RBus_UInt32  wdma_req_num_dat:16;
    };
}de_xcxl_wdma_num_dat_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wdma_dat_num_info:16;
        RBus_UInt32  wdma_req_num_info:16;
    };
}de_xcxl_wdma_num_info_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rdma_dat_num:16;
        RBus_UInt32  rdma_req_num:16;
    };
}de_xcxl_rdma_num_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wdma_dat_num:16;
        RBus_UInt32  wdma_req_num:16;
    };
}de_xcxl_wdma_num_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wdma_dat_num_err_en:1;
        RBus_UInt32  wdma_req_num_err_en:1;
        RBus_UInt32  rdma_dat_num_err_en:1;
        RBus_UInt32  rdma_req_num_err_en:1;
        RBus_UInt32  wdma_dat_num_info_err_en:1;
        RBus_UInt32  wdma_req_num_info_err_en:1;
        RBus_UInt32  wdma_dat_num_dat_err_en:1;
        RBus_UInt32  wdma_req_num_dat_err_en:1;
        RBus_UInt32  rdma_dat_num_info_err_en:1;
        RBus_UInt32  rdma_req_num_info_err_en:1;
        RBus_UInt32  rdma_dat_num_dat1_err_en:1;
        RBus_UInt32  rdma_req_num_dat1_err_en:1;
        RBus_UInt32  rdma_dat_num_dat0_err_en:1;
        RBus_UInt32  rdma_req_num_dat0_err_en:1;
        RBus_UInt32  res1:18;
    };
}de_xcxl_dma_num_err_RBUS;




#endif 


#endif 
