/**
* @file Merlin3-DesignSpec-D_Domain_FCIC_TOP
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/6/9
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_FCIC_TOP_REG_H_
#define _RBUS_FCIC_TOP_REG_H_

#include "rbusTypes.h"



//  FCIC_TOP Register Address



#define  FCIC_TOP_FCIC_CTRL_1_VADDR                         	(0xb802a7b0)
#define  FCIC_TOP_FCIC_CRTL_2_VADDR                         	(0xb802a7b4)
#define  FCIC_TOP_FCIC_FLASH_IF_1_VADDR                     	(0xb802a7b8)
#define  FCIC_TOP_FCIC_FLASH_IF_2_VADDR                     	(0xb802a7bc)
#define  FCIC_TOP_FCIC_FLASH_IF_3_VADDR                     	(0xb802a7c0)
#define  FCIC_TOP_FCIC_FLASH_IF_4_VADDR                     	(0xb802a7c4)
#define  FCIC_TOP_FCIC_FLASH_IF_5_VADDR                     	(0xb802a7c8)
#define  FCIC_TOP_FCIC_FLASH_DBG_1_VADDR                    	(0xb802a7cc)
#define  FCIC_TOP_FCIC_FLASH_DBG_2_VADDR                    	(0xb802a7d0)
#define  FCIC_TOP_FCIC_FLASH_DBG_3_VADDR                    	(0xb802a7d4)
#define  FCIC_TOP_FCIC_IO_REG_VADDR                         	(0xb802a7f0)
#define  FCIC_TOP_FCIC_BISR_1_VADDR                         	(0xb802a7d8)
#define  FCIC_TOP_FCIC_BISR_2_VADDR                         	(0xb802a7dc)
#define  FCIC_TOP_FCIC_BIST_1_VADDR                         	(0xb802a7e0)
#define  FCIC_TOP_FCIC_BIST_2_VADDR                         	(0xb802a7e4)
#define  FCIC_TOP_FCIC_BIST_3_VADDR                         	(0xb802a7e8)
#define  FCIC_TOP_FCIC_BIST_4_VADDR                         	(0xb802a7ec)
#define  FCIC_TOP_FCIC_REG000_VADDR                         	(0xb802a500)
#define  FCIC_TOP_FCIC_REG004_VADDR                         	(0xb802a504)
#define  FCIC_TOP_FCIC_REG008_VADDR                         	(0xb802a508)
#define  FCIC_TOP_FCIC_REG00C_VADDR                         	(0xb802a50c)
#define  FCIC_TOP_FCIC_REG010_VADDR                         	(0xb802a510)
#define  FCIC_TOP_FCIC_REG014_VADDR                         	(0xb802a514)
#define  FCIC_TOP_FCIC_REG018_VADDR                         	(0xb802a518)
#define  FCIC_TOP_FCIC_REG01C_VADDR                         	(0xb802a51c)
#define  FCIC_TOP_FCIC_REG020_VADDR                         	(0xb802a520)
#define  FCIC_TOP_FCIC_REG024_VADDR                         	(0xb802a524)
#define  FCIC_TOP_FCIC_REG028_VADDR                         	(0xb802a528)
#define  FCIC_TOP_FCIC_REG02C_VADDR                         	(0xb802a52c)
#define  FCIC_TOP_FCIC_REG030_VADDR                         	(0xb802a530)
#define  FCIC_TOP_FCIC_REG034_VADDR                         	(0xb802a534)
#define  FCIC_TOP_FCIC_REG038_VADDR                         	(0xb802a538)
#define  FCIC_TOP_FCIC_REG03C_VADDR                         	(0xb802a53c)
#define  FCIC_TOP_FCIC_REG040_VADDR                         	(0xb802a540)
#define  FCIC_TOP_FCIC_REG044_VADDR                         	(0xb802a544)
#define  FCIC_TOP_FCIC_REG048_VADDR                         	(0xb802a548)
#define  FCIC_TOP_FCIC_REG04C_VADDR                         	(0xb802a54c)
#define  FCIC_TOP_FCIC_REG050_VADDR                         	(0xb802a550)
#define  FCIC_TOP_FCIC_REG054_VADDR                         	(0xb802a554)
#define  FCIC_TOP_FCIC_REG058_VADDR                         	(0xb802a558)
#define  FCIC_TOP_FCIC_REG05C_VADDR                         	(0xb802a55c)
#define  FCIC_TOP_FCIC_REG060_VADDR                         	(0xb802a560)
#define  FCIC_TOP_FCIC_REG064_VADDR                         	(0xb802a564)
#define  FCIC_TOP_FCIC_REG068_VADDR                         	(0xb802a568)
#define  FCIC_TOP_FCIC_REG06C_VADDR                         	(0xb802a56c)
#define  FCIC_TOP_FCIC_REG070_VADDR                         	(0xb802a570)
#define  FCIC_TOP_FCIC_REG074_VADDR                         	(0xb802a574)
#define  FCIC_TOP_FCIC_REG078_VADDR                         	(0xb802a578)
#define  FCIC_TOP_FCIC_REG07C_VADDR                         	(0xb802a57c)
#define  FCIC_TOP_FCIC_REG080_VADDR                         	(0xb802a580)
#define  FCIC_TOP_FCIC_REG084_VADDR                         	(0xb802a584)
#define  FCIC_TOP_FCIC_REG088_VADDR                         	(0xb802a588)
#define  FCIC_TOP_FCIC_REG08C_VADDR                         	(0xb802a58c)
#define  FCIC_TOP_FCIC_REG090_VADDR                         	(0xb802a590)
#define  FCIC_TOP_FCIC_REG094_VADDR                         	(0xb802a594)
#define  FCIC_TOP_FCIC_REG098_VADDR                         	(0xb802a598)
#define  FCIC_TOP_FCIC_REG09C_VADDR                         	(0xb802a59c)
#define  FCIC_TOP_FCIC_REG0A0_VADDR                         	(0xb802a5a0)
#define  FCIC_TOP_FCIC_REG0A4_VADDR                         	(0xb802a5a4)
#define  FCIC_TOP_FCIC_REG0A8_VADDR                         	(0xb802a5a8)
#define  FCIC_TOP_FCIC_REG0AC_VADDR                         	(0xb802a5ac)
#define  FCIC_TOP_FCIC_REG0B0_VADDR                         	(0xb802a5b0)
#define  FCIC_TOP_FCIC_REG0B4_VADDR                         	(0xb802a5b4)
#define  FCIC_TOP_FCIC_REG0B8_VADDR                         	(0xb802a5b8)
#define  FCIC_TOP_FCIC_REG0BC_VADDR                         	(0xb802a5bc)
#define  FCIC_TOP_FCIC_REG0C0_VADDR                         	(0xb802a5c0)
#define  FCIC_TOP_FCIC_REG0C4_VADDR                         	(0xb802a5c4)
#define  FCIC_TOP_FCIC_REG0C8_VADDR                         	(0xb802a5c8)
#define  FCIC_TOP_FCIC_REG0CC_VADDR                         	(0xb802a5cc)
#define  FCIC_TOP_FCIC_REG0D0_VADDR                         	(0xb802a5d0)
#define  FCIC_TOP_FCIC_REG0D4_VADDR                         	(0xb802a5d4)
#define  FCIC_TOP_FCIC_REG0D8_VADDR                         	(0xb802a5d8)
#define  FCIC_TOP_FCIC_REG0DC_VADDR                         	(0xb802a5dc)
#define  FCIC_TOP_FCIC_REG0E0_VADDR                         	(0xb802a5e0)
#define  FCIC_TOP_FCIC_REG0E4_VADDR                         	(0xb802a5e4)
#define  FCIC_TOP_FCIC_REG0E8_VADDR                         	(0xb802a5e8)
#define  FCIC_TOP_FCIC_REG0EC_VADDR                         	(0xb802a5ec)
#define  FCIC_TOP_FCIC_REG0F0_VADDR                         	(0xb802a5f0)
#define  FCIC_TOP_FCIC_REG0F4_VADDR                         	(0xb802a5f4)
#define  FCIC_TOP_FCIC_REG0F8_VADDR                         	(0xb802a5f8)
#define  FCIC_TOP_FCIC_REG0FC_VADDR                         	(0xb802a5fc)
#define  FCIC_TOP_FCIC_REG100_VADDR                         	(0xb802a600)
#define  FCIC_TOP_FCIC_REG104_VADDR                         	(0xb802a604)
#define  FCIC_TOP_FCIC_REG108_VADDR                         	(0xb802a608)
#define  FCIC_TOP_FCIC_REG10C_VADDR                         	(0xb802a60c)
#define  FCIC_TOP_FCIC_REG110_VADDR                         	(0xb802a610)
#define  FCIC_TOP_FCIC_REG114_VADDR                         	(0xb802a614)
#define  FCIC_TOP_FCIC_REG118_VADDR                         	(0xb802a618)
#define  FCIC_TOP_FCIC_REG11C_VADDR                         	(0xb802a61c)
#define  FCIC_TOP_FCIC_REG120_VADDR                         	(0xb802a620)
#define  FCIC_TOP_FCIC_REG124_VADDR                         	(0xb802a624)
#define  FCIC_TOP_FCIC_REG128_VADDR                         	(0xb802a628)
#define  FCIC_TOP_FCIC_REG12C_VADDR                         	(0xb802a62c)
#define  FCIC_TOP_FCIC_REG130_VADDR                         	(0xb802a630)
#define  FCIC_TOP_FCIC_REG134_VADDR                         	(0xb802a634)
#define  FCIC_TOP_FCIC_REG138_VADDR                         	(0xb802a638)
#define  FCIC_TOP_FCIC_REG13C_VADDR                         	(0xb802a63c)
#define  FCIC_TOP_FCIC_REG140_VADDR                         	(0xb802a640)
#define  FCIC_TOP_FCIC_REG144_VADDR                         	(0xb802a644)
#define  FCIC_TOP_FCIC_REG148_VADDR                         	(0xb802a648)
#define  FCIC_TOP_FCIC_REG14C_VADDR                         	(0xb802a64c)
#define  FCIC_TOP_FCIC_REG150_VADDR                         	(0xb802a650)
#define  FCIC_TOP_FCIC_REG154_VADDR                         	(0xb802a654)
#define  FCIC_TOP_FCIC_REG158_VADDR                         	(0xb802a658)
#define  FCIC_TOP_FCIC_REG15C_VADDR                         	(0xb802a65c)
#define  FCIC_TOP_FCIC_REG160_VADDR                         	(0xb802a660)
#define  FCIC_TOP_FCIC_REG164_VADDR                         	(0xb802a664)
#define  FCIC_TOP_FCIC_REG168_VADDR                         	(0xb802a668)
#define  FCIC_TOP_FCIC_REG16C_VADDR                         	(0xb802a66c)
#define  FCIC_TOP_FCIC_REG170_VADDR                         	(0xb802a670)
#define  FCIC_TOP_FCIC_REG174_VADDR                         	(0xb802a674)
#define  FCIC_TOP_FCIC_REG178_VADDR                         	(0xb802a678)
#define  FCIC_TOP_FCIC_REG17C_VADDR                         	(0xb802a67c)
#define  FCIC_TOP_FCIC_REG180_VADDR                         	(0xb802a680)
#define  FCIC_TOP_FCIC_REG184_VADDR                         	(0xb802a684)
#define  FCIC_TOP_FCIC_REG188_VADDR                         	(0xb802a688)
#define  FCIC_TOP_FCIC_REG18C_VADDR                         	(0xb802a68c)
#define  FCIC_TOP_FCIC_REG190_VADDR                         	(0xb802a690)
#define  FCIC_TOP_FCIC_REG194_VADDR                         	(0xb802a694)
#define  FCIC_TOP_FCIC_REG198_VADDR                         	(0xb802a698)
#define  FCIC_TOP_FCIC_REG19C_VADDR                         	(0xb802a69c)
#define  FCIC_TOP_FCIC_REG1A0_VADDR                         	(0xb802a6a0)
#define  FCIC_TOP_FCIC_REG1A4_VADDR                         	(0xb802a6a4)
#define  FCIC_TOP_FCIC_REG1A8_VADDR                         	(0xb802a6a8)
#define  FCIC_TOP_FCIC_REG1AC_VADDR                         	(0xb802a6ac)
#define  FCIC_TOP_FCIC_REG1B0_VADDR                         	(0xb802a6b0)
#define  FCIC_TOP_FCIC_REG1B4_VADDR                         	(0xb802a6b4)
#define  FCIC_TOP_FCIC_REG1B8_VADDR                         	(0xb802a6b8)
#define  FCIC_TOP_FCIC_REG1BC_VADDR                         	(0xb802a6bc)
#define  FCIC_TOP_FCIC_REG1C0_VADDR                         	(0xb802a6c0)
#define  FCIC_TOP_FCIC_REG1C4_VADDR                         	(0xb802a6c4)
#define  FCIC_TOP_FCIC_REG1C8_VADDR                         	(0xb802a6c8)
#define  FCIC_TOP_FCIC_REG1CC_VADDR                         	(0xb802a6cc)
#define  FCIC_TOP_FCIC_REG1D0_VADDR                         	(0xb802a6d0)
#define  FCIC_TOP_FCIC_REG1D4_VADDR                         	(0xb802a6d4)
#define  FCIC_TOP_FCIC_REG1D8_VADDR                         	(0xb802a6d8)
#define  FCIC_TOP_FCIC_REG1DC_VADDR                         	(0xb802a6dc)
#define  FCIC_TOP_FCIC_REG1E0_VADDR                         	(0xb802a6e0)
#define  FCIC_TOP_FCIC_REG1E4_VADDR                         	(0xb802a6e4)
#define  FCIC_TOP_FCIC_REG1E8_VADDR                         	(0xb802a6e8)
#define  FCIC_TOP_FCIC_REG1EC_VADDR                         	(0xb802a6ec)
#define  FCIC_TOP_FCIC_REG1F0_VADDR                         	(0xb802a6f0)
#define  FCIC_TOP_FCIC_REG1F4_VADDR                         	(0xb802a6f4)
#define  FCIC_TOP_FCIC_REG1F8_VADDR                         	(0xb802a6f8)
#define  FCIC_TOP_FCIC_REG1FC_VADDR                         	(0xb802a6fc)
#define  FCIC_TOP_FCIC_REG200_VADDR                         	(0xb802a700)
#define  FCIC_TOP_FCIC_REG204_VADDR                         	(0xb802a704)
#define  FCIC_TOP_FCIC_REG208_VADDR                         	(0xb802a708)
#define  FCIC_TOP_FCIC_REG20C_VADDR                         	(0xb802a70c)
#define  FCIC_TOP_FCIC_REG210_VADDR                         	(0xb802a710)
#define  FCIC_TOP_FCIC_REG214_VADDR                         	(0xb802a714)
#define  FCIC_TOP_FCIC_REG218_VADDR                         	(0xb802a718)
#define  FCIC_TOP_FCIC_REG21C_VADDR                         	(0xb802a71c)
#define  FCIC_TOP_FCIC_REG220_VADDR                         	(0xb802a720)
#define  FCIC_TOP_FCIC_REG224_VADDR                         	(0xb802a724)
#define  FCIC_TOP_FCIC_REG228_VADDR                         	(0xb802a728)
#define  FCIC_TOP_FCIC_REG22C_VADDR                         	(0xb802a72c)
#define  FCIC_TOP_FCIC_REG230_VADDR                         	(0xb802a730)
#define  FCIC_TOP_FCIC_REG234_VADDR                         	(0xb802a734)
#define  FCIC_TOP_FCIC_REG238_VADDR                         	(0xb802a738)
#define  FCIC_TOP_FCIC_REG23C_VADDR                         	(0xb802a73c)
#define  FCIC_TOP_FCIC_REG240_VADDR                         	(0xb802a740)
#define  FCIC_TOP_FCIC_REG244_VADDR                         	(0xb802a744)
#define  FCIC_TOP_FCIC_REG248_VADDR                         	(0xb802a748)
#define  FCIC_TOP_FCIC_REG24C_VADDR                         	(0xb802a74c)
#define  FCIC_TOP_FCIC_REG250_VADDR                         	(0xb802a750)
#define  FCIC_TOP_FCIC_REG254_VADDR                         	(0xb802a754)
#define  FCIC_TOP_FCIC_REG258_VADDR                         	(0xb802a758)
#define  FCIC_TOP_FCIC_REG25C_VADDR                         	(0xb802a75c)
#define  FCIC_TOP_FCIC_REG260_VADDR                         	(0xb802a760)
#define  FCIC_TOP_FCIC_REG264_VADDR                         	(0xb802a764)
#define  FCIC_TOP_FCIC_REG268_VADDR                         	(0xb802a768)
#define  FCIC_TOP_FCIC_REG26C_VADDR                         	(0xb802a76c)
#define  FCIC_TOP_FCIC_REG270_VADDR                         	(0xb802a770)
#define  FCIC_TOP_FCIC_REG274_VADDR                         	(0xb802a774)
#define  FCIC_TOP_FCIC_REG278_VADDR                         	(0xb802a778)
#define  FCIC_TOP_FCIC_REG27C_VADDR                         	(0xb802a77c)
#define  FCIC_TOP_FCIC_REG280_VADDR                         	(0xb802a780)
#define  FCIC_TOP_FCIC_REG284_VADDR                         	(0xb802a784)
#define  FCIC_TOP_FCIC_REG288_VADDR                         	(0xb802a788)
#define  FCIC_TOP_FCIC_REG28C_VADDR                         	(0xb802a78c)
#define  FCIC_TOP_FCIC_REG290_VADDR                         	(0xb802a790)
#define  FCIC_TOP_FCIC_REG294_VADDR                         	(0xb802a794)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======FCIC_TOP register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802a7b0_31_1:31;
        RBus_UInt32  fcic_rbus_if_enable:1;
    };
}fcic_top_fcic_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  user_timing_sel:1;
        RBus_UInt32  auto_detect_result:1;
        RBus_UInt32  auto_detect_en:1;
        RBus_UInt32  multi_access_en:1;
        RBus_UInt32  flash_write_enable:1;
    };
}fcic_top_fcic_crtl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  flash_done:1;
        RBus_UInt32  flash_addr:17;
    };
}fcic_top_fcic_flash_if_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  flash_data_0:32;
    };
}fcic_top_fcic_flash_if_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  flash_data_1:32;
    };
}fcic_top_fcic_flash_if_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  flash_data_2:32;
    };
}fcic_top_fcic_flash_if_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  flash_data_3:32;
    };
}fcic_top_fcic_flash_if_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  rd_addr:15;
        RBus_UInt32  res2:8;
        RBus_UInt32  flash_dbg_rd_en:1;
        RBus_UInt32  template_data_mux:3;
        RBus_UInt32  flash_dbg_mux:4;
    };
}fcic_top_fcic_flash_dbg_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  flash_rdata_0:32;
    };
}fcic_top_fcic_flash_dbg_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  flash_rdata_1:32;
    };
}fcic_top_fcic_flash_dbg_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  mplus_en:1;
        RBus_UInt32  fcic_io_reg_en:1;
        RBus_UInt32  color_4:2;
        RBus_UInt32  color_3:2;
        RBus_UInt32  color_2:2;
        RBus_UInt32  color_1:2;
    };
}fcic_top_fcic_io_reg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic1_ls:1;
        RBus_UInt32  fcic2_ls:1;
        RBus_UInt32  res1:15;
        RBus_UInt32  fcic1_rme_0:1;
        RBus_UInt32  fcic1_rme_1:1;
        RBus_UInt32  fcic2_rme_0:1;
        RBus_UInt32  fcic1_rm_0:4;
        RBus_UInt32  fcic1_rm_1:4;
        RBus_UInt32  fcic2_rm_0:4;
    };
}fcic_top_fcic_bisr_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic1_bisr_repaired:1;
        RBus_UInt32  fcic2_bisr_repaired:1;
        RBus_UInt32  res1:24;
        RBus_UInt32  fcic1_bisr_fail_0:1;
        RBus_UInt32  fcic1_bisr_fail_1:1;
        RBus_UInt32  fcic2_bisr_fail_0:1;
        RBus_UInt32  fcic1_drf_bisr_fail_0:1;
        RBus_UInt32  fcic1_drf_bisr_fail_1:1;
        RBus_UInt32  fcic2_drf_bisr_fail_0:1;
    };
}fcic_top_fcic_bisr_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic3_ls:1;
        RBus_UInt32  fcic4_ls:1;
        RBus_UInt32  fcic5_ls:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  fcic3_rme_0:1;
        RBus_UInt32  fcic3_rme_1:1;
        RBus_UInt32  fcic3_rme_2:1;
        RBus_UInt32  fcic3_rme_3:1;
        RBus_UInt32  fcic3_rme_4:1;
        RBus_UInt32  fcic3_rme_5:1;
        RBus_UInt32  fcic4_rme_0:1;
        RBus_UInt32  fcic4_rme_1:1;
        RBus_UInt32  fcic4_rme_2:1;
        RBus_UInt32  fcic4_rme_3:1;
        RBus_UInt32  fcic4_rme_4:1;
        RBus_UInt32  fcic4_rme_5:1;
        RBus_UInt32  fcic4_rme_6:1;
        RBus_UInt32  fcic4_rme_7:1;
        RBus_UInt32  fcic5_rme_0:1;
    };
}fcic_top_fcic_bist_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic3_rm_0:4;
        RBus_UInt32  fcic3_rm_1:4;
        RBus_UInt32  fcic3_rm_2:4;
        RBus_UInt32  fcic3_rm_3:4;
        RBus_UInt32  fcic3_rm_4:4;
        RBus_UInt32  fcic3_rm_5:4;
        RBus_UInt32  fcic4_rm_0:4;
        RBus_UInt32  fcic4_rm_1:4;
    };
}fcic_top_fcic_bist_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic4_rm_2:4;
        RBus_UInt32  fcic4_rm_3:4;
        RBus_UInt32  fcic4_rm_4:4;
        RBus_UInt32  fcic4_rm_5:4;
        RBus_UInt32  fcic4_rm_6:4;
        RBus_UInt32  fcic4_rm_7:4;
        RBus_UInt32  fcic5_rm_0:4;
        RBus_UInt32  fcic5_testrwm_0:1;
        RBus_UInt32  res1:3;
    };
}fcic_top_fcic_bist_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  fcic3_bist_fail_0:1;
        RBus_UInt32  fcic3_bist_fail_1:1;
        RBus_UInt32  fcic3_bist_fail_2:1;
        RBus_UInt32  fcic3_bist_fail_3:1;
        RBus_UInt32  fcic3_bist_fail_4:1;
        RBus_UInt32  fcic3_bist_fail_5:1;
        RBus_UInt32  fcic4_bist_fail_0:1;
        RBus_UInt32  fcic4_bist_fail_1:1;
        RBus_UInt32  fcic4_bist_fail_2:1;
        RBus_UInt32  fcic4_bist_fail_3:1;
        RBus_UInt32  fcic4_bist_fail_4:1;
        RBus_UInt32  fcic4_bist_fail_5:1;
        RBus_UInt32  fcic4_bist_fail_6:1;
        RBus_UInt32  fcic4_bist_fail_7:1;
        RBus_UInt32  fcic5_bist_fail_0:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  fcic3_drf_bist_fail_0:1;
        RBus_UInt32  fcic3_drf_bist_fail_1:1;
        RBus_UInt32  fcic3_drf_bist_fail_2:1;
        RBus_UInt32  fcic3_drf_bist_fail_3:1;
        RBus_UInt32  fcic3_drf_bist_fail_4:1;
        RBus_UInt32  fcic3_drf_bist_fail_5:1;
        RBus_UInt32  fcic4_drf_bist_fail_0:1;
        RBus_UInt32  fcic4_drf_bist_fail_1:1;
        RBus_UInt32  fcic4_drf_bist_fail_2:1;
        RBus_UInt32  fcic4_drf_bist_fail_3:1;
        RBus_UInt32  fcic4_drf_bist_fail_4:1;
        RBus_UInt32  fcic4_drf_bist_fail_5:1;
        RBus_UInt32  fcic4_drf_bist_fail_6:1;
        RBus_UInt32  fcic4_drf_bist_fail_7:1;
        RBus_UInt32  fcic5_drf_bist_fail_0:1;
    };
}fcic_top_fcic_bist_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg000:8;
        RBus_UInt32  fcic_reg001:8;
        RBus_UInt32  fcic_reg002:8;
        RBus_UInt32  fcic_reg003:8;
    };
}fcic_top_fcic_reg000_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg004:8;
        RBus_UInt32  fcic_reg005:8;
        RBus_UInt32  fcic_reg006:8;
        RBus_UInt32  fcic_reg007:8;
    };
}fcic_top_fcic_reg004_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg008:8;
        RBus_UInt32  fcic_reg009:8;
        RBus_UInt32  fcic_reg010:8;
        RBus_UInt32  fcic_reg011:8;
    };
}fcic_top_fcic_reg008_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg012:8;
        RBus_UInt32  fcic_reg013:8;
        RBus_UInt32  fcic_reg014:8;
        RBus_UInt32  fcic_reg015:8;
    };
}fcic_top_fcic_reg00c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg016:8;
        RBus_UInt32  fcic_reg017:8;
        RBus_UInt32  fcic_reg018:8;
        RBus_UInt32  fcic_reg019:8;
    };
}fcic_top_fcic_reg010_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg020:8;
        RBus_UInt32  fcic_reg021:8;
        RBus_UInt32  fcic_reg022:8;
        RBus_UInt32  fcic_reg023:8;
    };
}fcic_top_fcic_reg014_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg024:8;
        RBus_UInt32  fcic_reg025:8;
        RBus_UInt32  fcic_reg026:8;
        RBus_UInt32  fcic_reg027:8;
    };
}fcic_top_fcic_reg018_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg028:8;
        RBus_UInt32  fcic_reg029:8;
        RBus_UInt32  fcic_reg030:8;
        RBus_UInt32  fcic_reg031:8;
    };
}fcic_top_fcic_reg01c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg032:8;
        RBus_UInt32  fcic_reg033:8;
        RBus_UInt32  fcic_reg034:8;
        RBus_UInt32  fcic_reg035:8;
    };
}fcic_top_fcic_reg020_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg036:8;
        RBus_UInt32  fcic_reg037:8;
        RBus_UInt32  fcic_reg038:8;
        RBus_UInt32  fcic_reg039:8;
    };
}fcic_top_fcic_reg024_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg040:8;
        RBus_UInt32  fcic_reg041:8;
        RBus_UInt32  fcic_reg042:8;
        RBus_UInt32  fcic_reg043:8;
    };
}fcic_top_fcic_reg028_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg044:8;
        RBus_UInt32  fcic_reg045:8;
        RBus_UInt32  fcic_reg046:8;
        RBus_UInt32  fcic_reg047:8;
    };
}fcic_top_fcic_reg02c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg048:8;
        RBus_UInt32  fcic_reg049:8;
        RBus_UInt32  fcic_reg050:8;
        RBus_UInt32  fcic_reg051:8;
    };
}fcic_top_fcic_reg030_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg052:8;
        RBus_UInt32  fcic_reg053:8;
        RBus_UInt32  fcic_reg054:8;
        RBus_UInt32  fcic_reg055:8;
    };
}fcic_top_fcic_reg034_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg056:8;
        RBus_UInt32  fcic_reg057:8;
        RBus_UInt32  fcic_reg058:8;
        RBus_UInt32  fcic_reg059:8;
    };
}fcic_top_fcic_reg038_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg060:8;
        RBus_UInt32  fcic_reg061:8;
        RBus_UInt32  fcic_reg062:8;
        RBus_UInt32  fcic_reg063:8;
    };
}fcic_top_fcic_reg03c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg064:8;
        RBus_UInt32  fcic_reg065:8;
        RBus_UInt32  fcic_reg066:8;
        RBus_UInt32  fcic_reg067:8;
    };
}fcic_top_fcic_reg040_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg068:8;
        RBus_UInt32  fcic_reg069:8;
        RBus_UInt32  fcic_reg070:8;
        RBus_UInt32  fcic_reg071:8;
    };
}fcic_top_fcic_reg044_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg072:8;
        RBus_UInt32  fcic_reg073:8;
        RBus_UInt32  fcic_reg074:8;
        RBus_UInt32  fcic_reg075:8;
    };
}fcic_top_fcic_reg048_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg076:8;
        RBus_UInt32  fcic_reg077:8;
        RBus_UInt32  fcic_reg078:8;
        RBus_UInt32  fcic_reg079:8;
    };
}fcic_top_fcic_reg04c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg080:8;
        RBus_UInt32  fcic_reg081:8;
        RBus_UInt32  fcic_reg082:8;
        RBus_UInt32  fcic_reg083:8;
    };
}fcic_top_fcic_reg050_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg084:8;
        RBus_UInt32  fcic_reg085:8;
        RBus_UInt32  fcic_reg086:8;
        RBus_UInt32  fcic_reg087:8;
    };
}fcic_top_fcic_reg054_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg088:8;
        RBus_UInt32  fcic_reg089:8;
        RBus_UInt32  fcic_reg090:8;
        RBus_UInt32  fcic_reg091:8;
    };
}fcic_top_fcic_reg058_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg092:8;
        RBus_UInt32  fcic_reg093:8;
        RBus_UInt32  fcic_reg094:8;
        RBus_UInt32  fcic_reg095:8;
    };
}fcic_top_fcic_reg05c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg096:8;
        RBus_UInt32  fcic_reg097:8;
        RBus_UInt32  fcic_reg098:8;
        RBus_UInt32  fcic_reg099:8;
    };
}fcic_top_fcic_reg060_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg100:8;
        RBus_UInt32  fcic_reg101:8;
        RBus_UInt32  fcic_reg102:8;
        RBus_UInt32  fcic_reg103:8;
    };
}fcic_top_fcic_reg064_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg104:8;
        RBus_UInt32  fcic_reg105:8;
        RBus_UInt32  fcic_reg106:8;
        RBus_UInt32  fcic_reg107:8;
    };
}fcic_top_fcic_reg068_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg108:8;
        RBus_UInt32  fcic_reg109:8;
        RBus_UInt32  fcic_reg110:8;
        RBus_UInt32  fcic_reg111:8;
    };
}fcic_top_fcic_reg06c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg112:8;
        RBus_UInt32  fcic_reg113:8;
        RBus_UInt32  fcic_reg114:8;
        RBus_UInt32  fcic_reg115:8;
    };
}fcic_top_fcic_reg070_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg116:8;
        RBus_UInt32  fcic_reg117:8;
        RBus_UInt32  fcic_reg118:8;
        RBus_UInt32  fcic_reg119:8;
    };
}fcic_top_fcic_reg074_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg120:8;
        RBus_UInt32  fcic_reg121:8;
        RBus_UInt32  fcic_reg122:8;
        RBus_UInt32  fcic_reg123:8;
    };
}fcic_top_fcic_reg078_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg124:8;
        RBus_UInt32  fcic_reg125:8;
        RBus_UInt32  fcic_reg126:8;
        RBus_UInt32  fcic_reg127:8;
    };
}fcic_top_fcic_reg07c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg128:8;
        RBus_UInt32  fcic_reg129:8;
        RBus_UInt32  fcic_reg130:8;
        RBus_UInt32  fcic_reg131:8;
    };
}fcic_top_fcic_reg080_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg132:8;
        RBus_UInt32  fcic_reg133:8;
        RBus_UInt32  fcic_reg134:8;
        RBus_UInt32  fcic_reg135:8;
    };
}fcic_top_fcic_reg084_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg136:8;
        RBus_UInt32  fcic_reg137:8;
        RBus_UInt32  fcic_reg138:8;
        RBus_UInt32  fcic_reg139:8;
    };
}fcic_top_fcic_reg088_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg140:8;
        RBus_UInt32  fcic_reg141:8;
        RBus_UInt32  fcic_reg142:8;
        RBus_UInt32  fcic_reg143:8;
    };
}fcic_top_fcic_reg08c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg144:8;
        RBus_UInt32  fcic_reg145:8;
        RBus_UInt32  fcic_reg146:8;
        RBus_UInt32  fcic_reg147:8;
    };
}fcic_top_fcic_reg090_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg148:8;
        RBus_UInt32  fcic_reg149:8;
        RBus_UInt32  fcic_reg150:8;
        RBus_UInt32  fcic_reg151:8;
    };
}fcic_top_fcic_reg094_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg152:8;
        RBus_UInt32  fcic_reg153:8;
        RBus_UInt32  fcic_reg154:8;
        RBus_UInt32  fcic_reg155:8;
    };
}fcic_top_fcic_reg098_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg156:8;
        RBus_UInt32  fcic_reg157:8;
        RBus_UInt32  fcic_reg158:8;
        RBus_UInt32  fcic_reg159:8;
    };
}fcic_top_fcic_reg09c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg160:8;
        RBus_UInt32  fcic_reg161:8;
        RBus_UInt32  fcic_reg162:8;
        RBus_UInt32  fcic_reg163:8;
    };
}fcic_top_fcic_reg0a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg164:8;
        RBus_UInt32  fcic_reg165:8;
        RBus_UInt32  fcic_reg166:8;
        RBus_UInt32  fcic_reg167:8;
    };
}fcic_top_fcic_reg0a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg168:8;
        RBus_UInt32  fcic_reg169:8;
        RBus_UInt32  fcic_reg170:8;
        RBus_UInt32  fcic_reg171:8;
    };
}fcic_top_fcic_reg0a8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg172:8;
        RBus_UInt32  fcic_reg173:8;
        RBus_UInt32  fcic_reg174:8;
        RBus_UInt32  fcic_reg175:8;
    };
}fcic_top_fcic_reg0ac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg176:8;
        RBus_UInt32  fcic_reg177:8;
        RBus_UInt32  fcic_reg178:8;
        RBus_UInt32  fcic_reg179:8;
    };
}fcic_top_fcic_reg0b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg180:8;
        RBus_UInt32  fcic_reg181:8;
        RBus_UInt32  fcic_reg182:8;
        RBus_UInt32  fcic_reg183:8;
    };
}fcic_top_fcic_reg0b4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg184:8;
        RBus_UInt32  fcic_reg185:8;
        RBus_UInt32  fcic_reg186:8;
        RBus_UInt32  fcic_reg187:8;
    };
}fcic_top_fcic_reg0b8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg188:8;
        RBus_UInt32  fcic_reg189:8;
        RBus_UInt32  fcic_reg190:8;
        RBus_UInt32  fcic_reg191:8;
    };
}fcic_top_fcic_reg0bc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg192:8;
        RBus_UInt32  fcic_reg193:8;
        RBus_UInt32  fcic_reg194:8;
        RBus_UInt32  fcic_reg195:8;
    };
}fcic_top_fcic_reg0c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg196:8;
        RBus_UInt32  fcic_reg197:8;
        RBus_UInt32  fcic_reg198:8;
        RBus_UInt32  fcic_reg199:8;
    };
}fcic_top_fcic_reg0c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg200:8;
        RBus_UInt32  fcic_reg201:8;
        RBus_UInt32  fcic_reg202:8;
        RBus_UInt32  fcic_reg203:8;
    };
}fcic_top_fcic_reg0c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg204:8;
        RBus_UInt32  fcic_reg205:8;
        RBus_UInt32  fcic_reg206:8;
        RBus_UInt32  fcic_reg207:8;
    };
}fcic_top_fcic_reg0cc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg208:8;
        RBus_UInt32  fcic_reg209:8;
        RBus_UInt32  fcic_reg210:8;
        RBus_UInt32  fcic_reg211:8;
    };
}fcic_top_fcic_reg0d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg212:8;
        RBus_UInt32  fcic_reg213:8;
        RBus_UInt32  fcic_reg214:8;
        RBus_UInt32  fcic_reg215:8;
    };
}fcic_top_fcic_reg0d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg216:8;
        RBus_UInt32  fcic_reg217:8;
        RBus_UInt32  fcic_reg218:8;
        RBus_UInt32  fcic_reg219:8;
    };
}fcic_top_fcic_reg0d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg220:8;
        RBus_UInt32  fcic_reg221:8;
        RBus_UInt32  fcic_reg222:8;
        RBus_UInt32  fcic_reg223:8;
    };
}fcic_top_fcic_reg0dc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg224:8;
        RBus_UInt32  fcic_reg225:8;
        RBus_UInt32  fcic_reg226:8;
        RBus_UInt32  fcic_reg227:8;
    };
}fcic_top_fcic_reg0e0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg228:8;
        RBus_UInt32  fcic_reg229:8;
        RBus_UInt32  fcic_reg230:8;
        RBus_UInt32  fcic_reg231:8;
    };
}fcic_top_fcic_reg0e4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg232:8;
        RBus_UInt32  fcic_reg233:8;
        RBus_UInt32  fcic_reg234:8;
        RBus_UInt32  fcic_reg235:8;
    };
}fcic_top_fcic_reg0e8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg236:8;
        RBus_UInt32  fcic_reg237:8;
        RBus_UInt32  fcic_reg238:8;
        RBus_UInt32  fcic_reg239:8;
    };
}fcic_top_fcic_reg0ec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg240:8;
        RBus_UInt32  fcic_reg241:8;
        RBus_UInt32  fcic_reg242:8;
        RBus_UInt32  fcic_reg243:8;
    };
}fcic_top_fcic_reg0f0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg244:8;
        RBus_UInt32  fcic_reg245:8;
        RBus_UInt32  fcic_reg246:8;
        RBus_UInt32  fcic_reg247:8;
    };
}fcic_top_fcic_reg0f4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg248:8;
        RBus_UInt32  fcic_reg249:8;
        RBus_UInt32  fcic_reg250:8;
        RBus_UInt32  fcic_reg251:8;
    };
}fcic_top_fcic_reg0f8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg252:8;
        RBus_UInt32  fcic_reg253:8;
        RBus_UInt32  fcic_reg254:8;
        RBus_UInt32  fcic_reg255:8;
    };
}fcic_top_fcic_reg0fc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg256:8;
        RBus_UInt32  fcic_reg257:8;
        RBus_UInt32  fcic_reg258:8;
        RBus_UInt32  fcic_reg259:8;
    };
}fcic_top_fcic_reg100_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg260:8;
        RBus_UInt32  fcic_reg261:8;
        RBus_UInt32  fcic_reg262:8;
        RBus_UInt32  fcic_reg263:8;
    };
}fcic_top_fcic_reg104_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg264:8;
        RBus_UInt32  fcic_reg265:8;
        RBus_UInt32  fcic_reg266:8;
        RBus_UInt32  fcic_reg267:8;
    };
}fcic_top_fcic_reg108_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg268:8;
        RBus_UInt32  fcic_reg269:8;
        RBus_UInt32  fcic_reg270:8;
        RBus_UInt32  fcic_reg271:8;
    };
}fcic_top_fcic_reg10c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg272:8;
        RBus_UInt32  fcic_reg273:8;
        RBus_UInt32  fcic_reg274:8;
        RBus_UInt32  fcic_reg275:8;
    };
}fcic_top_fcic_reg110_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg276:8;
        RBus_UInt32  fcic_reg277:8;
        RBus_UInt32  fcic_reg278:8;
        RBus_UInt32  fcic_reg279:8;
    };
}fcic_top_fcic_reg114_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg280:8;
        RBus_UInt32  fcic_reg281:8;
        RBus_UInt32  fcic_reg282:8;
        RBus_UInt32  fcic_reg283:8;
    };
}fcic_top_fcic_reg118_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg284:8;
        RBus_UInt32  fcic_reg285:8;
        RBus_UInt32  fcic_reg286:8;
        RBus_UInt32  fcic_reg287:8;
    };
}fcic_top_fcic_reg11c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg288:8;
        RBus_UInt32  fcic_reg289:8;
        RBus_UInt32  fcic_reg290:8;
        RBus_UInt32  fcic_reg291:8;
    };
}fcic_top_fcic_reg120_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg292:8;
        RBus_UInt32  fcic_reg293:8;
        RBus_UInt32  fcic_reg294:8;
        RBus_UInt32  fcic_reg295:8;
    };
}fcic_top_fcic_reg124_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg296:8;
        RBus_UInt32  fcic_reg297:8;
        RBus_UInt32  fcic_reg298:8;
        RBus_UInt32  fcic_reg299:8;
    };
}fcic_top_fcic_reg128_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg300:8;
        RBus_UInt32  fcic_reg301:8;
        RBus_UInt32  fcic_reg302:8;
        RBus_UInt32  fcic_reg303:8;
    };
}fcic_top_fcic_reg12c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg304:8;
        RBus_UInt32  fcic_reg305:8;
        RBus_UInt32  fcic_reg306:8;
        RBus_UInt32  fcic_reg307:8;
    };
}fcic_top_fcic_reg130_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg308:8;
        RBus_UInt32  fcic_reg309:8;
        RBus_UInt32  fcic_reg310:8;
        RBus_UInt32  fcic_reg311:8;
    };
}fcic_top_fcic_reg134_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg312:8;
        RBus_UInt32  fcic_reg313:8;
        RBus_UInt32  fcic_reg314:8;
        RBus_UInt32  fcic_reg315:8;
    };
}fcic_top_fcic_reg138_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg316:8;
        RBus_UInt32  fcic_reg317:8;
        RBus_UInt32  fcic_reg318:8;
        RBus_UInt32  fcic_reg319:8;
    };
}fcic_top_fcic_reg13c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg320:8;
        RBus_UInt32  fcic_reg321:8;
        RBus_UInt32  fcic_reg322:8;
        RBus_UInt32  fcic_reg323:8;
    };
}fcic_top_fcic_reg140_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg324:8;
        RBus_UInt32  fcic_reg325:8;
        RBus_UInt32  fcic_reg326:8;
        RBus_UInt32  fcic_reg327:8;
    };
}fcic_top_fcic_reg144_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg328:8;
        RBus_UInt32  fcic_reg329:8;
        RBus_UInt32  fcic_reg330:8;
        RBus_UInt32  fcic_reg331:8;
    };
}fcic_top_fcic_reg148_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg332:8;
        RBus_UInt32  fcic_reg333:8;
        RBus_UInt32  fcic_reg334:8;
        RBus_UInt32  fcic_reg335:8;
    };
}fcic_top_fcic_reg14c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg336:8;
        RBus_UInt32  fcic_reg337:8;
        RBus_UInt32  fcic_reg338:8;
        RBus_UInt32  fcic_reg339:8;
    };
}fcic_top_fcic_reg150_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg340:8;
        RBus_UInt32  fcic_reg341:8;
        RBus_UInt32  fcic_reg342:8;
        RBus_UInt32  fcic_reg343:8;
    };
}fcic_top_fcic_reg154_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg344:8;
        RBus_UInt32  fcic_reg345:8;
        RBus_UInt32  fcic_reg346:8;
        RBus_UInt32  fcic_reg347:8;
    };
}fcic_top_fcic_reg158_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg348:8;
        RBus_UInt32  fcic_reg349:8;
        RBus_UInt32  fcic_reg350:8;
        RBus_UInt32  fcic_reg351:8;
    };
}fcic_top_fcic_reg15c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg352:8;
        RBus_UInt32  fcic_reg353:8;
        RBus_UInt32  fcic_reg354:8;
        RBus_UInt32  fcic_reg355:8;
    };
}fcic_top_fcic_reg160_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg356:8;
        RBus_UInt32  fcic_reg357:8;
        RBus_UInt32  fcic_reg358:8;
        RBus_UInt32  fcic_reg359:8;
    };
}fcic_top_fcic_reg164_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg360:8;
        RBus_UInt32  fcic_reg361:8;
        RBus_UInt32  fcic_reg362:8;
        RBus_UInt32  fcic_reg363:8;
    };
}fcic_top_fcic_reg168_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg364:8;
        RBus_UInt32  fcic_reg365:8;
        RBus_UInt32  fcic_reg366:8;
        RBus_UInt32  fcic_reg367:8;
    };
}fcic_top_fcic_reg16c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg368:8;
        RBus_UInt32  fcic_reg369:8;
        RBus_UInt32  fcic_reg370:8;
        RBus_UInt32  fcic_reg371:8;
    };
}fcic_top_fcic_reg170_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg372:8;
        RBus_UInt32  fcic_reg373:8;
        RBus_UInt32  fcic_reg374:8;
        RBus_UInt32  fcic_reg375:8;
    };
}fcic_top_fcic_reg174_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg376:8;
        RBus_UInt32  fcic_reg377:8;
        RBus_UInt32  fcic_reg378:8;
        RBus_UInt32  fcic_reg379:8;
    };
}fcic_top_fcic_reg178_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg380:8;
        RBus_UInt32  fcic_reg381:8;
        RBus_UInt32  fcic_reg382:8;
        RBus_UInt32  fcic_reg383:8;
    };
}fcic_top_fcic_reg17c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg384:8;
        RBus_UInt32  fcic_reg385:8;
        RBus_UInt32  fcic_reg386:8;
        RBus_UInt32  fcic_reg387:8;
    };
}fcic_top_fcic_reg180_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg388:8;
        RBus_UInt32  fcic_reg389:8;
        RBus_UInt32  fcic_reg390:8;
        RBus_UInt32  fcic_reg391:8;
    };
}fcic_top_fcic_reg184_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg392:8;
        RBus_UInt32  fcic_reg393:8;
        RBus_UInt32  fcic_reg394:8;
        RBus_UInt32  fcic_reg395:8;
    };
}fcic_top_fcic_reg188_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg396:8;
        RBus_UInt32  fcic_reg397:8;
        RBus_UInt32  fcic_reg398:8;
        RBus_UInt32  fcic_reg399:8;
    };
}fcic_top_fcic_reg18c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg400:8;
        RBus_UInt32  fcic_reg401:8;
        RBus_UInt32  fcic_reg402:8;
        RBus_UInt32  fcic_reg403:8;
    };
}fcic_top_fcic_reg190_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg404:8;
        RBus_UInt32  fcic_reg405:8;
        RBus_UInt32  fcic_reg406:8;
        RBus_UInt32  fcic_reg407:8;
    };
}fcic_top_fcic_reg194_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg408:8;
        RBus_UInt32  fcic_reg409:8;
        RBus_UInt32  fcic_reg410:8;
        RBus_UInt32  fcic_reg411:8;
    };
}fcic_top_fcic_reg198_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg412:8;
        RBus_UInt32  fcic_reg413:8;
        RBus_UInt32  fcic_reg414:8;
        RBus_UInt32  fcic_reg415:8;
    };
}fcic_top_fcic_reg19c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg416:8;
        RBus_UInt32  fcic_reg417:8;
        RBus_UInt32  fcic_reg418:8;
        RBus_UInt32  fcic_reg419:8;
    };
}fcic_top_fcic_reg1a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg420:8;
        RBus_UInt32  fcic_reg421:8;
        RBus_UInt32  fcic_reg422:8;
        RBus_UInt32  fcic_reg423:8;
    };
}fcic_top_fcic_reg1a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg424:8;
        RBus_UInt32  fcic_reg425:8;
        RBus_UInt32  fcic_reg426:8;
        RBus_UInt32  fcic_reg427:8;
    };
}fcic_top_fcic_reg1a8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg428:8;
        RBus_UInt32  fcic_reg429:8;
        RBus_UInt32  fcic_reg430:8;
        RBus_UInt32  fcic_reg431:8;
    };
}fcic_top_fcic_reg1ac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg432:8;
        RBus_UInt32  fcic_reg433:8;
        RBus_UInt32  fcic_reg434:8;
        RBus_UInt32  fcic_reg435:8;
    };
}fcic_top_fcic_reg1b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg436:8;
        RBus_UInt32  fcic_reg437:8;
        RBus_UInt32  fcic_reg438:8;
        RBus_UInt32  fcic_reg439:8;
    };
}fcic_top_fcic_reg1b4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg440:8;
        RBus_UInt32  fcic_reg441:8;
        RBus_UInt32  fcic_reg442:8;
        RBus_UInt32  fcic_reg443:8;
    };
}fcic_top_fcic_reg1b8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg444:8;
        RBus_UInt32  fcic_reg445:8;
        RBus_UInt32  fcic_reg446:8;
        RBus_UInt32  fcic_reg447:8;
    };
}fcic_top_fcic_reg1bc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg448:8;
        RBus_UInt32  fcic_reg449:8;
        RBus_UInt32  fcic_reg450:8;
        RBus_UInt32  fcic_reg451:8;
    };
}fcic_top_fcic_reg1c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg452:8;
        RBus_UInt32  fcic_reg453:8;
        RBus_UInt32  fcic_reg454:8;
        RBus_UInt32  fcic_reg455:8;
    };
}fcic_top_fcic_reg1c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg456:8;
        RBus_UInt32  fcic_reg457:8;
        RBus_UInt32  fcic_reg458:8;
        RBus_UInt32  fcic_reg459:8;
    };
}fcic_top_fcic_reg1c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg460:8;
        RBus_UInt32  fcic_reg461:8;
        RBus_UInt32  fcic_reg462:8;
        RBus_UInt32  fcic_reg463:8;
    };
}fcic_top_fcic_reg1cc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg464:8;
        RBus_UInt32  fcic_reg465:8;
        RBus_UInt32  fcic_reg466:8;
        RBus_UInt32  fcic_reg467:8;
    };
}fcic_top_fcic_reg1d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg468:8;
        RBus_UInt32  fcic_reg469:8;
        RBus_UInt32  fcic_reg470:8;
        RBus_UInt32  fcic_reg471:8;
    };
}fcic_top_fcic_reg1d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg472:8;
        RBus_UInt32  fcic_reg473:8;
        RBus_UInt32  fcic_reg474:8;
        RBus_UInt32  fcic_reg475:8;
    };
}fcic_top_fcic_reg1d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg476:8;
        RBus_UInt32  fcic_reg477:8;
        RBus_UInt32  fcic_reg478:8;
        RBus_UInt32  fcic_reg479:8;
    };
}fcic_top_fcic_reg1dc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg480:8;
        RBus_UInt32  fcic_reg481:8;
        RBus_UInt32  fcic_reg482:8;
        RBus_UInt32  fcic_reg483:8;
    };
}fcic_top_fcic_reg1e0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg484:8;
        RBus_UInt32  fcic_reg485:8;
        RBus_UInt32  fcic_reg486:8;
        RBus_UInt32  fcic_reg487:8;
    };
}fcic_top_fcic_reg1e4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg488:8;
        RBus_UInt32  fcic_reg489:8;
        RBus_UInt32  fcic_reg490:8;
        RBus_UInt32  fcic_reg491:8;
    };
}fcic_top_fcic_reg1e8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg492:8;
        RBus_UInt32  fcic_reg493:8;
        RBus_UInt32  fcic_reg494:8;
        RBus_UInt32  fcic_reg495:8;
    };
}fcic_top_fcic_reg1ec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg496:8;
        RBus_UInt32  fcic_reg497:8;
        RBus_UInt32  fcic_reg498:8;
        RBus_UInt32  fcic_reg499:8;
    };
}fcic_top_fcic_reg1f0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg500:8;
        RBus_UInt32  fcic_reg501:8;
        RBus_UInt32  fcic_reg502:8;
        RBus_UInt32  fcic_reg503:8;
    };
}fcic_top_fcic_reg1f4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg504:8;
        RBus_UInt32  fcic_reg505:8;
        RBus_UInt32  fcic_reg506:8;
        RBus_UInt32  fcic_reg507:8;
    };
}fcic_top_fcic_reg1f8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg508:8;
        RBus_UInt32  fcic_reg509:8;
        RBus_UInt32  fcic_reg510:8;
        RBus_UInt32  fcic_reg511:8;
    };
}fcic_top_fcic_reg1fc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg512:8;
        RBus_UInt32  fcic_reg513:8;
        RBus_UInt32  fcic_reg514:8;
        RBus_UInt32  fcic_reg515:8;
    };
}fcic_top_fcic_reg200_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg516:8;
        RBus_UInt32  fcic_reg517:8;
        RBus_UInt32  fcic_reg518:8;
        RBus_UInt32  fcic_reg519:8;
    };
}fcic_top_fcic_reg204_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg520:8;
        RBus_UInt32  fcic_reg521:8;
        RBus_UInt32  fcic_reg522:8;
        RBus_UInt32  fcic_reg523:8;
    };
}fcic_top_fcic_reg208_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg524:8;
        RBus_UInt32  fcic_reg525:8;
        RBus_UInt32  fcic_reg526:8;
        RBus_UInt32  fcic_reg527:8;
    };
}fcic_top_fcic_reg20c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg528:8;
        RBus_UInt32  fcic_reg529:8;
        RBus_UInt32  fcic_reg530:8;
        RBus_UInt32  fcic_reg531:8;
    };
}fcic_top_fcic_reg210_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg532:8;
        RBus_UInt32  fcic_reg533:8;
        RBus_UInt32  fcic_reg534:8;
        RBus_UInt32  fcic_reg535:8;
    };
}fcic_top_fcic_reg214_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg536:8;
        RBus_UInt32  fcic_reg537:8;
        RBus_UInt32  fcic_reg538:8;
        RBus_UInt32  fcic_reg539:8;
    };
}fcic_top_fcic_reg218_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg540:8;
        RBus_UInt32  fcic_reg541:8;
        RBus_UInt32  fcic_reg542:8;
        RBus_UInt32  fcic_reg543:8;
    };
}fcic_top_fcic_reg21c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg544:8;
        RBus_UInt32  fcic_reg545:8;
        RBus_UInt32  fcic_reg546:8;
        RBus_UInt32  fcic_reg547:8;
    };
}fcic_top_fcic_reg220_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg548:8;
        RBus_UInt32  fcic_reg549:8;
        RBus_UInt32  fcic_reg550:8;
        RBus_UInt32  fcic_reg551:8;
    };
}fcic_top_fcic_reg224_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg552:8;
        RBus_UInt32  fcic_reg553:8;
        RBus_UInt32  fcic_reg554:8;
        RBus_UInt32  fcic_reg555:8;
    };
}fcic_top_fcic_reg228_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg556:8;
        RBus_UInt32  fcic_reg557:8;
        RBus_UInt32  fcic_reg558:8;
        RBus_UInt32  fcic_reg559:8;
    };
}fcic_top_fcic_reg22c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg560:8;
        RBus_UInt32  fcic_reg561:8;
        RBus_UInt32  fcic_reg562:8;
        RBus_UInt32  fcic_reg563:8;
    };
}fcic_top_fcic_reg230_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg564:8;
        RBus_UInt32  fcic_reg565:8;
        RBus_UInt32  fcic_reg566:8;
        RBus_UInt32  fcic_reg567:8;
    };
}fcic_top_fcic_reg234_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg568:8;
        RBus_UInt32  fcic_reg569:8;
        RBus_UInt32  fcic_reg570:8;
        RBus_UInt32  fcic_reg571:8;
    };
}fcic_top_fcic_reg238_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg572:8;
        RBus_UInt32  fcic_reg573:8;
        RBus_UInt32  fcic_reg574:8;
        RBus_UInt32  fcic_reg575:8;
    };
}fcic_top_fcic_reg23c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg576:8;
        RBus_UInt32  fcic_reg577:8;
        RBus_UInt32  fcic_reg578:8;
        RBus_UInt32  fcic_reg579:8;
    };
}fcic_top_fcic_reg240_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg580:8;
        RBus_UInt32  fcic_reg581:8;
        RBus_UInt32  fcic_reg582:8;
        RBus_UInt32  fcic_reg583:8;
    };
}fcic_top_fcic_reg244_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg584:8;
        RBus_UInt32  fcic_reg585:8;
        RBus_UInt32  fcic_reg586:8;
        RBus_UInt32  fcic_reg587:8;
    };
}fcic_top_fcic_reg248_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg588:8;
        RBus_UInt32  fcic_reg589:8;
        RBus_UInt32  fcic_reg590:8;
        RBus_UInt32  fcic_reg591:8;
    };
}fcic_top_fcic_reg24c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg592:8;
        RBus_UInt32  fcic_reg593:8;
        RBus_UInt32  fcic_reg594:8;
        RBus_UInt32  fcic_reg595:8;
    };
}fcic_top_fcic_reg250_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg596:8;
        RBus_UInt32  fcic_reg597:8;
        RBus_UInt32  fcic_reg598:8;
        RBus_UInt32  fcic_reg599:8;
    };
}fcic_top_fcic_reg254_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg600:8;
        RBus_UInt32  fcic_reg601:8;
        RBus_UInt32  fcic_reg602:8;
        RBus_UInt32  fcic_reg603:8;
    };
}fcic_top_fcic_reg258_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg604:8;
        RBus_UInt32  fcic_reg605:8;
        RBus_UInt32  fcic_reg606:8;
        RBus_UInt32  fcic_reg607:8;
    };
}fcic_top_fcic_reg25c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg608:8;
        RBus_UInt32  fcic_reg609:8;
        RBus_UInt32  fcic_reg610:8;
        RBus_UInt32  fcic_reg611:8;
    };
}fcic_top_fcic_reg260_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg612:8;
        RBus_UInt32  fcic_reg613:8;
        RBus_UInt32  fcic_reg614:8;
        RBus_UInt32  fcic_reg615:8;
    };
}fcic_top_fcic_reg264_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg616:8;
        RBus_UInt32  fcic_reg617:8;
        RBus_UInt32  fcic_reg618:8;
        RBus_UInt32  fcic_reg619:8;
    };
}fcic_top_fcic_reg268_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg620:8;
        RBus_UInt32  fcic_reg621:8;
        RBus_UInt32  fcic_reg622:8;
        RBus_UInt32  fcic_reg623:8;
    };
}fcic_top_fcic_reg26c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg624:8;
        RBus_UInt32  fcic_reg625:8;
        RBus_UInt32  fcic_reg626:8;
        RBus_UInt32  fcic_reg627:8;
    };
}fcic_top_fcic_reg270_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg628:8;
        RBus_UInt32  fcic_reg629:8;
        RBus_UInt32  fcic_reg630:8;
        RBus_UInt32  fcic_reg631:8;
    };
}fcic_top_fcic_reg274_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg632:8;
        RBus_UInt32  fcic_reg633:8;
        RBus_UInt32  fcic_reg634:8;
        RBus_UInt32  fcic_reg635:8;
    };
}fcic_top_fcic_reg278_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg636:8;
        RBus_UInt32  fcic_reg637:8;
        RBus_UInt32  fcic_reg638:8;
        RBus_UInt32  fcic_reg639:8;
    };
}fcic_top_fcic_reg27c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg640:8;
        RBus_UInt32  fcic_reg641:8;
        RBus_UInt32  fcic_reg642:8;
        RBus_UInt32  fcic_reg643:8;
    };
}fcic_top_fcic_reg280_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg644:8;
        RBus_UInt32  fcic_reg645:8;
        RBus_UInt32  fcic_reg646:8;
        RBus_UInt32  fcic_reg647:8;
    };
}fcic_top_fcic_reg284_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg648:8;
        RBus_UInt32  fcic_reg649:8;
        RBus_UInt32  fcic_reg650:8;
        RBus_UInt32  fcic_reg651:8;
    };
}fcic_top_fcic_reg288_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg652:8;
        RBus_UInt32  fcic_reg653:8;
        RBus_UInt32  fcic_reg654:8;
        RBus_UInt32  fcic_reg655:8;
    };
}fcic_top_fcic_reg28c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg656:8;
        RBus_UInt32  fcic_reg657:8;
        RBus_UInt32  fcic_reg658:8;
        RBus_UInt32  fcic_reg659:8;
    };
}fcic_top_fcic_reg290_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg660:8;
        RBus_UInt32  fcic_reg661:8;
        RBus_UInt32  res1:16;
    };
}fcic_top_fcic_reg294_RBUS;

#else //apply LITTLE_ENDIAN

//======FCIC_TOP register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_rbus_if_enable:1;
        RBus_UInt32  dummy1802a7b0_31_1:31;
    };
}fcic_top_fcic_ctrl_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  flash_write_enable:1;
        RBus_UInt32  multi_access_en:1;
        RBus_UInt32  auto_detect_en:1;
        RBus_UInt32  auto_detect_result:1;
        RBus_UInt32  user_timing_sel:1;
        RBus_UInt32  res1:27;
    };
}fcic_top_fcic_crtl_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  flash_addr:17;
        RBus_UInt32  flash_done:1;
        RBus_UInt32  res1:14;
    };
}fcic_top_fcic_flash_if_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  flash_data_0:32;
    };
}fcic_top_fcic_flash_if_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  flash_data_1:32;
    };
}fcic_top_fcic_flash_if_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  flash_data_2:32;
    };
}fcic_top_fcic_flash_if_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  flash_data_3:32;
    };
}fcic_top_fcic_flash_if_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  flash_dbg_mux:4;
        RBus_UInt32  template_data_mux:3;
        RBus_UInt32  flash_dbg_rd_en:1;
        RBus_UInt32  res1:8;
        RBus_UInt32  rd_addr:15;
        RBus_UInt32  res2:1;
    };
}fcic_top_fcic_flash_dbg_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  flash_rdata_0:32;
    };
}fcic_top_fcic_flash_dbg_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  flash_rdata_1:32;
    };
}fcic_top_fcic_flash_dbg_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  color_1:2;
        RBus_UInt32  color_2:2;
        RBus_UInt32  color_3:2;
        RBus_UInt32  color_4:2;
        RBus_UInt32  fcic_io_reg_en:1;
        RBus_UInt32  mplus_en:1;
        RBus_UInt32  res1:22;
    };
}fcic_top_fcic_io_reg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic2_rm_0:4;
        RBus_UInt32  fcic1_rm_1:4;
        RBus_UInt32  fcic1_rm_0:4;
        RBus_UInt32  fcic2_rme_0:1;
        RBus_UInt32  fcic1_rme_1:1;
        RBus_UInt32  fcic1_rme_0:1;
        RBus_UInt32  res1:15;
        RBus_UInt32  fcic2_ls:1;
        RBus_UInt32  fcic1_ls:1;
    };
}fcic_top_fcic_bisr_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic2_drf_bisr_fail_0:1;
        RBus_UInt32  fcic1_drf_bisr_fail_1:1;
        RBus_UInt32  fcic1_drf_bisr_fail_0:1;
        RBus_UInt32  fcic2_bisr_fail_0:1;
        RBus_UInt32  fcic1_bisr_fail_1:1;
        RBus_UInt32  fcic1_bisr_fail_0:1;
        RBus_UInt32  res1:24;
        RBus_UInt32  fcic2_bisr_repaired:1;
        RBus_UInt32  fcic1_bisr_repaired:1;
    };
}fcic_top_fcic_bisr_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic5_rme_0:1;
        RBus_UInt32  fcic4_rme_7:1;
        RBus_UInt32  fcic4_rme_6:1;
        RBus_UInt32  fcic4_rme_5:1;
        RBus_UInt32  fcic4_rme_4:1;
        RBus_UInt32  fcic4_rme_3:1;
        RBus_UInt32  fcic4_rme_2:1;
        RBus_UInt32  fcic4_rme_1:1;
        RBus_UInt32  fcic4_rme_0:1;
        RBus_UInt32  fcic3_rme_5:1;
        RBus_UInt32  fcic3_rme_4:1;
        RBus_UInt32  fcic3_rme_3:1;
        RBus_UInt32  fcic3_rme_2:1;
        RBus_UInt32  fcic3_rme_1:1;
        RBus_UInt32  fcic3_rme_0:1;
        RBus_UInt32  res1:14;
        RBus_UInt32  fcic5_ls:1;
        RBus_UInt32  fcic4_ls:1;
        RBus_UInt32  fcic3_ls:1;
    };
}fcic_top_fcic_bist_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic4_rm_1:4;
        RBus_UInt32  fcic4_rm_0:4;
        RBus_UInt32  fcic3_rm_5:4;
        RBus_UInt32  fcic3_rm_4:4;
        RBus_UInt32  fcic3_rm_3:4;
        RBus_UInt32  fcic3_rm_2:4;
        RBus_UInt32  fcic3_rm_1:4;
        RBus_UInt32  fcic3_rm_0:4;
    };
}fcic_top_fcic_bist_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  fcic5_testrwm_0:1;
        RBus_UInt32  fcic5_rm_0:4;
        RBus_UInt32  fcic4_rm_7:4;
        RBus_UInt32  fcic4_rm_6:4;
        RBus_UInt32  fcic4_rm_5:4;
        RBus_UInt32  fcic4_rm_4:4;
        RBus_UInt32  fcic4_rm_3:4;
        RBus_UInt32  fcic4_rm_2:4;
    };
}fcic_top_fcic_bist_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic5_drf_bist_fail_0:1;
        RBus_UInt32  fcic4_drf_bist_fail_7:1;
        RBus_UInt32  fcic4_drf_bist_fail_6:1;
        RBus_UInt32  fcic4_drf_bist_fail_5:1;
        RBus_UInt32  fcic4_drf_bist_fail_4:1;
        RBus_UInt32  fcic4_drf_bist_fail_3:1;
        RBus_UInt32  fcic4_drf_bist_fail_2:1;
        RBus_UInt32  fcic4_drf_bist_fail_1:1;
        RBus_UInt32  fcic4_drf_bist_fail_0:1;
        RBus_UInt32  fcic3_drf_bist_fail_5:1;
        RBus_UInt32  fcic3_drf_bist_fail_4:1;
        RBus_UInt32  fcic3_drf_bist_fail_3:1;
        RBus_UInt32  fcic3_drf_bist_fail_2:1;
        RBus_UInt32  fcic3_drf_bist_fail_1:1;
        RBus_UInt32  fcic3_drf_bist_fail_0:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  fcic5_bist_fail_0:1;
        RBus_UInt32  fcic4_bist_fail_7:1;
        RBus_UInt32  fcic4_bist_fail_6:1;
        RBus_UInt32  fcic4_bist_fail_5:1;
        RBus_UInt32  fcic4_bist_fail_4:1;
        RBus_UInt32  fcic4_bist_fail_3:1;
        RBus_UInt32  fcic4_bist_fail_2:1;
        RBus_UInt32  fcic4_bist_fail_1:1;
        RBus_UInt32  fcic4_bist_fail_0:1;
        RBus_UInt32  fcic3_bist_fail_5:1;
        RBus_UInt32  fcic3_bist_fail_4:1;
        RBus_UInt32  fcic3_bist_fail_3:1;
        RBus_UInt32  fcic3_bist_fail_2:1;
        RBus_UInt32  fcic3_bist_fail_1:1;
        RBus_UInt32  fcic3_bist_fail_0:1;
        RBus_UInt32  res2:1;
    };
}fcic_top_fcic_bist_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg003:8;
        RBus_UInt32  fcic_reg002:8;
        RBus_UInt32  fcic_reg001:8;
        RBus_UInt32  fcic_reg000:8;
    };
}fcic_top_fcic_reg000_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg007:8;
        RBus_UInt32  fcic_reg006:8;
        RBus_UInt32  fcic_reg005:8;
        RBus_UInt32  fcic_reg004:8;
    };
}fcic_top_fcic_reg004_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg011:8;
        RBus_UInt32  fcic_reg010:8;
        RBus_UInt32  fcic_reg009:8;
        RBus_UInt32  fcic_reg008:8;
    };
}fcic_top_fcic_reg008_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg015:8;
        RBus_UInt32  fcic_reg014:8;
        RBus_UInt32  fcic_reg013:8;
        RBus_UInt32  fcic_reg012:8;
    };
}fcic_top_fcic_reg00c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg019:8;
        RBus_UInt32  fcic_reg018:8;
        RBus_UInt32  fcic_reg017:8;
        RBus_UInt32  fcic_reg016:8;
    };
}fcic_top_fcic_reg010_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg023:8;
        RBus_UInt32  fcic_reg022:8;
        RBus_UInt32  fcic_reg021:8;
        RBus_UInt32  fcic_reg020:8;
    };
}fcic_top_fcic_reg014_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg027:8;
        RBus_UInt32  fcic_reg026:8;
        RBus_UInt32  fcic_reg025:8;
        RBus_UInt32  fcic_reg024:8;
    };
}fcic_top_fcic_reg018_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg031:8;
        RBus_UInt32  fcic_reg030:8;
        RBus_UInt32  fcic_reg029:8;
        RBus_UInt32  fcic_reg028:8;
    };
}fcic_top_fcic_reg01c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg035:8;
        RBus_UInt32  fcic_reg034:8;
        RBus_UInt32  fcic_reg033:8;
        RBus_UInt32  fcic_reg032:8;
    };
}fcic_top_fcic_reg020_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg039:8;
        RBus_UInt32  fcic_reg038:8;
        RBus_UInt32  fcic_reg037:8;
        RBus_UInt32  fcic_reg036:8;
    };
}fcic_top_fcic_reg024_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg043:8;
        RBus_UInt32  fcic_reg042:8;
        RBus_UInt32  fcic_reg041:8;
        RBus_UInt32  fcic_reg040:8;
    };
}fcic_top_fcic_reg028_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg047:8;
        RBus_UInt32  fcic_reg046:8;
        RBus_UInt32  fcic_reg045:8;
        RBus_UInt32  fcic_reg044:8;
    };
}fcic_top_fcic_reg02c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg051:8;
        RBus_UInt32  fcic_reg050:8;
        RBus_UInt32  fcic_reg049:8;
        RBus_UInt32  fcic_reg048:8;
    };
}fcic_top_fcic_reg030_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg055:8;
        RBus_UInt32  fcic_reg054:8;
        RBus_UInt32  fcic_reg053:8;
        RBus_UInt32  fcic_reg052:8;
    };
}fcic_top_fcic_reg034_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg059:8;
        RBus_UInt32  fcic_reg058:8;
        RBus_UInt32  fcic_reg057:8;
        RBus_UInt32  fcic_reg056:8;
    };
}fcic_top_fcic_reg038_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg063:8;
        RBus_UInt32  fcic_reg062:8;
        RBus_UInt32  fcic_reg061:8;
        RBus_UInt32  fcic_reg060:8;
    };
}fcic_top_fcic_reg03c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg067:8;
        RBus_UInt32  fcic_reg066:8;
        RBus_UInt32  fcic_reg065:8;
        RBus_UInt32  fcic_reg064:8;
    };
}fcic_top_fcic_reg040_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg071:8;
        RBus_UInt32  fcic_reg070:8;
        RBus_UInt32  fcic_reg069:8;
        RBus_UInt32  fcic_reg068:8;
    };
}fcic_top_fcic_reg044_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg075:8;
        RBus_UInt32  fcic_reg074:8;
        RBus_UInt32  fcic_reg073:8;
        RBus_UInt32  fcic_reg072:8;
    };
}fcic_top_fcic_reg048_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg079:8;
        RBus_UInt32  fcic_reg078:8;
        RBus_UInt32  fcic_reg077:8;
        RBus_UInt32  fcic_reg076:8;
    };
}fcic_top_fcic_reg04c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg083:8;
        RBus_UInt32  fcic_reg082:8;
        RBus_UInt32  fcic_reg081:8;
        RBus_UInt32  fcic_reg080:8;
    };
}fcic_top_fcic_reg050_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg087:8;
        RBus_UInt32  fcic_reg086:8;
        RBus_UInt32  fcic_reg085:8;
        RBus_UInt32  fcic_reg084:8;
    };
}fcic_top_fcic_reg054_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg091:8;
        RBus_UInt32  fcic_reg090:8;
        RBus_UInt32  fcic_reg089:8;
        RBus_UInt32  fcic_reg088:8;
    };
}fcic_top_fcic_reg058_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg095:8;
        RBus_UInt32  fcic_reg094:8;
        RBus_UInt32  fcic_reg093:8;
        RBus_UInt32  fcic_reg092:8;
    };
}fcic_top_fcic_reg05c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg099:8;
        RBus_UInt32  fcic_reg098:8;
        RBus_UInt32  fcic_reg097:8;
        RBus_UInt32  fcic_reg096:8;
    };
}fcic_top_fcic_reg060_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg103:8;
        RBus_UInt32  fcic_reg102:8;
        RBus_UInt32  fcic_reg101:8;
        RBus_UInt32  fcic_reg100:8;
    };
}fcic_top_fcic_reg064_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg107:8;
        RBus_UInt32  fcic_reg106:8;
        RBus_UInt32  fcic_reg105:8;
        RBus_UInt32  fcic_reg104:8;
    };
}fcic_top_fcic_reg068_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg111:8;
        RBus_UInt32  fcic_reg110:8;
        RBus_UInt32  fcic_reg109:8;
        RBus_UInt32  fcic_reg108:8;
    };
}fcic_top_fcic_reg06c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg115:8;
        RBus_UInt32  fcic_reg114:8;
        RBus_UInt32  fcic_reg113:8;
        RBus_UInt32  fcic_reg112:8;
    };
}fcic_top_fcic_reg070_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg119:8;
        RBus_UInt32  fcic_reg118:8;
        RBus_UInt32  fcic_reg117:8;
        RBus_UInt32  fcic_reg116:8;
    };
}fcic_top_fcic_reg074_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg123:8;
        RBus_UInt32  fcic_reg122:8;
        RBus_UInt32  fcic_reg121:8;
        RBus_UInt32  fcic_reg120:8;
    };
}fcic_top_fcic_reg078_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg127:8;
        RBus_UInt32  fcic_reg126:8;
        RBus_UInt32  fcic_reg125:8;
        RBus_UInt32  fcic_reg124:8;
    };
}fcic_top_fcic_reg07c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg131:8;
        RBus_UInt32  fcic_reg130:8;
        RBus_UInt32  fcic_reg129:8;
        RBus_UInt32  fcic_reg128:8;
    };
}fcic_top_fcic_reg080_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg135:8;
        RBus_UInt32  fcic_reg134:8;
        RBus_UInt32  fcic_reg133:8;
        RBus_UInt32  fcic_reg132:8;
    };
}fcic_top_fcic_reg084_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg139:8;
        RBus_UInt32  fcic_reg138:8;
        RBus_UInt32  fcic_reg137:8;
        RBus_UInt32  fcic_reg136:8;
    };
}fcic_top_fcic_reg088_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg143:8;
        RBus_UInt32  fcic_reg142:8;
        RBus_UInt32  fcic_reg141:8;
        RBus_UInt32  fcic_reg140:8;
    };
}fcic_top_fcic_reg08c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg147:8;
        RBus_UInt32  fcic_reg146:8;
        RBus_UInt32  fcic_reg145:8;
        RBus_UInt32  fcic_reg144:8;
    };
}fcic_top_fcic_reg090_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg151:8;
        RBus_UInt32  fcic_reg150:8;
        RBus_UInt32  fcic_reg149:8;
        RBus_UInt32  fcic_reg148:8;
    };
}fcic_top_fcic_reg094_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg155:8;
        RBus_UInt32  fcic_reg154:8;
        RBus_UInt32  fcic_reg153:8;
        RBus_UInt32  fcic_reg152:8;
    };
}fcic_top_fcic_reg098_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg159:8;
        RBus_UInt32  fcic_reg158:8;
        RBus_UInt32  fcic_reg157:8;
        RBus_UInt32  fcic_reg156:8;
    };
}fcic_top_fcic_reg09c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg163:8;
        RBus_UInt32  fcic_reg162:8;
        RBus_UInt32  fcic_reg161:8;
        RBus_UInt32  fcic_reg160:8;
    };
}fcic_top_fcic_reg0a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg167:8;
        RBus_UInt32  fcic_reg166:8;
        RBus_UInt32  fcic_reg165:8;
        RBus_UInt32  fcic_reg164:8;
    };
}fcic_top_fcic_reg0a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg171:8;
        RBus_UInt32  fcic_reg170:8;
        RBus_UInt32  fcic_reg169:8;
        RBus_UInt32  fcic_reg168:8;
    };
}fcic_top_fcic_reg0a8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg175:8;
        RBus_UInt32  fcic_reg174:8;
        RBus_UInt32  fcic_reg173:8;
        RBus_UInt32  fcic_reg172:8;
    };
}fcic_top_fcic_reg0ac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg179:8;
        RBus_UInt32  fcic_reg178:8;
        RBus_UInt32  fcic_reg177:8;
        RBus_UInt32  fcic_reg176:8;
    };
}fcic_top_fcic_reg0b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg183:8;
        RBus_UInt32  fcic_reg182:8;
        RBus_UInt32  fcic_reg181:8;
        RBus_UInt32  fcic_reg180:8;
    };
}fcic_top_fcic_reg0b4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg187:8;
        RBus_UInt32  fcic_reg186:8;
        RBus_UInt32  fcic_reg185:8;
        RBus_UInt32  fcic_reg184:8;
    };
}fcic_top_fcic_reg0b8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg191:8;
        RBus_UInt32  fcic_reg190:8;
        RBus_UInt32  fcic_reg189:8;
        RBus_UInt32  fcic_reg188:8;
    };
}fcic_top_fcic_reg0bc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg195:8;
        RBus_UInt32  fcic_reg194:8;
        RBus_UInt32  fcic_reg193:8;
        RBus_UInt32  fcic_reg192:8;
    };
}fcic_top_fcic_reg0c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg199:8;
        RBus_UInt32  fcic_reg198:8;
        RBus_UInt32  fcic_reg197:8;
        RBus_UInt32  fcic_reg196:8;
    };
}fcic_top_fcic_reg0c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg203:8;
        RBus_UInt32  fcic_reg202:8;
        RBus_UInt32  fcic_reg201:8;
        RBus_UInt32  fcic_reg200:8;
    };
}fcic_top_fcic_reg0c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg207:8;
        RBus_UInt32  fcic_reg206:8;
        RBus_UInt32  fcic_reg205:8;
        RBus_UInt32  fcic_reg204:8;
    };
}fcic_top_fcic_reg0cc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg211:8;
        RBus_UInt32  fcic_reg210:8;
        RBus_UInt32  fcic_reg209:8;
        RBus_UInt32  fcic_reg208:8;
    };
}fcic_top_fcic_reg0d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg215:8;
        RBus_UInt32  fcic_reg214:8;
        RBus_UInt32  fcic_reg213:8;
        RBus_UInt32  fcic_reg212:8;
    };
}fcic_top_fcic_reg0d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg219:8;
        RBus_UInt32  fcic_reg218:8;
        RBus_UInt32  fcic_reg217:8;
        RBus_UInt32  fcic_reg216:8;
    };
}fcic_top_fcic_reg0d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg223:8;
        RBus_UInt32  fcic_reg222:8;
        RBus_UInt32  fcic_reg221:8;
        RBus_UInt32  fcic_reg220:8;
    };
}fcic_top_fcic_reg0dc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg227:8;
        RBus_UInt32  fcic_reg226:8;
        RBus_UInt32  fcic_reg225:8;
        RBus_UInt32  fcic_reg224:8;
    };
}fcic_top_fcic_reg0e0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg231:8;
        RBus_UInt32  fcic_reg230:8;
        RBus_UInt32  fcic_reg229:8;
        RBus_UInt32  fcic_reg228:8;
    };
}fcic_top_fcic_reg0e4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg235:8;
        RBus_UInt32  fcic_reg234:8;
        RBus_UInt32  fcic_reg233:8;
        RBus_UInt32  fcic_reg232:8;
    };
}fcic_top_fcic_reg0e8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg239:8;
        RBus_UInt32  fcic_reg238:8;
        RBus_UInt32  fcic_reg237:8;
        RBus_UInt32  fcic_reg236:8;
    };
}fcic_top_fcic_reg0ec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg243:8;
        RBus_UInt32  fcic_reg242:8;
        RBus_UInt32  fcic_reg241:8;
        RBus_UInt32  fcic_reg240:8;
    };
}fcic_top_fcic_reg0f0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg247:8;
        RBus_UInt32  fcic_reg246:8;
        RBus_UInt32  fcic_reg245:8;
        RBus_UInt32  fcic_reg244:8;
    };
}fcic_top_fcic_reg0f4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg251:8;
        RBus_UInt32  fcic_reg250:8;
        RBus_UInt32  fcic_reg249:8;
        RBus_UInt32  fcic_reg248:8;
    };
}fcic_top_fcic_reg0f8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg255:8;
        RBus_UInt32  fcic_reg254:8;
        RBus_UInt32  fcic_reg253:8;
        RBus_UInt32  fcic_reg252:8;
    };
}fcic_top_fcic_reg0fc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg259:8;
        RBus_UInt32  fcic_reg258:8;
        RBus_UInt32  fcic_reg257:8;
        RBus_UInt32  fcic_reg256:8;
    };
}fcic_top_fcic_reg100_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg263:8;
        RBus_UInt32  fcic_reg262:8;
        RBus_UInt32  fcic_reg261:8;
        RBus_UInt32  fcic_reg260:8;
    };
}fcic_top_fcic_reg104_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg267:8;
        RBus_UInt32  fcic_reg266:8;
        RBus_UInt32  fcic_reg265:8;
        RBus_UInt32  fcic_reg264:8;
    };
}fcic_top_fcic_reg108_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg271:8;
        RBus_UInt32  fcic_reg270:8;
        RBus_UInt32  fcic_reg269:8;
        RBus_UInt32  fcic_reg268:8;
    };
}fcic_top_fcic_reg10c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg275:8;
        RBus_UInt32  fcic_reg274:8;
        RBus_UInt32  fcic_reg273:8;
        RBus_UInt32  fcic_reg272:8;
    };
}fcic_top_fcic_reg110_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg279:8;
        RBus_UInt32  fcic_reg278:8;
        RBus_UInt32  fcic_reg277:8;
        RBus_UInt32  fcic_reg276:8;
    };
}fcic_top_fcic_reg114_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg283:8;
        RBus_UInt32  fcic_reg282:8;
        RBus_UInt32  fcic_reg281:8;
        RBus_UInt32  fcic_reg280:8;
    };
}fcic_top_fcic_reg118_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg287:8;
        RBus_UInt32  fcic_reg286:8;
        RBus_UInt32  fcic_reg285:8;
        RBus_UInt32  fcic_reg284:8;
    };
}fcic_top_fcic_reg11c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg291:8;
        RBus_UInt32  fcic_reg290:8;
        RBus_UInt32  fcic_reg289:8;
        RBus_UInt32  fcic_reg288:8;
    };
}fcic_top_fcic_reg120_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg295:8;
        RBus_UInt32  fcic_reg294:8;
        RBus_UInt32  fcic_reg293:8;
        RBus_UInt32  fcic_reg292:8;
    };
}fcic_top_fcic_reg124_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg299:8;
        RBus_UInt32  fcic_reg298:8;
        RBus_UInt32  fcic_reg297:8;
        RBus_UInt32  fcic_reg296:8;
    };
}fcic_top_fcic_reg128_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg303:8;
        RBus_UInt32  fcic_reg302:8;
        RBus_UInt32  fcic_reg301:8;
        RBus_UInt32  fcic_reg300:8;
    };
}fcic_top_fcic_reg12c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg307:8;
        RBus_UInt32  fcic_reg306:8;
        RBus_UInt32  fcic_reg305:8;
        RBus_UInt32  fcic_reg304:8;
    };
}fcic_top_fcic_reg130_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg311:8;
        RBus_UInt32  fcic_reg310:8;
        RBus_UInt32  fcic_reg309:8;
        RBus_UInt32  fcic_reg308:8;
    };
}fcic_top_fcic_reg134_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg315:8;
        RBus_UInt32  fcic_reg314:8;
        RBus_UInt32  fcic_reg313:8;
        RBus_UInt32  fcic_reg312:8;
    };
}fcic_top_fcic_reg138_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg319:8;
        RBus_UInt32  fcic_reg318:8;
        RBus_UInt32  fcic_reg317:8;
        RBus_UInt32  fcic_reg316:8;
    };
}fcic_top_fcic_reg13c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg323:8;
        RBus_UInt32  fcic_reg322:8;
        RBus_UInt32  fcic_reg321:8;
        RBus_UInt32  fcic_reg320:8;
    };
}fcic_top_fcic_reg140_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg327:8;
        RBus_UInt32  fcic_reg326:8;
        RBus_UInt32  fcic_reg325:8;
        RBus_UInt32  fcic_reg324:8;
    };
}fcic_top_fcic_reg144_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg331:8;
        RBus_UInt32  fcic_reg330:8;
        RBus_UInt32  fcic_reg329:8;
        RBus_UInt32  fcic_reg328:8;
    };
}fcic_top_fcic_reg148_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg335:8;
        RBus_UInt32  fcic_reg334:8;
        RBus_UInt32  fcic_reg333:8;
        RBus_UInt32  fcic_reg332:8;
    };
}fcic_top_fcic_reg14c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg339:8;
        RBus_UInt32  fcic_reg338:8;
        RBus_UInt32  fcic_reg337:8;
        RBus_UInt32  fcic_reg336:8;
    };
}fcic_top_fcic_reg150_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg343:8;
        RBus_UInt32  fcic_reg342:8;
        RBus_UInt32  fcic_reg341:8;
        RBus_UInt32  fcic_reg340:8;
    };
}fcic_top_fcic_reg154_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg347:8;
        RBus_UInt32  fcic_reg346:8;
        RBus_UInt32  fcic_reg345:8;
        RBus_UInt32  fcic_reg344:8;
    };
}fcic_top_fcic_reg158_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg351:8;
        RBus_UInt32  fcic_reg350:8;
        RBus_UInt32  fcic_reg349:8;
        RBus_UInt32  fcic_reg348:8;
    };
}fcic_top_fcic_reg15c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg355:8;
        RBus_UInt32  fcic_reg354:8;
        RBus_UInt32  fcic_reg353:8;
        RBus_UInt32  fcic_reg352:8;
    };
}fcic_top_fcic_reg160_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg359:8;
        RBus_UInt32  fcic_reg358:8;
        RBus_UInt32  fcic_reg357:8;
        RBus_UInt32  fcic_reg356:8;
    };
}fcic_top_fcic_reg164_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg363:8;
        RBus_UInt32  fcic_reg362:8;
        RBus_UInt32  fcic_reg361:8;
        RBus_UInt32  fcic_reg360:8;
    };
}fcic_top_fcic_reg168_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg367:8;
        RBus_UInt32  fcic_reg366:8;
        RBus_UInt32  fcic_reg365:8;
        RBus_UInt32  fcic_reg364:8;
    };
}fcic_top_fcic_reg16c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg371:8;
        RBus_UInt32  fcic_reg370:8;
        RBus_UInt32  fcic_reg369:8;
        RBus_UInt32  fcic_reg368:8;
    };
}fcic_top_fcic_reg170_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg375:8;
        RBus_UInt32  fcic_reg374:8;
        RBus_UInt32  fcic_reg373:8;
        RBus_UInt32  fcic_reg372:8;
    };
}fcic_top_fcic_reg174_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg379:8;
        RBus_UInt32  fcic_reg378:8;
        RBus_UInt32  fcic_reg377:8;
        RBus_UInt32  fcic_reg376:8;
    };
}fcic_top_fcic_reg178_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg383:8;
        RBus_UInt32  fcic_reg382:8;
        RBus_UInt32  fcic_reg381:8;
        RBus_UInt32  fcic_reg380:8;
    };
}fcic_top_fcic_reg17c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg387:8;
        RBus_UInt32  fcic_reg386:8;
        RBus_UInt32  fcic_reg385:8;
        RBus_UInt32  fcic_reg384:8;
    };
}fcic_top_fcic_reg180_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg391:8;
        RBus_UInt32  fcic_reg390:8;
        RBus_UInt32  fcic_reg389:8;
        RBus_UInt32  fcic_reg388:8;
    };
}fcic_top_fcic_reg184_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg395:8;
        RBus_UInt32  fcic_reg394:8;
        RBus_UInt32  fcic_reg393:8;
        RBus_UInt32  fcic_reg392:8;
    };
}fcic_top_fcic_reg188_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg399:8;
        RBus_UInt32  fcic_reg398:8;
        RBus_UInt32  fcic_reg397:8;
        RBus_UInt32  fcic_reg396:8;
    };
}fcic_top_fcic_reg18c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg403:8;
        RBus_UInt32  fcic_reg402:8;
        RBus_UInt32  fcic_reg401:8;
        RBus_UInt32  fcic_reg400:8;
    };
}fcic_top_fcic_reg190_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg407:8;
        RBus_UInt32  fcic_reg406:8;
        RBus_UInt32  fcic_reg405:8;
        RBus_UInt32  fcic_reg404:8;
    };
}fcic_top_fcic_reg194_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg411:8;
        RBus_UInt32  fcic_reg410:8;
        RBus_UInt32  fcic_reg409:8;
        RBus_UInt32  fcic_reg408:8;
    };
}fcic_top_fcic_reg198_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg415:8;
        RBus_UInt32  fcic_reg414:8;
        RBus_UInt32  fcic_reg413:8;
        RBus_UInt32  fcic_reg412:8;
    };
}fcic_top_fcic_reg19c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg419:8;
        RBus_UInt32  fcic_reg418:8;
        RBus_UInt32  fcic_reg417:8;
        RBus_UInt32  fcic_reg416:8;
    };
}fcic_top_fcic_reg1a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg423:8;
        RBus_UInt32  fcic_reg422:8;
        RBus_UInt32  fcic_reg421:8;
        RBus_UInt32  fcic_reg420:8;
    };
}fcic_top_fcic_reg1a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg427:8;
        RBus_UInt32  fcic_reg426:8;
        RBus_UInt32  fcic_reg425:8;
        RBus_UInt32  fcic_reg424:8;
    };
}fcic_top_fcic_reg1a8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg431:8;
        RBus_UInt32  fcic_reg430:8;
        RBus_UInt32  fcic_reg429:8;
        RBus_UInt32  fcic_reg428:8;
    };
}fcic_top_fcic_reg1ac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg435:8;
        RBus_UInt32  fcic_reg434:8;
        RBus_UInt32  fcic_reg433:8;
        RBus_UInt32  fcic_reg432:8;
    };
}fcic_top_fcic_reg1b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg439:8;
        RBus_UInt32  fcic_reg438:8;
        RBus_UInt32  fcic_reg437:8;
        RBus_UInt32  fcic_reg436:8;
    };
}fcic_top_fcic_reg1b4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg443:8;
        RBus_UInt32  fcic_reg442:8;
        RBus_UInt32  fcic_reg441:8;
        RBus_UInt32  fcic_reg440:8;
    };
}fcic_top_fcic_reg1b8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg447:8;
        RBus_UInt32  fcic_reg446:8;
        RBus_UInt32  fcic_reg445:8;
        RBus_UInt32  fcic_reg444:8;
    };
}fcic_top_fcic_reg1bc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg451:8;
        RBus_UInt32  fcic_reg450:8;
        RBus_UInt32  fcic_reg449:8;
        RBus_UInt32  fcic_reg448:8;
    };
}fcic_top_fcic_reg1c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg455:8;
        RBus_UInt32  fcic_reg454:8;
        RBus_UInt32  fcic_reg453:8;
        RBus_UInt32  fcic_reg452:8;
    };
}fcic_top_fcic_reg1c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg459:8;
        RBus_UInt32  fcic_reg458:8;
        RBus_UInt32  fcic_reg457:8;
        RBus_UInt32  fcic_reg456:8;
    };
}fcic_top_fcic_reg1c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg463:8;
        RBus_UInt32  fcic_reg462:8;
        RBus_UInt32  fcic_reg461:8;
        RBus_UInt32  fcic_reg460:8;
    };
}fcic_top_fcic_reg1cc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg467:8;
        RBus_UInt32  fcic_reg466:8;
        RBus_UInt32  fcic_reg465:8;
        RBus_UInt32  fcic_reg464:8;
    };
}fcic_top_fcic_reg1d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg471:8;
        RBus_UInt32  fcic_reg470:8;
        RBus_UInt32  fcic_reg469:8;
        RBus_UInt32  fcic_reg468:8;
    };
}fcic_top_fcic_reg1d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg475:8;
        RBus_UInt32  fcic_reg474:8;
        RBus_UInt32  fcic_reg473:8;
        RBus_UInt32  fcic_reg472:8;
    };
}fcic_top_fcic_reg1d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg479:8;
        RBus_UInt32  fcic_reg478:8;
        RBus_UInt32  fcic_reg477:8;
        RBus_UInt32  fcic_reg476:8;
    };
}fcic_top_fcic_reg1dc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg483:8;
        RBus_UInt32  fcic_reg482:8;
        RBus_UInt32  fcic_reg481:8;
        RBus_UInt32  fcic_reg480:8;
    };
}fcic_top_fcic_reg1e0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg487:8;
        RBus_UInt32  fcic_reg486:8;
        RBus_UInt32  fcic_reg485:8;
        RBus_UInt32  fcic_reg484:8;
    };
}fcic_top_fcic_reg1e4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg491:8;
        RBus_UInt32  fcic_reg490:8;
        RBus_UInt32  fcic_reg489:8;
        RBus_UInt32  fcic_reg488:8;
    };
}fcic_top_fcic_reg1e8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg495:8;
        RBus_UInt32  fcic_reg494:8;
        RBus_UInt32  fcic_reg493:8;
        RBus_UInt32  fcic_reg492:8;
    };
}fcic_top_fcic_reg1ec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg499:8;
        RBus_UInt32  fcic_reg498:8;
        RBus_UInt32  fcic_reg497:8;
        RBus_UInt32  fcic_reg496:8;
    };
}fcic_top_fcic_reg1f0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg503:8;
        RBus_UInt32  fcic_reg502:8;
        RBus_UInt32  fcic_reg501:8;
        RBus_UInt32  fcic_reg500:8;
    };
}fcic_top_fcic_reg1f4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg507:8;
        RBus_UInt32  fcic_reg506:8;
        RBus_UInt32  fcic_reg505:8;
        RBus_UInt32  fcic_reg504:8;
    };
}fcic_top_fcic_reg1f8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg511:8;
        RBus_UInt32  fcic_reg510:8;
        RBus_UInt32  fcic_reg509:8;
        RBus_UInt32  fcic_reg508:8;
    };
}fcic_top_fcic_reg1fc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg515:8;
        RBus_UInt32  fcic_reg514:8;
        RBus_UInt32  fcic_reg513:8;
        RBus_UInt32  fcic_reg512:8;
    };
}fcic_top_fcic_reg200_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg519:8;
        RBus_UInt32  fcic_reg518:8;
        RBus_UInt32  fcic_reg517:8;
        RBus_UInt32  fcic_reg516:8;
    };
}fcic_top_fcic_reg204_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg523:8;
        RBus_UInt32  fcic_reg522:8;
        RBus_UInt32  fcic_reg521:8;
        RBus_UInt32  fcic_reg520:8;
    };
}fcic_top_fcic_reg208_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg527:8;
        RBus_UInt32  fcic_reg526:8;
        RBus_UInt32  fcic_reg525:8;
        RBus_UInt32  fcic_reg524:8;
    };
}fcic_top_fcic_reg20c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg531:8;
        RBus_UInt32  fcic_reg530:8;
        RBus_UInt32  fcic_reg529:8;
        RBus_UInt32  fcic_reg528:8;
    };
}fcic_top_fcic_reg210_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg535:8;
        RBus_UInt32  fcic_reg534:8;
        RBus_UInt32  fcic_reg533:8;
        RBus_UInt32  fcic_reg532:8;
    };
}fcic_top_fcic_reg214_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg539:8;
        RBus_UInt32  fcic_reg538:8;
        RBus_UInt32  fcic_reg537:8;
        RBus_UInt32  fcic_reg536:8;
    };
}fcic_top_fcic_reg218_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg543:8;
        RBus_UInt32  fcic_reg542:8;
        RBus_UInt32  fcic_reg541:8;
        RBus_UInt32  fcic_reg540:8;
    };
}fcic_top_fcic_reg21c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg547:8;
        RBus_UInt32  fcic_reg546:8;
        RBus_UInt32  fcic_reg545:8;
        RBus_UInt32  fcic_reg544:8;
    };
}fcic_top_fcic_reg220_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg551:8;
        RBus_UInt32  fcic_reg550:8;
        RBus_UInt32  fcic_reg549:8;
        RBus_UInt32  fcic_reg548:8;
    };
}fcic_top_fcic_reg224_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg555:8;
        RBus_UInt32  fcic_reg554:8;
        RBus_UInt32  fcic_reg553:8;
        RBus_UInt32  fcic_reg552:8;
    };
}fcic_top_fcic_reg228_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg559:8;
        RBus_UInt32  fcic_reg558:8;
        RBus_UInt32  fcic_reg557:8;
        RBus_UInt32  fcic_reg556:8;
    };
}fcic_top_fcic_reg22c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg563:8;
        RBus_UInt32  fcic_reg562:8;
        RBus_UInt32  fcic_reg561:8;
        RBus_UInt32  fcic_reg560:8;
    };
}fcic_top_fcic_reg230_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg567:8;
        RBus_UInt32  fcic_reg566:8;
        RBus_UInt32  fcic_reg565:8;
        RBus_UInt32  fcic_reg564:8;
    };
}fcic_top_fcic_reg234_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg571:8;
        RBus_UInt32  fcic_reg570:8;
        RBus_UInt32  fcic_reg569:8;
        RBus_UInt32  fcic_reg568:8;
    };
}fcic_top_fcic_reg238_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg575:8;
        RBus_UInt32  fcic_reg574:8;
        RBus_UInt32  fcic_reg573:8;
        RBus_UInt32  fcic_reg572:8;
    };
}fcic_top_fcic_reg23c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg579:8;
        RBus_UInt32  fcic_reg578:8;
        RBus_UInt32  fcic_reg577:8;
        RBus_UInt32  fcic_reg576:8;
    };
}fcic_top_fcic_reg240_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg583:8;
        RBus_UInt32  fcic_reg582:8;
        RBus_UInt32  fcic_reg581:8;
        RBus_UInt32  fcic_reg580:8;
    };
}fcic_top_fcic_reg244_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg587:8;
        RBus_UInt32  fcic_reg586:8;
        RBus_UInt32  fcic_reg585:8;
        RBus_UInt32  fcic_reg584:8;
    };
}fcic_top_fcic_reg248_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg591:8;
        RBus_UInt32  fcic_reg590:8;
        RBus_UInt32  fcic_reg589:8;
        RBus_UInt32  fcic_reg588:8;
    };
}fcic_top_fcic_reg24c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg595:8;
        RBus_UInt32  fcic_reg594:8;
        RBus_UInt32  fcic_reg593:8;
        RBus_UInt32  fcic_reg592:8;
    };
}fcic_top_fcic_reg250_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg599:8;
        RBus_UInt32  fcic_reg598:8;
        RBus_UInt32  fcic_reg597:8;
        RBus_UInt32  fcic_reg596:8;
    };
}fcic_top_fcic_reg254_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg603:8;
        RBus_UInt32  fcic_reg602:8;
        RBus_UInt32  fcic_reg601:8;
        RBus_UInt32  fcic_reg600:8;
    };
}fcic_top_fcic_reg258_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg607:8;
        RBus_UInt32  fcic_reg606:8;
        RBus_UInt32  fcic_reg605:8;
        RBus_UInt32  fcic_reg604:8;
    };
}fcic_top_fcic_reg25c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg611:8;
        RBus_UInt32  fcic_reg610:8;
        RBus_UInt32  fcic_reg609:8;
        RBus_UInt32  fcic_reg608:8;
    };
}fcic_top_fcic_reg260_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg615:8;
        RBus_UInt32  fcic_reg614:8;
        RBus_UInt32  fcic_reg613:8;
        RBus_UInt32  fcic_reg612:8;
    };
}fcic_top_fcic_reg264_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg619:8;
        RBus_UInt32  fcic_reg618:8;
        RBus_UInt32  fcic_reg617:8;
        RBus_UInt32  fcic_reg616:8;
    };
}fcic_top_fcic_reg268_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg623:8;
        RBus_UInt32  fcic_reg622:8;
        RBus_UInt32  fcic_reg621:8;
        RBus_UInt32  fcic_reg620:8;
    };
}fcic_top_fcic_reg26c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg627:8;
        RBus_UInt32  fcic_reg626:8;
        RBus_UInt32  fcic_reg625:8;
        RBus_UInt32  fcic_reg624:8;
    };
}fcic_top_fcic_reg270_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg631:8;
        RBus_UInt32  fcic_reg630:8;
        RBus_UInt32  fcic_reg629:8;
        RBus_UInt32  fcic_reg628:8;
    };
}fcic_top_fcic_reg274_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg635:8;
        RBus_UInt32  fcic_reg634:8;
        RBus_UInt32  fcic_reg633:8;
        RBus_UInt32  fcic_reg632:8;
    };
}fcic_top_fcic_reg278_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg639:8;
        RBus_UInt32  fcic_reg638:8;
        RBus_UInt32  fcic_reg637:8;
        RBus_UInt32  fcic_reg636:8;
    };
}fcic_top_fcic_reg27c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg643:8;
        RBus_UInt32  fcic_reg642:8;
        RBus_UInt32  fcic_reg641:8;
        RBus_UInt32  fcic_reg640:8;
    };
}fcic_top_fcic_reg280_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg647:8;
        RBus_UInt32  fcic_reg646:8;
        RBus_UInt32  fcic_reg645:8;
        RBus_UInt32  fcic_reg644:8;
    };
}fcic_top_fcic_reg284_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg651:8;
        RBus_UInt32  fcic_reg650:8;
        RBus_UInt32  fcic_reg649:8;
        RBus_UInt32  fcic_reg648:8;
    };
}fcic_top_fcic_reg288_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg655:8;
        RBus_UInt32  fcic_reg654:8;
        RBus_UInt32  fcic_reg653:8;
        RBus_UInt32  fcic_reg652:8;
    };
}fcic_top_fcic_reg28c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fcic_reg659:8;
        RBus_UInt32  fcic_reg658:8;
        RBus_UInt32  fcic_reg657:8;
        RBus_UInt32  fcic_reg656:8;
    };
}fcic_top_fcic_reg290_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  fcic_reg661:8;
        RBus_UInt32  fcic_reg660:8;
    };
}fcic_top_fcic_reg294_RBUS;




#endif 


#endif 
