#ifndef __RTK_MCP_RSA_HW_FUN_H__
#define __RTK_MCP_RSA_HW_FUN_H__

#include <big_int.h>
#define UINT32 unsigned int
#define UINT8 unsigned char

//resl = base ^ exp % mod
void hwsu_mont_exp(BI *resl, BI *r2, BI *base, BI *exp, BI *mod, UINT32 bsize);

//#define RSA_HW_PERF
#define RSA_HW_FAST_MODE
#ifdef RSA_HW_FAST_MODE
void hwsu_mont_exp_fast(BI *resl, BI *r2, BI *base, BI *exp, BI *mod, UINT32 bsize);
#endif

#endif
